<?php
include("middleware/middleware.php");
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Account</title>
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">

      <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    
    <!-- Include Moment.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>

    <!-- Include Pikaday and its moment.js dependency -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/pikaday/1.8.0/css/pikaday.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pikaday/1.8.0/pikaday.min.js"></script>
    <style>
        .line h2 span {
            background-color: white;
            position: relative;
        }

        .line {
            display: block;
            border: 1px solid #d1d6de;
        }
.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight {
    border: 1px solid #6f42c1;
    background: #6f42c1;
    color: white;
}
.ui-widget-header {
    border: 1px solid #6f42c1;
    background: #6f42c1;
    color: white;
    font-weight: bold;
}
        .line h2 {
            font-size: 15px;
            text-align: left;
            margin-left: 20px;
            position: relative;
        }

        .btn3 {
            background-color: #d1d6de;
            border: none;
            width: 200px;
            margin-bottom: 10px;
            color: black;
        }

        .form-inline label {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: start;
            margin-bottom: 0;
        }
        h4{
            font-family: poppins;
        }
        label{
            font-family: poppins;
        }
        input{
            font-family: poppins;
        }
    </style>
</head>

<body>
    <div class="container my-4 " style="border: 2px solid #d1d6de;">
        <h4 class="text-center py-2 my-2" style=background-color:#6f42c1;color:white>Account View</h4>
        <form class="form-inline" action="action/accountAdd.php" method="post">
            <?php
            include('./db/db.php');
            $id = $_GET['id'];
            $query = "SELECT * FROM accounts WHERE id=$id";
            $result = mysqli_query($con, $query);
            $row = mysqli_fetch_assoc($result);
            ?>
            <div class="row my-2">
                <div class="container">
                    <div class="row my-2">
                        <div class="col-3">
                            <div class="form-group">
                                <label>Account No:</label>
                                <input type="text" class="form-control" name="accountno" id="accountNo" required=""
                                    value="<?php echo $row['account_no'] ?>" disabled>
                                <div class="text-danger">
                                    <div class="" id="accountNorequired" style="display:none">
                                        <span>Account No Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Account Name:</label>
                                <input type="text" class="form-control" name="accountname" id="accountname" required=""
                                    value="<?php echo $row['account_name'] ?>" disabled>
                                <div class="text-danger">
                                    <div class="" id="accountNamerequired" style="display:none">
                                        <span>Account Number Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Contact Name:</label>
                                <input type="text" class="form-control" name="contactname" id="contactname" required=""
                                    value="<?php echo $row['contact_name'] ?>" disabled>
                                <div class="text-danger">
                                    <div class="" id="contactNamerequired" style="display:none">
                                        <span>Contact Name Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Contact Number:</label>
                                <input type="text" class="form-control" name="contactnumber" id="contactnumber"
                                    value="<?php echo $row['contact_number'] ?>" disabled>
                                <div class="text-danger">
                                    <div class="" id="contactNorequired" style="display:none">
                                        <span>Contact Number Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>



                    <div class="row my-2">

                        <div class="col-3">
                            <div class="form-group">
                                <label>Address No:</label>
                                <input type="text" class="form-control" name="address" id="address" required=""
                                    value="<?php echo $row['address'] ?>" disabled>
                                <div class="text-danger">
                                    <div class="" id="addressrequired" style="display:none">
                                        <span>Address Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Street:</label>
                                <input type="text" class="form-control" name="street" id="street"
                                    value="<?php echo $row['street'] ?>" disabled>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Post Town:</label>
                                <input type="text" class="form-control" name="posttown" id="posttown"
                                    value="<?php echo $row['post_town'] ?>" disabled>
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label>Post Code:</label>
                                <input type="text" class="form-control" name="postcode" id="postcode"
                                    value="<?php echo $row['post_code'] ?>" disabled>
                            </div>
                        </div>


                    </div>

                    <div class="row my-2">

                        <div class="col-3">
                            <div class="form-group">
                                <label>Phone 1:</label>
                                <input type="text" class="form-control" name="phone1" id="phone1" required=""
                                    value="<?php echo $row['phone_1'] ?>" disabled>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Phone 2:</label>
                                <input type="text" class="form-control" name="phone2" id="phone2"
                                    value="<?php echo $row['phone_2'] ?>" disabled>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Fax 1:</label>
                                <input type="text" class="form-control" name="fax1" id="fax1"
                                    value="<?php echo $row['fax_1'] ?>" disabled>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Fax 2:</label>
                                <input type="text" class="form-control" name="fax2" id="fax2"
                                    value="<?php echo $row['fax_2'] ?>" disabled>
                            </div>
                        </div>

                    </div>

                    <div class="row my-2">

                        <div class="col-3">
                            <div class="form-group">
                                <label>Email:</label>
                                <input type="text" class="form-control" name="email" id="email" required=""
                                    value="<?php echo $row['email'] ?>" disabled>
                                <div class="text-danger">
                                    <div class="" id="emailrequired" style="display:none">
                                        <span>Email Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label>Website:</label>
                                <input type="text" class="form-control" name="website" id="website"
                                    value="<?php echo $row['website'] ?>" disabled>
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="form-group">
                                <label></label>
                                <div class="">
                                    <label class="form-check-label" for="">
                                        Use For Invoicing:
                                    </label>
                                    <input class="form-check-input" type="checkbox" value=""
                                        id="useforinvoicingcheckbox" disabled>

                                </div>
                            </div>
                        </div>


                    </div>
                    <div class="container">
                        <div class="line mt-2">
                            <h2><span>Invoicing Details</span></h2>

                            <div class="row m-2">

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoice Contact:</label>
                                        <input type="text" class="form-control" name="invoicingContact"
                                            id="invoicingContact" value="<?php echo $row['invoicing_contact'] ?>"
                                            disabled>
                                    </div>
                                </div>
                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Phone:</label>
                                        <input type="text" class="form-control" name="invoicingphone"
                                            id="invoicingphone" value="<?php echo $row['invoicing_phone'] ?>" disabled>
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Email:</label>
                                        <input type="text" class="form-control" name="invoicingemail"
                                            id="invoicingemail" value="<?php echo $row['invoicing_email'] ?>" disabled>
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Fax:</label>
                                        <input type="text" class="form-control" name="invoicingfax" id="invoicingfax"
                                            value="<?php echo $row['invoicing_fax'] ?>" disabled>
                                    </div>
                                </div>

                            </div>



                            <div class="row m-2">

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Address:</label>
                                        <input type="text" class="form-control" name="invoicingaddress"
                                            id="invoicingaddress" value="<?php echo $row['invoicing_address'] ?>"
                                            disabled>
                                    </div>
                                </div>
                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Street:</label>
                                        <input type="text" class="form-control" name="invoicingstreet"
                                            id="invoicingstreet" value="<?php echo $row['invoicing_street'] ?>"
                                            disabled>
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Post Twon:</label>
                                        <input type="text" class="form-control" name="invoicingposttwon"
                                            id="invoicingposttwon" value="<?php echo $row['invoicingpost_twon'] ?>"
                                            disabled>
                                    </div>
                                </div>
                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Post Code:</label>
                                        <input type="text" class="form-control" name="invoicingpostcode"
                                            id="invoicingpostcode" value="<?php echo $row['invoicingpost_code'] ?>"
                                            disabled>
                                    </div>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>


                <div class="row my-2">
                    <div class="col-3">
                        <div class="form-group">
                            <label>Date Account Open:</label>
                            <input type="text" class="form-control" name="dateaccountopen" id="dateaccountopen"
                                required="" value="<?php echo $row['date_account_open'] ?>" disabled>
                            <div class="text-danger">
                                <div class="" id="dateopenrequired" style="display:none">
                                    <span>Date Open Required</span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Date Account Close:</label>
                            <div class="row">
                                <div class="col-2 mx-0" style="padding: 0;">
                                    <input class="form-check-input" type="checkbox" value="" id="enabledatepicker"
                                        style="margin-top: 0; padding-left: 0px;">
                                </div>
                                <div class="col-10">
                                    <input type="text" class="form-control hasDatepicker" name="dataaccountclose"
                                        id="dataaccountclose" disabled="" style="margin-top: 0; padding-left: 0px;"
                                        value="<?php echo $row['date_account_close'] ?>" disabled>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-3 px-4">
                        <div class="form-group">
                            <label>Account Blance:</label>
                            <input type="text" class="form-control" name="accountblance" id="accountblance"
                                value="<?php echo $row['account_blance'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Credit Period(Days):</label>
                            <select class="form-select" name="creditperiod" id="creditperiod" required="" disabled>
                                <option>
                                    <?php echo $row['credit_period'] ?>
                                </option>

                            </select>
                            <div class="text-danger">
                                <div class="" id="creditrequired" style="display:none">
                                    <span>Credit Period Required</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>



                <div class="row my-2">

                    <div class="col-3">
                        <div class="form-group">
                            <label>Credit Limit(e.g 1500):</label>
                            <input type="text" class="form-control" name="creditlimit" id="creditlimit"
                                value="<?php echo $row['credit_limit'] ?>" disabled>
                        </div>
                    </div>
                    <div class="col-3">
                        <div class="form-group">
                            <label>Available Limit:</label>
                            <input type="text" class="form-control" name="availablelimit" id="availablelimit"
                                value="<?php echo $row['available_limit'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Total Invoice ToDate:</label>
                            <input type="text" class="form-control" name="totalinvoicetodate" id="totalinvoicetodate"
                                value="<?php echo $row['total_invoicetodate'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Total Payment ToDate:</label>
                            <input type="text" class="form-control" name="totalpaymenttodate" id="totalpaymenttodate"
                                value="<?php echo $row['total_payment_todate'] ?>" disabled>
                        </div>
                    </div>


                </div>


                <div class="row my-2">

                    <div class="col-3">
                        <div class="form-group">
                            <label>Last Invoice Before VAT:</label>
                            <input type="text" class="form-control" name="lastinvoicevat" id="lastinvoicevat"
                                value="<?php echo $row['last_invoice_vat'] ?>" disabled>
                        </div>
                    </div>
                    <div class="col-3">
                        <div class="form-group">
                            <label>Vat On Last Invoice:</label>
                            <input type="text" class="form-control" name="vatonlastinvoice" id="vatonlastinvoice"
                                value="<?php echo $row['vat_on_last_invoice'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Total Last Invoice:</label>
                            <input type="text" class="form-control" name="totallastinvoice" id="totallastinvoice"
                                value="<?php echo $row['total_last_invoice'] ?>" disabled>
                        </div>
                    </div>
                    <div class="col-3">
                        <div class="form-group">
                            <label>Last Payment Received:</label>
                            <input type="text" class="form-control" name="lastpaymentreceived" id="lastpaymentreceived"
                                value="<?php echo $row['last_payment_received'] ?>" disabled>
                        </div>
                    </div>


                </div>

                <div class="row my-2">

                    <div class="col-3">
                        <div class="form-group">
                            <label>Service Charges %:</label>
                            <input type="text" class="form-control" name="servicecharges" id="servicecharges"
                                value="<?php echo $row['service_charges'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Vat Rate %:</label>
                            <input type="text" class="form-control" name="vatrate" id="vatrate"
                                value="<?php echo $row['vat_rate'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Discount Rate %:</label>
                            <input type="text" class="form-control" name="discountrate" id="discountrate"
                                value="<?php echo $row['discount_rate'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Comp. Rate %:</label>
                            <input type="text" class="form-control" name="compcashrate" id="compcashrate"
                                value="<?php echo $row['comp_cash_rate'] ?>" disabled>
                        </div>
                    </div>

                </div>



                <div class="row my-2">
                    <div class="col-3">
                        <label>Company Type:</label>
                        <select class="form-select form-control" name="companyType" id="companyType" disabled>
                            <option value="">
                                <?php echo $row['company_type'] ?>
                            </option>
                        </select>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Company Name:</label>
                            <input type="text" class="form-control" name="companyName" id="companyName"
                                value="<?php echo $row['company_name'] ?>" disabled>
                        </div>
                    </div>


                    <div class="col-3">
                        <div class="form-group">
                            <label>Registration Number:</label>
                            <input type="text" class="form-control" name="registrationno" id="registrationno"
                                value="<?php echo $row['registration_no'] ?>" disabled>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Account Category:</label>
                            <select class="form-select" name="accountCategory" id="accountCategory" required=""
                                disabled>
                                <option value="">
                                    <?php echo $row['account_category'] ?>
                                </option>

                            </select>
                            <div class="text-danger">
                                <div class="" id="accountcategoryrequired" style="display:none">
                                    <span>Account Category Required</span>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

        </form>
    </div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>

    <!-- <script>
        document.addEventListener('DOMContentLoaded', function () {
            var picker = new Pikaday({
                field: document.getElementById('dateaccountopen'),
                format: 'YYYY/MM/DD',
                yearRange: [1900, moment().year()],
                showYearDropdown: true,
                autoClose: true
            });
            var picker2 = new Pikaday({
                field: document.getElementById('dataaccountclose'),
                format: 'MM/DD/YYYY',
                yearRange: [1900, moment().year()],
                showYearDropdown: true,
                autoClose: true,

            });
        });
    </script>
    <script>
        $(document).ready(function () {
            $('#useforinvoicingcheckbox').change(function () {

                if ($(this).is(':checked')) {
                    $('#invoicingposttwon').val($('#posttown').val())
                    $('#invoicingContact').val($('#contactname').val())
                    $('#invoicingaddress').val($('#address').val())
                    $('#invoicingstreet').val($('#street').val())
                    $('#invoicingphone').val($('#phone1').val())
                    $('#invoicingfax').val($('#fax1').val())
                    $('#invoicingemail').val($('#email').val())
                    $('#invoicingpostcode').val($('#postcode').val())
                } else {

                }
            })
        })
        $(document).ready(function () {
            $('#enabledatepicker').change(function () {
                if ($(this).is(':checked')) {
                    $('#dataaccountclose').prop('disabled', false)
                } else {
                    $('#dataaccountclose').prop('disabled', true)
                }
            })
        })
        $(document).ready(function () {
            // Initialize Pikaday for the return date input
            var returnDatepicker = new Pikaday({
                field: document.getElementsByClassName('hasDatepicker'),
                format: 'DD-MM-YYYY',
                placeholder: 'Return date (Not applicable)',
                showYearDropdown: true,
                // Add more Pikaday configuration options as needed
            });
        })
    </script> -->
</body>

</html>