<?php
include("../db/db.php");


if (isset($_POST['submit'])) {
    // Form submitted, check if editing or adding
    $carType = $_POST['car_type'];
    $mileFrom = $_POST['mile_from'];
    $mileTo = $_POST['mile_to'];
    $firstMilePrice = $_POST['first_mile'];
    $perMilePrice = $_POST['per_mile'];

    if (empty($carType) || empty($mileTo) || empty($firstMilePrice) || empty($perMilePrice)) {
        echo "Failed: All fields are required";
    } else {
        if (isset($_POST['editId']) && !empty($_POST['editId']))  {
            // Editing an existing record
            $editId = $_POST['editId'];
            $query = "UPDATE fare_amount SET 
                      miles_from = '$mileFrom', 
                      miles_to = '$mileTo', 
                      first_mile_price = '$firstMilePrice', 
                      per_mile_price = '$perMilePrice'
                      WHERE id = $editId";
        } else {
            // Adding a new record
            $query = "INSERT INTO fare_amount (car_type, miles_from, miles_to, first_mile_price, per_mile_price) 
                      VALUES ('$carType', '$mileFrom', '$mileTo', '$firstMilePrice', '$perMilePrice')";
        }

        
        $result = mysqli_query($con, $query);

        if ($result) {
            header("Location:../fare.php");
        } else {
            echo "Failed";
        }
    }
}
 elseif (isset($_POST['hour'])) {
    $hours_range_from =$_POST["hours_range_from"];
    $hours_range_to =$_POST["hours_range_to"];
    $price_per_hour =$_POST['price_per_hour'];
    $car_type =$_POST['car_type'];
    // if (empty( $hours_range_from ) || empty( $hours_range_to ) || empty($price_per_hour) || empty($car_type)) {
    //     echo "All fields are required. Please fill them out.";
    // } else{
        if (isset($_POST['editId']) && !empty($_POST['editId']))  {
            // Editing an existing record
            $editId = $_POST['editId'];
            $query = "UPDATE hourly_rate SET 
                      hours_range_from = '$hours_range_from', 
                      hours_range_to = ' $hours_range_to', 
                      price_per_hour = '$price_per_hour', 
                      car_type = '$car_type'
                      WHERE id = $editId";
        } else {
            // Adding a new record
            $query = "INSERT INTO hourly_rate (hours_range_from, hours_range_to, price_per_hour, car_type) 
                      VALUES ('$hours_range_from', '$hours_range_to', '$price_per_hour', '$car_type')";
        }

        
        $result = mysqli_query($con, $query);

        if ($result) {
            header("Location:../fare.php");
        } else {
            echo "Failed";
        }
    // }
    
}
elseif (isset($_POST['fixed'])) {

    $pick_up = $_POST['pick_up'];
    $drop_off = $_POST['drop_off'];
    $fixed_price = $_POST['fix_price'];
    $car_type = $_POST['car_type'];
    if (empty( $pick_up ) || empty( $drop_off ) || empty($fixed_price) || empty($car_type)) {
        echo "All fields are required. Please fill them out.";
    } else{
    if (isset($_POST['editId']) && !empty($_POST['editId']))  {
        // Editing an existing record
        $editId = $_POST['editId'];
        $query = "UPDATE fixed_rate SET 
                  pick_up = '$pick_up', 
                  drop_off = '$drop_off', 
                  price = '$fixed_price', 
                  car_type = '$car_type'
                  WHERE id = $editId";
    } else {
        // Adding a new record
        $query = "INSERT INTO fixed_rate (pick_up, drop_off, price, car_type) 
                  VALUES ('$pick_up', '$drop_off', '$fixed_price', '$car_type')";
    }

    
    $result = mysqli_query($con, $query);

    if ($result) {
        header("Location:../fare.php");
    } else {
        echo "Failed";
    }
}
}

?>