<?php
include "../db/db.php";

// Fetch blacklist color from settings
$query_preferences = "SELECT * FROM setting";
$result_preferences = mysqli_query($con, $query_preferences);

if ($result_preferences && mysqli_num_rows($result_preferences) > 0) {
    $preferences = mysqli_fetch_assoc($result_preferences);
    $blacklist_color = isset($preferences['back_list']) ? $preferences['back_list'] : ''; // Assume the color is stored in 'back_list'
}

$type = $_POST['type'];
$con = mysqli_connect($serverName, $userName, $password, $dbName);
if (mysqli_connect_error()) {
    echo 'Error connecting to database:' . mysqli_connect_error();
    exit();
}

$query = "";

if ($type == 'all') {
    $query = "SELECT * FROM customer";
} else if ($type == 'blacklist') {
    $query = "SELECT * FROM customer WHERE blacklist = '1'";
} else if ($type == 'regular') {
    $query = "SELECT * FROM customer WHERE regular = '1'";
}

$result = mysqli_query($con, $query);

if (!$result) {
    echo 'Error executing query: ' . mysqli_error($con);
    exit();
}

if (mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        $id = isset($row['id']) ? $row['id'] : '';
        $name = isset($row['name']) ? $row['name'] : '';
        $phone = isset($row['phone']) ? $row['phone'] : '';
        $email = isset($row['email']) ? $row['email'] : '';
        $pickup = isset($row['pickup']) ? $row['pickup'] : '';
        $blacklist = isset($row['blacklist']) ? $row['blacklist'] : '';

        // Set the background color if the customer is blacklisted
        $trStyle = ($blacklist == '1') ? "style='background-color: {$blacklist_color};'" : "";

        echo "<tr data='{$id}' {$trStyle}>";
        echo "<td class=''>{$name}</td>";
        echo "<td class=''>{$phone}</td>";
        echo "<td class=''>{$email}</td>";
        echo "<td class=''>{$pickup}</td>";
        echo "<td class='' style='background-color:white;'>
            <a class='btn background create-booking' style='display: inline-block; font-weight: 400; line-height: 1.5; color: #212529; text-align: center; text-decoration: none; vertical-align: middle; cursor: pointer; -webkit-user-select: none; -moz-user-select: none; user-select: none; background-color: transparent; border: 1px solid transparent; padding: 0px 20px; color: #fff; font-size: 10px; border-radius: 0.25rem; transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;' data-id='{$id}' data-name='{$name}' data-phone='{$phone}' data-email='{$email}' data-pickup='{$pickup}' href='#'>Create Booking</a>
            |
            <a id='edit' class='btn background edit' style='display: inline-block; font-weight: 400; line-height: 1.5; color: #212529; text-align: center; text-decoration: none; vertical-align: middle; cursor: pointer; -webkit-user-select: none; -moz-user-select: none; user-select: none; background-color: transparent; border: 1px solid transparent; padding: 0px 20px; font-size: 10px; color: #fff; border-radius: 0.25rem; transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;' data-id='{$id}' href='#'>Edit</a> 
              </td>";
        echo "</tr>";
    }
} else {
    echo "<tr><td colspan='5'>No records found</td></tr>";
}
mysqli_close($con);
?>
