<?php
include("../db/db.php");
$query = "SELECT bookins.id, bookins.pickup, bookins.dropoff, bookins.via, bookins.status, drivers.Driver_id, drivers.Make_By, drivers.Car_Type, drivers.Phone, drivers.Color, drivers.Car_Model, drivers.Registration
          FROM bookins
          INNER JOIN drivers ON bookins.dispatch_DriverId = drivers.Driver_id AND (bookins.status = '' OR bookins.status = 'At Pickup' OR bookins.status = 'Passenger On Board' OR bookins.status = 'On Route To The Destination' OR bookins.status = 'Soon To Clear') AND accepted='1' ";


$result = mysqli_query($con, $query);

if ($result) {
    $data = array();

    // Fetch the data
    while ($row = mysqli_fetch_assoc($result)) {
        $data[] = $row;
    }

    
    mysqli_free_result($result);

    // Return the data as JSON
    echo json_encode(array('success' => true, 'data' => $data));
} else {
    // Handle the error
    echo json_encode(array('success' => false, 'message' => 'Error executing query: ' . mysqli_error($con)));
}


mysqli_close($con);
?>
