<?php
// Include database connection
include('../db/db.php');


$drivers = array();

// Create SQL query to fetch all drivers
$sql = "SELECT Driver_id, Name, Phone FROM drivers";

// Execute the query
$result = mysqli_query($con, $sql);

// Check if any rows are returned
if (mysqli_num_rows($result) > 0) {
    // Loop through the result set and add each row to the drivers array
    while ($row = mysqli_fetch_assoc($result)) {
        $drivers[] = $row;
    }
    // Return the array as JSON
    echo json_encode(array('success' => true, 'drivers' => $drivers));
} else {
    // If no drivers are found
    echo json_encode(array('success' => false, 'message' => 'No drivers found.'));
}

mysqli_close($con);
?>
