<?php
include("../db/db.php");

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $timezone = 'Europe/London';  
    
    if (isset($_REQUEST['timezone']) && in_array($_REQUEST['timezone'], timezone_identifiers_list())) {
        $timezone = $_REQUEST['timezone'];
    }
    
    date_default_timezone_set($timezone);
    $currentDateTime = date('d/m/Y H:i');  // Date and time in "MM/DD/YYYY HH:MM" format

    if(isset($_SESSION['username'])) {
        $username = $con->real_escape_string(htmlspecialchars($_SESSION['username']));
    } else {
        $username = ''; 
        error_log("Username not set in session.");
    }
    $dispatchJobId = $_POST['jobId'];
    $query = "UPDATE `bookins` SET 
              `dispatch_DriverId`= '',
              allocate_DriverId='',
              undispatchtime='$currentDateTime',
              undispatchby='$username',
              accepted = ''
              WHERE `id`='$dispatchJobId'";

    $fetchQuery = "SELECT dispatch_DriverId FROM bookins WHERE id ='$dispatchJobId'";
    $result_fetch = mysqli_query($con, $fetchQuery);

    if ($result_fetch) {
        $row = mysqli_fetch_assoc($result_fetch);
        $driverId = $row['dispatch_DriverId'];

        $updateDriverQuery = "UPDATE `drivers` SET 
                              `plot` = 'plot' 
                              WHERE `driver_id`='$driverId'";        
        $result = mysqli_query($con, $query);
        $resultDriver = mysqli_query($con, $updateDriverQuery);

        if ($result && $resultDriver) {
            $response = array('success' => true, 'message' => 'Un-dispatched Job Successfully');
        } else {
            $response = array('success' => false, 'message' => 'Error: ' . mysqli_error($con));
        }
    } else {
        // Handle the case where the query failed
        $response = array('success' => false, 'message' => 'Error fetching driver ID: ' . mysqli_error($con));
    }

    echo json_encode($response);
}

?>
