<?php
include "middleware/middleware.php";
include "./db/db.php";
$query = "SELECT * FROM setting ";
$result = mysqli_query($con, $query);
if (mysqli_num_rows($result) > 0) {
    $row = mysqli_fetch_assoc($result);
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Account</title>
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
              <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <!-- jquery -->
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <!-- Include Moment.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <style>
 .background{
        background:<?php echo($row['navbar_color'])?>!important ;
        color:<?php echo ($row['font_color']) ?> !important;
        font-family: <?php echo($row['themefont_family'])?>!important;
       
    }
    .scroll-bar{
        scrollbar-color:<?php echo ($row['scroll_color']) ?> white;
    }
    input {
    height: 30px !important;
    font-family: 'Poppins';
    color:<?php echo($row['navbar_color'])?>!important ;
}
input::placeholder {
    color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
    font-family: <?php echo($row['themefont_family'])?>!important;
}
select{
    color:<?php echo($row['navbar_color'])?>!important ;
    font-family: <?php echo($row['themefont_family'])?>!important;
}
    table tbody{
    font-weight: 700;
    font-family: <?php echo($row['themefont_family'])?>!important;
}
        .line h2 span {
            background-color: white;
            position: relative;
        }
.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight {
    border: 1px solid #6f42c1;
    background: #6f42c1;
    color: white;
}
.ui-widget-header {
    border: 1px solid #6f42c1;
    background: #6f42c1;
    color: white;
    font-weight: bold;
}
        .line {
            display: block;
            border: 1px solid #d1d6de;
        }

        .line h2 {
            font-size: 15px;
            text-align: left;
            margin-left: 20px;
            position: relative;
        }

        .btn3 {
            background-color: #d1d6de;
            border: none;
            width: 200px;
            margin-bottom: 10px;
            color: black;
        }

        .form-inline label {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: start;
            margin-bottom: 0;
        }
        h4{
            font-family: Montserrat;
        }
        label{
            font-family: poppins;
        }
        input{
            font-family: poppins;
        }
    </style>
</head>

<body>
    <div class="container my-4 " style="border: 2px solid #d1d6de;">
        <h4 class="text-center py-2 my-2 background" style=color:white>Account Details</h4>
        <form class="form-inline" action="action/accountAdd.php" method="post">

            <div class="row my-2">
                <div class="container">
                    <div class="row my-2">
                        <div class="col-3">
                            <div class="form-group">
                                <label>Account No:</label>
                                <input type="text" class="form-control" name="accountno" id="accountNo" required="">
                                <div class="text-danger">
                                    <div class="" id="accountNorequired" style="display:none">
                                        <span>Account No Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Account Name:</label>
                                <input type="text" class="form-control" name="accountname" id="accountname" required="">
                                <div class="text-danger">
                                    <div class="" id="accountNamerequired" style="display:none">
                                        <span>Account Number Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Contact Name:</label>
                                <input type="text" class="form-control" name="contactname" id="contactname" required="">
                                <div class="text-danger">
                                    <div class="" id="contactNamerequired" style="display:none">
                                        <span>Contact Name Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Contact Number:</label>
                                <input type="text" class="form-control" name="contactnumber" id="contactnumber">
                                <div class="text-danger">
                                    <div class="" id="contactNorequired" style="display:none">
                                        <span>Contact Number Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>



                    <div class="row my-2">

                        <div class="col-3">
                            <div class="form-group">
                                <label>Address No:</label>
                                <input type="text" class="form-control" name="address" id="address" required="">
                                <div class="text-danger">
                                    <div class="" id="addressrequired" style="display:none">
                                        <span>Address Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Street:</label>
                                <input type="text" class="form-control" name="street" id="street">
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Post Town:</label>
                                <input type="text" class="form-control" name="posttown" id="posttown">
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label>Post Code:</label>
                                <input type="text" class="form-control" name="postcode" id="postcode">
                            </div>
                        </div>


                    </div>

                    <div class="row my-2">

                        <div class="col-3">
                            <div class="form-group">
                                <label>Phone 1:</label>
                                <input type="text" class="form-control" name="phone1" id="phone1" required="">
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Phone 2:</label>
                                <input type="text" class="form-control" name="phone2" id="phone2">
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Fax 1:</label>
                                <input type="text" class="form-control" name="fax1" id="fax1">
                            </div>
                        </div>

                        <div class="col-3">
                            <div class="form-group">
                                <label>Fax 2:</label>
                                <input type="text" class="form-control" name="fax2" id="fax2">
                            </div>
                        </div>

                    </div>

                    <div class="row my-2">

                        <div class="col-3">
                            <div class="form-group">
                                <label>Email:</label>
                                <input type="text" class="form-control" name="email" id="email" required="">
                                <div class="text-danger">
                                    <div class="" id="emailrequired" style="display:none">
                                        <span>Email Required</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label>Website:</label>
                                <input type="text" class="form-control" name="website" id="website">
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="form-group">
                                <label></label>
                                <div class="">
                                    <label class="form-check-label" for="">
                                        Use For Invoicing:
                                    </label>
                                    <input class="form-check-input" type="checkbox" value=""
                                        id="useforinvoicingcheckbox">

                                </div>
                            </div>
                        </div>


                    </div>
                    <div class="container">
                        <div class="line mt-2">
                            <h2><span>Invoicing Details</span></h2>

                            <div class="row m-2">

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoice Contact:</label>
                                        <input type="text" class="form-control" name="invoicingContact"
                                            id="invoicingContact">
                                    </div>
                                </div>
                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Phone:</label>
                                        <input type="text" class="form-control" name="invoicingphone"
                                            id="invoicingphone">
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Email:</label>
                                        <input type="text" class="form-control" name="invoicingemail"
                                            id="invoicingemail">
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Fax:</label>
                                        <input type="text" class="form-control" name="invoicingfax" id="invoicingfax">
                                    </div>
                                </div>

                            </div>



                            <div class="row m-2">

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Address:</label>
                                        <input type="text" class="form-control" name="invoicingaddress"
                                            id="invoicingaddress">
                                    </div>
                                </div>
                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Street:</label>
                                        <input type="text" class="form-control" name="invoicingstreet"
                                            id="invoicingstreet">
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Post Twon:</label>
                                        <input type="text" class="form-control" name="invoicingposttwon"
                                            id="invoicingposttwon">
                                    </div>
                                </div>
                                <div class="col-3">
                                    <div class="form-group">
                                        <label>Invoicing Post Code:</label>
                                        <input type="text" class="form-control" name="invoicingpostcode"
                                            id="invoicingpostcode">
                                    </div>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>


                <div class="row my-2">
                    <div class="col-3">
                        <div class="form-group">
                            <label>Date Account Open:</label>
                            <input type="text" class="form-control Datepicker" name="dateaccountopen" id="dateaccountopen"
                                required="">
                            <div class="text-danger">
                                <div class="" id="dateopenrequired" style="display:none">
                                    <span>Date Open Required</span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Date Account Close:</label>
                            <div class="row">
                                <div class="col-2 mx-0" style="padding: 0;">
                                    <input class="form-check-input" type="checkbox" value="" id="enabledatepicker"
                                        style="margin-top: 0; padding-left: 0px;">
                                </div>
                                <div class="col-10">
                                    <input type="text" class="form-control Datepicker" name="dataaccountclose"
                                        id="dataaccountclose" disabled="" style="margin-top: 0; padding-left: 0px;">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-3 px-4">
                        <div class="form-group">
                            <label>Account Blance:</label>
                            <input type="text" class="form-control" name="accountblance" id="accountblance">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Credit Period(Days):</label>
                            <select class="form-select" name="creditperiod" id="creditperiod" required="">
                                <option value="">Select Category</option>
                                <option value="7 Day">7 Day</option>
                                <option value="15 Day">15 Day</option>
                                <option value="30 Day">30 Day</option>
                            </select>
                            <div class="text-danger">
                                <div class="" id="creditrequired" style="display:none">
                                    <span>Credit Period Required</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>



                <div class="row my-2">

                    <div class="col-3">
                        <div class="form-group">
                            <label>Credit Limit(e.g 1500):</label>
                            <input type="text" class="form-control" name="creditlimit" id="creditlimit">
                        </div>
                    </div>
                    <div class="col-3">
                        <div class="form-group">
                            <label>Available Limit:</label>
                            <input type="text" class="form-control" name="availablelimit" id="availablelimit">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Total Invoice ToDate:</label>
                            <input type="text" class="form-control" name="totalinvoicetodate" id="totalinvoicetodate">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Total Payment ToDate:</label>
                            <input type="text" class="form-control" name="totalpaymenttodate" id="totalpaymenttodate">
                        </div>
                    </div>


                </div>


                <div class="row my-2">

                    <div class="col-3">
                        <div class="form-group">
                            <label>Last Invoice Before VAT:</label>
                            <input type="text" class="form-control" name="lastinvoicevat" id="lastinvoicevat">
                        </div>
                    </div>
                    <div class="col-3">
                        <div class="form-group">
                            <label>Vat On Last Invoice:</label>
                            <input type="text" class="form-control" name="vatonlastinvoice" id="vatonlastinvoice">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Total Last Invoice:</label>
                            <input type="text" class="form-control" name="totallastinvoice" id="totallastinvoice">
                        </div>
                    </div>
                    <div class="col-3">
                        <div class="form-group">
                            <label>Last Payment Received:</label>
                            <input type="text" class="form-control" name="lastpaymentreceived" id="lastpaymentreceived">
                        </div>
                    </div>


                </div>

                <div class="row my-2">

                    <div class="col-3">
                        <div class="form-group">
                            <label>Service Charges %:</label>
                            <input type="text" class="form-control" name="servicecharges" id="servicecharges">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Vat Rate %:</label>
                            <input type="text" class="form-control" name="vatrate" id="vatrate">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Discount Rate %:</label>
                            <input type="text" class="form-control" name="discountrate" id="discountrate">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Comp. Rate %:</label>
                            <input type="text" class="form-control" name="compcashrate" id="compcashrate">
                        </div>
                    </div>

                </div>



                <div class="row my-2">
                    <div class="col-3">
                        <label>Company Type:</label>
                        <select class="form-select form-control" name="companyType" id="companyType">
                            <option value="">Select Company Type</option>
                            <option value="LTD">LTD</option>
                            <option value="PLC">PLC</option>
                            <option value="Charity">Charity</option>
                            <option value="Govt Body">Govt Body</option>
                        </select>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Company Name:</label>
                            <input type="text" class="form-control" name="companyName" id="companyName">
                        </div>
                    </div>


                    <div class="col-3">
                        <div class="form-group">
                            <label>Registration Number:</label>
                            <input type="text" class="form-control" name="registrationno" id="registrationno">
                        </div>
                    </div>

                    <div class="col-3">
                        <div class="form-group">
                            <label>Account Category:</label>
                            <select class="form-select" name="accountCategory" id="accountCategory" required="">
                                <option value="">Select Category</option>
                                <option value="Silver">Silver</option>
                                <option value="Bronze">Bronze</option>
                                <option value="Gold">Gold</option>
                            </select>
                            <div class="text-danger">
                                <div class="" id="accountcategoryrequired" style="display:none">
                                    <span>Account Category Required</span>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>


                <div class="row my-2">
                    <div class="col-12 text-center mt-2 m-auto">
                        <input type="submit" class="btn btn3 background" value="Save" style="color:white;" name="submit" id="saveAccount">
                    </div>
                </div>

        </form>
    </div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
            <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

    <script>
         $(document).ready(function() {
    $(".Datepicker" ).datepicker();
    
    });
    function getCurrentDate() {
        const today = new Date();
        const day = String(today.getDate()).padStart(2, '0');
        const month = String(today.getMonth() + 1).padStart(2, '0');
        const year = today.getFullYear();
        return `${day}/${month}/${year}`;
    }
    document.getElementsByClassName('Datepicker').value = getCurrentDate();
    </script>
    <script>
        $(document).ready(function () {
            $('#useforinvoicingcheckbox').change(function () {

                if ($(this).is(':checked')) {
                    $('#invoicingposttwon').val($('#posttown').val())
                    $('#invoicingContact').val($('#contactname').val())
                    $('#invoicingaddress').val($('#address').val())
                    $('#invoicingstreet').val($('#street').val())
                    $('#invoicingphone').val($('#phone1').val())
                    $('#invoicingfax').val($('#fax1').val())
                    $('#invoicingemail').val($('#email').val())
                    $('#invoicingpostcode').val($('#postcode').val())
                } else {

                }
            })
        })
        $(document).ready(function () {
            $('#enabledatepicker').change(function () {
                if ($(this).is(':checked')) {
                    $('#dataaccountclose').prop('disabled', false)
                } else {
                    $('#dataaccountclose').prop('disabled', true)
                }
            })
        })
        $(document).ready(function () {
            // Initialize Pikaday for the return date input
            var returnDatepicker = new Pikaday({
                field: document.getElementsByClassName('hasDatepicker'),
                format: 'DD-MM-YYYY',
                placeholder: 'Return date (Not applicable)',
                showYearDropdown: true,
                // Add more Pikaday configuration options as needed
            });
        })
    </script>
</body>

</html>