<?php
include("../db/db.php");

header('Content-Type: application/json');


$input = file_get_contents('php://input');
$data = json_decode($input, true);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $errors = [];

    if (!isset($data['driverId']) || empty($data['driverId'])) {
        $errors[] = 'Driver ID is missing';
    } else {
        $driverId = $data['driverId'];

      
        $checkQuery = "SELECT * FROM drivers WHERE Driver_id = '$driverId'";
        $checkResult = mysqli_query($con, $checkQuery);

        if (!$checkResult || mysqli_num_rows($checkResult) === 0) {
            $errors[] = 'Driver not found';
        }
    }

   
    if (!isset($data['latitude']) || empty($data['latitude'])) {
        $errors[] = 'Latitude is missing';
    } else {
        $latitude = $data['latitude'];
    }

  
    if (!isset($data['longitude']) || empty($data['longitude'])) {
        $errors[] = 'Longitude is missing';
    } else {
        $longitude = $data['longitude'];
    }

    if (empty($errors)) {
        $updateQuery = "UPDATE drivers SET latitude = '$latitude', longitude = '$longitude' WHERE Driver_id = '$driverId'";
        $result = mysqli_query($con, $updateQuery);

        if ($result) {
            echo json_encode(['success' => true, 'message' => 'Location updated successfully']);
        } else {
            echo json_encode(['success' => false, 'message' => 'Failed to update location']);
        }
    } else {
       
        echo json_encode(['success' => false, 'errors' => $errors]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid request']);
}

mysqli_close($con);
?>
