$(document).ready(function () {
  
    $('#book').click(function() {
      $('#name, #email, #phone, #pickup, #drops').removeClass('empty-field');
      var bookingId = $('#editjbs').val();
      var name = $('#name').val();
      var email = $('#email').val();
      var book_by = $('#book_by').val();
      var book_on = $('#book_on').val();
      var phone = $('#phone').val();
      var carType = $('#cartype').val();
      var pickup = $('#pickup').val();
      var drop = $('#drops').val();
      var pickupLatLon = $('#pickupLocationLonLat').val();
      var dropLatLon = $('#dropoffLocationLonLat').val();
      var date = $('#dateInput').val();
      var time = $('#timeInput').val();
      var viaLocation = $('#via').val();
      var viaLocationTwo = $('#viaTwo').val();
      var distance = parseFloat($('#display_distance').val());
      var pax = $('#pax').val(); 
      var luggage = $('#luggage').val();
      var routeSelect = $('#routeSelect').val();
      var fare = parseFloat($('#priceVal').val());
      var message = $('#message').val(); 
      var jobtype = $('#jobtype').val();
      var Payment_Type = $('#Payment_Type').val();
      var Account = $('#Account').val();
      var DriverID = $('#driver').val();
      var flight = $('#flight').val();
      var airline = $('#airline').val();
      var coming = $('#coming').val();
      var card_reader = $('#card_reader').is(':checked') ? 'Card Reader'  : '';
      var low_car = $('#low_car').is(':checked') ? 'Low Car' : '';
      var food_delivery = $('#food_delivery').is(':checked') ? 'Food Delivery' : '';
      var cust = $('#cust').is(':checked') ? 'Help Cust' : '';
      var pet_carrier = $('#pet_carrier').is(':checked') ? 'Pet Carrier' : '';
      var screen = $('#screen').is(':checked') ? 'Screen' : '';
      var mask = $('#mask').is(':checked') ? 'Mask' : '';
      var non_smoking = $('#non_smoking').is(':checked') ? 'Non Smoking' : '';
      var ulze = $('#ulze').is(':checked') ? 'Ulez' : '';
      var congestion = $('#congestion').is(':checked') ? 'Congestion Zone Charge' : '';
      var meet_greet = $('#meet_greet').is(':checked') ? 'Meet & Greet' : '';
      var drv_p_cahrges =$('#drvPC').val();
      var drv_w_cahrges =$('#drvWC').val();
      var extra_charges = $('#extraCharges').val();
      var wt = $('#wt').val();
    console.log("via two:",viaLocationTwo);
        
    if (!name){
      $("#name").addClass("empty-field");
      return;
    }
    if(!phone){
      $("#phone").addClass("empty-field");
      return;
    }
     if(!pickup){
      $("#pickup").addClass("empty-field");
      return;
    }
   if (!drop){
      $("#drops").addClass("empty-field");
      return;
    }

 


      $.ajax({
        type: 'POST',
        url: 'action/save.php',
        data: {
          bookingId:bookingId,
          name: name,
          book_by: book_by,
          book_on: book_on,
          phone: phone,
          email: email,
          message: message,
          carType: carType,
          pickup: pickup,
          drop: drop,
          date: date,
          time: time,
          via: viaLocation,
          viaTwo: viaLocationTwo,
          distance: distance,
          fare: fare,
          jobtype: jobtype,
          Payment_Type: Payment_Type,
          Account: Account,
          driverId: DriverID,
          pax: pax,
          luggage: luggage,
          routeSelect: routeSelect,
          pickupLatLon:pickupLatLon,
          dropLatLon:dropLatLon,
          flight: flight,
          airline: airline,
          coming: coming,
          congestion: congestion,
          card_reader: card_reader,
          food_delivery: food_delivery,
          cust: cust,
          low_car: low_car,
          non_smoking: non_smoking,
          pet_carrier: pet_carrier,
          screen: screen,
          ulze: ulze,
          meet_greet:meet_greet,
          mask: mask,
          drv_p_cahrges: drv_p_cahrges,
          drv_w_cahrges: drv_w_cahrges,
          extra_charges: extra_charges,
          wt:wt
          
          
        },
        success: function (response) {
      console.log("Response from the server:", response);  
          toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "positionClass": "toast-bottom-right",
            "preventDuplicates": true,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "300000",
            "extendedTimeOut": "300000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut",
            "toastClass": "toastr-green" 
        };
          if (bookingId) {
            toastr.success("Job updated successfully", "Success");
            $('#name').val('');
            $('#email').val('');
            $('#phone').val('');
            // $('#cartype').val('');
            $('#pickup').val('');
            $('#drops').val('');
            $('#via').val('');
            $('#viaTwo').val('');
            $('#display_distance').val('');
            $('#pax').val(''); 
            $('#luggage').val('');
            $('#Times').val('');
            $('#priceVal').val('');
            $('#message').val('');
            $('#editjbs').val('');
            $('#flight').val();
            $('#airline').val();
            $('#coming').val();
            $('#food_delivery').prop('checked', false);
            $('#congestion').prop('checked', false);
            $('#card_reader').prop('checked', false);
            $('#cust').prop('checked', false);
            $('#low_car').prop('checked', false);
            $('#non_smoking').prop('checked', false);
            $('#pet_carrier').prop('checked', false);
            $('#screen').prop('checked', false);
            $('#ulze').prop('checked', false);
            $('#mask').prop('checked', false);
            $('#meet_greet').prop('checked', false);
        $('#cartype').val($('#cartype option:first').val());
               $('#Payment_Type').val($('#Payment_Type option:first').val());
                $('#routeSelect').val($('#routeSelect option:first').val());
                $('#Account').val($('#Account option:first').val());
               $('#jobtype').val($('#jobtype option:first').val());
                $('#driver').val('');
             $('#pickupLocationLonLat').val('');
            $('#dropLocationLonLat').val('');
            $('#drvPC').val('');
            $('#drvWC').val('');
            $('#extraCharges').val('');
             $('#wt').val('');
            
            //  $('#Account').val('').prop("disabled", true);
            fetchBookings();
            dispatch();
             $("#drops").prop("disabled", false);
               updateDate();
               updateTime();
              $("#newjobId").show();
              $("#jobId").hide();
             
        } else {
            toastr.success("Job saved successfully", "Success");
            $('#name').val('');
            $('#email').val('');
            $('#phone').val('');
            $('#pickup').val('');
            $('#drops').val('');
            $('#via').val('');
             $('#via').val('');
            $('#luggage').val('');
            $('#display_distance').val('');
            $('#priceVal').val('');
            $('#message').val('');
            $('#flight').val();
            $('#airline').val();
            $('#coming').val();
            $('#food_delivery').prop('checked', false);
            $('#congestion').prop('checked', false);
            $('#card_reader').prop('checked', false);
            $('#cust').prop('checked', false);
            $('#low_car').prop('checked', false);
            $('#non_smoking').prop('checked', false);
            $('#pet_carrier').prop('checked', false);
            $('#screen').prop('checked', false);
            $('#ulze').prop('checked', false);
            $('#mask').prop('checked', false);
            $('#meet_greet').prop('checked', false);
              $('#cartype').val($('#cartype option:first').val());
               $('#routeSelect').val($('#routeSelect option:first').val());
               $('#Payment_Type').val($('#Payment_Type option:first').val());
                $('#Account').val($('#Account option:first').val());
               $('#jobtype').val($('#jobtype option:first').val());
            $('#driver').val();
            $('#pickupLocationLonLat').val('');
            $('#dropLocationLonLat').val('');
                  $('#drvPC').val('');
            $('#drvWC').val('');
            $('#extraCharges').val('');
             $('#wt').val('');
              $('#Times').val('');
            fetchBookings();
            dispatch();
            $("#drops").prop("disabled", false);
              updateDate();
               updateTime();
              $("#newjobId").show();
              $("#jobId").hide();
        }

       
        },
        error: function () {
          alert("Error occurred while saving data.");
        }
      });
    });



//  save & repeate 
    // Function to make the AJAX call
    $('#saveRepeate').click(function() {
      var name = $('#name').val();
      var email = $('#email').val();
      var phone = $('#phone').val();
      var carType = $('#cartype').val();
      var pickup = $('#pickup').val();
      var drop = $('#drops').val();
      var date = $('#dateInput').val();
      var time = $('#timeInput').val();
      var viaLocation = $('#via').val();
      var distance = parseFloat($('#display_distance').val());
      var pax = $('#pax').val(); 
      var luggage = $('#luggage').val();
      var routeSelect = $('#routeSelect').val();
      var fare = parseFloat($('#priceVal').val());
      var message = $('#message').val(); 
      var jobtype = $('#jobtype').val();
      var Payment_Type = $('#Payment_Type').val();
      var Account = $('#Account').val();
      var flight = $('#flight').val();
      var airline = $('#airline').val();
      var coming = $('#coming').val();
      var card_reader = $('#card_reader').is(':checked') ? 'Card Reader'  : '';
      var low_car = $('#low_car').is(':checked') ? 'Low Car' : '';
      var food_delivery = $('#food_delivery').is(':checked') ? 'Food Delivery' : '';
      var cust = $('#cust').is(':checked') ? 'Help Cust' : '';
      var pet_carrier = $('#pet_carrier').is(':checked') ? 'Pet Carrier' : '';
      var screen = $('#screen').is(':checked') ? 'Screen' : '';
      var mask = $('#mask').is(':checked') ? 'Mask' : '';
      var non_smoking = $('#non_smoking').is(':checked') ? 'Non Smoking' : '';
      var ulze = $('#ulze').is(':checked') ? 'Ulez' : '';
      var congestion = $('#congestion').is(':checked') ? 'Congestion Zone Charge' : '';
      var meet_greet = $('#meet_greet').is(':checked') ? 'Meet & Greet' : '';
      var drv_p_cahrges =$('#drvPC').val();
      var drv_w_cahrges =$('#drvWC').val();
      var extra_charges = $('#extraCharges').val();
      var wt = $('#wt').val();
      console.log("Account", Account);
      
          if (!name){
      $("#name").addClass("empty-field");
      return;
    }
    if(!phone){
      $("#phone").addClass("empty-field");
      return;
    }
     if(!pickup){
      $("#pickup").addClass("empty-field");
      return;
    }
   if (!drop){
      $("#drops").addClass("empty-field");
      return;
    }
  
      $.ajax({
        type: 'POST',
        url: 'action/save.php',
        data: {
           name: name,
          phone: phone,
          email: email,
          message: message,
          carType: carType,
          pickup: pickup,
          drop: drop,
          date: date,
          time: time,
          via: viaLocation,
          distance: distance,
          fare: fare,
          jobtype: jobtype,
          Payment_Type: Payment_Type,
          Account: Account,
          pax: pax,
          luggage: luggage,
          routeSelect: routeSelect,
          flight: flight,
          airline: airline,
          coming: coming,
          congestion: congestion,
          card_reader: card_reader,
          food_delivery: food_delivery,
          cust: cust,
          low_car: low_car,
          non_smoking: non_smoking,
          pet_carrier: pet_carrier,
          screen: screen,
          ulze: ulze,
          meet_greet:meet_greet,
          mask: mask,
          drv_p_cahrges: drv_p_cahrges,
          drv_w_cahrges: drv_w_cahrges,
          extra_charges: extra_charges,
          wt:wt
        },
        success: function (response) {
                      toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "positionClass": "toast-bottom-right",
            "preventDuplicates": true,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "5000",
            "extendedTimeOut": "1000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut",
            "toastClass": "toastr-green" 
        };
             toastr.success("Job saved successfully", "Success");
          fetchBookings();
        },
        error: function () {
          alert("Error occurred while saving data.");
        }
      });
    });


    // Function to make the AJAX call
    $('#saveandReturn').click(function() {
                  toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "positionClass": "toast-bottom-right",
            "preventDuplicates": true,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "5000",
            "extendedTimeOut": "1000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut",
            "toastClass": "toastr-green" 
        };
      // Collect data to send in the AJAX request
      var name = $('#name').val();
      var email = $('#email').val();
      var phone = $('#phone').val();
      var carType = $('#cartype').val();
      var pickup = $('#pickup').val();
      var drop = $('#drops').val();
      var date = $('#dateInput').val();
      var time = $('#timeInput').val();
       var pax = $('#pax').val(); 
      var luggage = $('#luggage').val();
      var routeSelect = $('#routeSelect').val();
      var viaLocation = $('#via').val();
      var distance = parseFloat($('#display_distance').val());
      var fare = parseFloat($('#priceVal').val());
      var message = $('#message').val(); 
      var jobtype = $('#jobtype').val();
      var Payment_Type = $('#Payment_Type').val();
      var Account = $('#Account').val();
      var flight = $('#flight').val();
      var airline = $('#airline').val();
      var coming = $('#coming').val();
       var card_reader = $('#card_reader').is(':checked') ? 'Card Reader'  : '';
      var low_car = $('#low_car').is(':checked') ? 'Low Car' : '';
      var food_delivery = $('#food_delivery').is(':checked') ? 'Food Delivery' : '';
      var cust = $('#cust').is(':checked') ? 'Help Cust' : '';
      var pet_carrier = $('#pet_carrier').is(':checked') ? 'Pet Carrier' : '';
      var screen = $('#screen').is(':checked') ? 'Screen' : '';
      var mask = $('#mask').is(':checked') ? 'Mask' : '';
      var non_smoking = $('#non_smoking').is(':checked') ? 'Non Smoking' : '';
      var ulze = $('#ulze').is(':checked') ? 'Ulez' : '';
      var congestion = $('#congestion').is(':checked') ? 'Congestion Zone Charge' : '';
      var meet_greet = $('#meet_greet').is(':checked') ? 'Meet & Greet' : '';
      var drv_p_cahrges =$('#drvPC').val();
      var drv_w_cahrges =$('#drvWC').val();
      var extra_charges = $('#extraCharges').val();
      var wt = $('#wt').val();
      console.log("Account", Account);
      
          if (!name){
      $("#name").addClass("empty-field");
      return;
    }
    if(!phone){
      $("#phone").addClass("empty-field");
      return;
    }
     if(!pickup){
      $("#pickup").addClass("empty-field");
      return;
    }
   if (!drop){
      $("#drops").addClass("empty-field");
      return;
    }
  
      $.ajax({
        type: 'POST',
        url: 'action/save.php',
        data: {
           name: name,
          phone: phone,
          email: email,
          message: message,
          carType: carType,
          pickup: pickup,
          drop: drop,
          date: date,
          time: time,
          via: viaLocation,
          distance: distance,
          fare: fare,
          jobtype: jobtype,
          Payment_Type: Payment_Type,
          Account: Account,
          pax: pax,
          luggage: luggage,
          routeSelect: routeSelect,
          flight: flight,
          airline: airline,
          coming: coming,
          congestion: congestion,
          card_reader: card_reader,
          food_delivery: food_delivery,
          cust: cust,
          low_car: low_car,
          non_smoking: non_smoking,
          pet_carrier: pet_carrier,
          screen: screen,
          ulze: ulze,
          meet_greet:meet_greet,
          mask: mask,
          drv_p_cahrges: drv_p_cahrges,
          drv_w_cahrges: drv_w_cahrges,
          extra_charges: extra_charges,
          wt:wt
        },
        success: function (response) {
           toastr.success("Job saved successfully", "Success");
         $('#pickup').val(drop);
         $('#drops').val(pickup);
         fetchBookings();
        },
        error: function () {
          alert("Error occurred while saving data.");
        }
      });
    });
// allocate
$('#allocate_jobtoDriver').click(function(e) { 
  e.preventDefault();
  var allocateId = $('#D_Allocatedrivers').val();
  var allocateJobId = $("#allocate_jobID").val(); 
  $.ajax({
    type: 'POST',
    url: 'action/allocateJob.php',
    data: {
      allocateId: allocateId,
      allocateJobId: allocateJobId,
    },
    success: function (response) {
      response = JSON.parse(response);
      toastr.options = {
        "closeButton": true,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "positionClass": "toast-bottom-right",
        "preventDuplicates": true,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut",
        "toastClass": "toastr-green" // Custom class for green color
      };
      if(response.success){
        toastr.success(response.message);
        fetchBookings();
      }

      // Additional code based on the success response
    },
    error: function () {
      alert("Error occurred while saving data.");
    }
  });
});

// dispatch job 
$('#dispatch_jobtoDriver').click(function(e) { 
    e.preventDefault();
    var dispatchId = $('#D_dispatchdrivers').val();
    var dispatchJobId = $("#dispatch_jobID").val(); 

    if(dispatchId && dispatchJobId) {
        $.ajax({
            type: 'POST',
            url: 'action/dispatch.php',
            data: {
                dispatchId: dispatchId,
                dispatchJobId: dispatchJobId,
            },
            success: function (response) {
                try {
                    response = JSON.parse(response); // Safely parse the response


                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-bottom-right",
                        "preventDuplicates": true,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "5000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut",
                        "toastClass": "toastr-green"
                    };

                    if(response.success) {
                        toastr.success(response.message);
                        dispatch();  // Assuming you have this function defined elsewhere
                        fetchBookings(); // Assuming you have this function defined elsewhere
                    } else {
                        console.log(response.message || "failed twilio");
                    }

                } catch (e) {
                    console.error('Parsing error:', e);
                    toastr.error('Invalid response from the server.');
                }
            },
            error: function (xhr, status, error) {
                console.error('Error:', xhr.responseText || error);
                toastr.error('An error occurred while dispatching the job.');
            }
        });
    } else {
        toastr.error("Please Select Driver Before Dispatching the Job");
    }
});

$(document).on('click', '#direct_dispatch', function(e) { 
    e.preventDefault();
    var dispatchId = $(this).data('driver-id');
    console.log("Dispatch ID:", dispatchId);
    
    var dispatchJobId = $("#dispatch_jobID").val(); // Get the dispatch job ID from the input

    if(dispatchId && dispatchJobId) {
        $.ajax({
            type: 'POST',
            url: 'action/dispatch.php',
            data: {
                dispatchId: dispatchId,
                dispatchJobId: dispatchJobId,
            },
            success: function (response) {
                try {
                    response = JSON.parse(response); // Safely parse the response

                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-bottom-right",
                        "preventDuplicates": true,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "5000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut",
                        "toastClass": "toastr-green"
                    };

                    if(response.success) {
                        toastr.success(response.message);
                        dispatch();  // Assuming you have this function defined elsewhere
                        fetchBookings(); // Assuming you have this function defined elsewhere
                    } else {
                        console.log(response.message || "Failed to dispatch the job via Twilio");
                    }

                } catch (e) {
                    console.error('Parsing error:', e);
                    toastr.error('Invalid response from the server.');
                }
            },
            error: function (xhr, status, error) {
                console.error('Error:', xhr.responseText || error);
                toastr.error('An error occurred while dispatching the job.');
            }
        });
    } else {
        toastr.error("Please Select Driver Before Dispatching the Job");
    }
});



//   clear 
    $('#clear').click(function () {
        $('#name').val('').prop('disabled', false);
        $('#email').val('').prop('disabled', false);
        $('#phone').val('').prop('disabled', false);
        $('#pickup').val('').prop('disabled', false);
        $('#drops').val('').prop('disabled', false);
        $('#via').val('').prop('disabled',false);
        $('#viaTwo').val('').prop('disabled',false);
        $('#display_distance').val('');
        $('#priceVal').val('').prop('disabled', false);
        $('#message').val('').prop('disabled', false);
        $('#flight').val('').prop('disabled', false);
        $('#airline').val('').prop('disabled', false);
        $('#coming').val('').prop('disabled', false);
        $('#Times').val('');
         $('#editjbs').val('');
        $('#dateInput').prop('disabled', false);
        $('#timeInput').prop('disabled', false);
         $('#food_delivery').prop('checked', false).prop('disabled', false);
            $('#congestion').prop('checked', false).prop('disabled', false);
            $('#card_reader').prop('checked', false).prop('disabled', false);
            $('#cust').prop('checked', false).prop('disabled', false);
            $('#low_car').prop('checked', false).prop('disabled', false);
            $('#non_smoking').prop('checked', false).prop('disabled', false);
            $('#pet_carrier').prop('checked', false).prop('disabled', false);
            $('#screen').prop('checked', false).prop('disabled', false);
            $('#ulze').prop('checked', false).prop('disabled', false);
            $('#meet_greet').prop('checked', false).prop('disabled', false);
            $('#mask').prop('checked', false).prop('disabled', false);
        //   $('#type').prop('disabled', false);
             $('#cartype').val($('#cartype option:first').val()).prop('disabled', false);
             $('#routeSelect').val($('#routeSelect option:first').val()).prop('disabled', false);
               $('#Payment_Type').val($('#Payment_Type option:first').val()).prop('disabled', false);
                $('#Account').val($('#Account option:first').val()).prop('disabled', true);
               $('#jobtype').val($('#jobtype option:first').val()).prop('disabled', false);
                      $('#pax').val('').prop('disabled', false);
                       $('#luggage').val('').prop('disabled', false);
                        $('#message').prop('disabled', false);
                        $('#driver').val('').prop('disabled', false);
                             $('#drvPC').val('').prop('disabled', false);
                   $('#drvWC').val('').prop('disabled', false);
                    $('#extraCharges').val('').prop('disabled', false);
                     $('#wt').val('').prop('disabled', false);
                            var pickupLatLon = $('#pickupLocationLonLat').val('');
      var dropLatLon = $('#dropoffLocationLonLat').val('');
      });

// history
  $('#userHistorybtn').click(function(){
  var phone = $('#phone').val();
  console.log(phone);
  $.ajax({
      type: 'post',
      url: 'action/history.php',
      data: {
          phone: phone,
      },
      dataType: 'json',
      success: function(data) {
          console.log(data);
          var tableBody = $('#userjobHistoryTable tbody');

          if (data.length > 0) {
              tableBody.empty();

              $.each(data, function(index, item) {
                  // Assuming the item.date is in mm/dd/yy format
                  var dateParts = item.date.split('/');
                  var formattedDate = dateParts[1] + '/' + dateParts[0] + '/' + dateParts[2];

                  tableBody.append(
                      '<tr>' +
                            '<td>' + item.id + '</td>' +
                            '<td>' + formattedDate + '</td>' +
                            '<td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">' +
                                '<span title="' + item.pickup + '">' + item.pickup + '</span>' +
                            '</td>' +
                            '<td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">' +
                                '<span title="' + item.dropoff + '">' + item.dropoff + '</span>' +
                            '</td>' +
                            '<td>' + item.distance + '</td>' +
                            '<td>' + item.fare + '</td>' +
                            '<td>' + item.phone + '</td>' +
                            '<td>' + item.name + '</td>' +
                            '<td>' + item.payment_type + '</td>' +
                            '<td>' + item.dispatch_DriverId + '</td>' +
                            '<td style="display:none;">' + item.car_type + '</td>' +
                            '<td style="display:none;">' + item.time + '</td>' +
                        '</tr>'
                  );
              });
          } else {
              tableBody.empty();
              tableBody.append('<tr class="text-center"><td colspan="10">no data found</td></tr>');
          }
      },
  });
});

// job sections 

    let intervalId;
      function fetchBookings() {
         $.ajax({
            url: 'action/fetch_bookings.php',
            method: 'GET',
            success: function(data) {
               $('#myTable tbody').html(data);
            }
         });
      }
      fetchBookings();
       intervalId = setInterval(fetchBookings, 1000);

       $("#next_Job").click(function() {
         // Stop the interval when #next_Job is clicked
         clearInterval(intervalId);
      
         // Perform other actions when #next_Job is clicked
         console.log('#next_Job clicked. Interval stopped.');
       });

       $("#airport_Job").click(function() {
         // Stop the interval when #next_Job is clicked
         clearInterval(intervalId);
      
         // Perform other actions when #next_Job is clicked
       });
       $("#cash_Job").click(function() {
         // Stop the interval when #next_Job is clicked
         clearInterval(intervalId);
      
         // Perform other actions when #next_Job is clicked
       });
       $("#web").click(function() {
         // Stop the interval when #next_Job is clicked
         clearInterval(intervalId);
      
         // Perform other actions when #next_Job is clicked
       });
       $("#recent_job").click(function() {
         // Stop the interval when #next_Job is clicked
         clearInterval(intervalId);
      
         // Perform other actions when #next_Job is clicked
       });
       
       $('#search').on('keyup', function() {
   var searchText = $(this).val().toLowerCase();

   if (searchText === '') {
      // If search input is cleared, fetch bookings and restart interval
      fetchBookings();
      clearInterval(intervalId); // Clear any existing interval
      startInterval(); // Restart the interval
   } else {
      // If search input is not empty, perform search
      $.ajax({
         url: './action/searchData.php', 
         type: 'POST', 
         data: { search: searchText }, 
         dataType: 'html',
         success: function(response) {
            console.log("searched data:", response);
            $('#myTable tbody').html(response);
            clearInterval(intervalId); // Stop the interval when showing search results
         },
         error: function(xhr, status, error) {
            console.error('Error fetching filtered data: ' + status + ', ' + error);
         }
      });
   }
});


   var currentOrder = []; // Store the current order of drivers

    // Function to fetch and update drivers
    function Plot() {
        $.ajax({
            type: 'get',
            url: './action/fetch_plot.php',
            dataType: 'json',
            success: function(response) {
                if (response.success) {
                    var data = response.data;
                    console.log(data);

                    // Update the driver data without changing the order
                    for (var i = 0; i < data.length; i++) {
                        (function(i) { // Use a closure to capture the value of i
                            var loginTime = data[i].login_time.split(':'); // Split login time string
                            var loginDate = new Date(); // Use current date
                            loginDate.setHours(parseInt(loginTime[0])); // Set hours
                            loginDate.setMinutes(parseInt(loginTime[1])); // Set minutes

                            var currentTime = new Date();
                            var waitingTimeInSeconds = Math.floor((currentTime - loginDate) / 1000);

                            // Convert waiting time to hours and minutes
                            var hours = Math.floor(waitingTimeInSeconds / 3600);
                            var minutes = Math.floor((waitingTimeInSeconds % 3600) / 60);

                            // Update the row data
                            var row = $('#waitting tr[data-driver-id="' + data[i].Driver_id + '"]');
                            if (row.length) {
                                row.find('td:eq(1)').text(data[i].Driver_id + "-" + data[i].Name);
                                row.find('td:eq(2)').text(data[i].Car_Type);
                                row.find('td:eq(3)').text(data[i].location_name);
                                row.find('td:eq(4)').text(data[i].login_time);
                                row.find('td:eq(5)').text(hours + 'h ' + minutes + 'm');
                            } else {
                                // Append the row if it does not exist
                              $('#waitting tbody').append(
                                    '<tr class="waitting" data-driver-id="' + data[i].Driver_id +
                                    '" data-driver-name="' + data[i].Name +
                                    '">' +
                                    '<td  title="Phone: ' + data[i].Phone +
                                    ' \nReg: ' + data[i].Registration +
                                    ' \nColor: ' + data[i].Color +
                                    ' \nMake: ' + data[i].Make_By +
                                    ' \nModel: ' + data[i].Car_Model +'">' + (i + 1) + '</td>' +
                                    '<td  title="Phone: ' + data[i].Phone +
                                    ' \nReg: ' + data[i].Registration +
                                    ' \nColor: ' + data[i].Color +
                                    ' \nMake: ' + data[i].Make_By +
                                    ' \nModel: ' + data[i].Car_Model +'">' + data[i].Driver_id + "-" + data[i].Name + '</td>' +
                                    '<td  title="Phone: ' + data[i].Phone +
                                    ' \nReg: ' + data[i].Registration +
                                    ' \nColor: ' + data[i].Color +
                                    ' \nMake: ' + data[i].Make_By +
                                    ' \nModel: ' + data[i].Car_Model +'">' + data[i].Car_Type + '</td>' +
                                    '<td title="' + data[i].location_name + '" style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 100px;">' +
                                        '<span >' + data[i].location_name + '</span>' +
                                    '</td>' +
                                    '<td  title="Phone: ' + data[i].Phone +
                                    ' \nReg: ' + data[i].Registration +
                                    ' \nColor: ' + data[i].Color +
                                    ' \nMake: ' + data[i].Make_By +
                                    ' \nModel: ' + data[i].Car_Model +'">' + data[i].login_time + '</td>' +
                                    '<td  title="Phone: ' + data[i].Phone +
                                    ' \nReg: ' + data[i].Registration +
                                    ' \nColor: ' + data[i].Color +
                                    ' \nMake: ' + data[i].Make_By +
                                    ' \nModel: ' + data[i].Car_Model +'">' + hours + 'h ' + minutes + 'm</td>' +
                                    '</tr>'
                                );
                            }
                        })(i);
                    }

                    // Update the serial numbers
                    updateSrNo();
                } else {
                    console.error('Error in PHP script:', response.message);
                }
            },
            error: function(jqXHR, textStatus, errorThrown) {
                console.error('Ajax request failed:');
                console.error('Status:', textStatus);
                console.error('Error:', errorThrown);
                console.error('Response:', jqXHR.responseText);
            }
        });
    }

    // Call Plot function initially and then every second
    Plot();
    setInterval(Plot, 1000);

    // Show context menu on right click
    $('#waitting tbody').on('contextmenu', 'tr', function(e) {
        e.preventDefault();
        var driverId = $(this).data('driver-id');
        $('#contextMenuwaiting').data('driver-id', driverId).css({
            top: e.pageY,
            left: e.pageX
        }).show();
    });

    // Hide context menu on click outside
    $(document).click(function() {
        $('#contextMenuwaiting').hide();
    });

    // Move driver up
    $('#moveUp').click(function() {
        var driverId = $('#contextMenuwaiting').data('driver-id');
        var row = $('#waitting tr[data-driver-id="' + driverId + '"]');
        var prevRow = row.prev('tr');

        if (prevRow.length !== 0) {
            row.insertBefore(prevRow);
        }

        updateSrNo();
        $('#contextMenuwaiting').hide();
    });

    // Move driver down
    $('#moveDown').click(function() {
        var driverId = $('#contextMenuwaiting').data('driver-id');
        var row = $('#waitting tr[data-driver-id="' + driverId + '"]');
        var nextRow = row.next('tr');

        if (nextRow.length !== 0) {
            row.insertAfter(nextRow);
        }

        updateSrNo();
        $('#contextMenuwaiting').hide();
    });

    // Function to update the serial numbers
    function updateSrNo() {
        $('#waitting tbody tr').each(function(index) {
            $(this).find('td:first').text(index + 1);
        });
    } 
  
    
    //  $('#SendSMS').click(function() {
    //         var message = $('#sms').val();
    //         var driverId = $('#driver_Id').val();
    //         if (message.trim() !== '') {
    //             $.post('action/send_message.php', { sender: 'web', receiver: driverId, message: message }, function(response) {
    //                 $('#sms').val('');
    //                 loadMessages(driverId);
    //             });
    //         }else{
    //             alert("error in sending");
    //         }
    //     });

    //     // Function to load messages
    //     function loadMessages(driverId) {
    //         $.get('action/load_messages.php', { driverId: driverId }, function(data) {
    //             console.log("chat-data",data)
    //             $('#chatBody').html(data);
    //             // $('#chatBody').scrollTop($('#chatBody')[0].scrollHeight);
    //         });
    //     }


    //     setInterval(function() {
    //         var driverId = $('#driver_Id').val();
    //         if (driverId) {
    //             loadMessages(driverId);
    //         }
    //     }, 2000);

  
        // $('#waitting').on('dblclick', 'tr', function() {
        //     var driverId = $(this).data('driver-id');
        //     var driverName = $(this).data('driver-name');
        //      $('#driver_Id').val(driverId);
        //     var modal = $('#sendingSMSToApp');
        //     modal.find('.modal-title').text('Send Message to Driver ' + driverId + "-" + driverName);
        //   modal.modal('show');
        // });


let previousStatuses = {};

function dispatch() {
  $.ajax({
      type: 'get',
      url: './action/fetch_dispatch.php',
      dataType: 'json',
      success: function(response) {
          if (response.success) {
              toastr.options = {
                  "closeButton": true,
                  "debug": false,
                  "newestOnTop": false,
                  "progressBar": false,
                  "positionClass": "toast-bottom-right",
                  "preventDuplicates": true,
                  "onclick": null,
                  "showDuration": "300",
                  "hideDuration": "1000",
                  "timeOut": "5000",
                  "extendedTimeOut": "1000",
                  "showEasing": "swing",
                  "hideEasing": "linear",
                  "showMethod": "fadeIn",
                  "hideMethod": "fadeOut",
                  "toastClass": "toastr-green"
              };
              var data = response.data;

              console.log(data);
              $('#onBoard tbody').empty();

              for (var i = 0; i < data.length; i++) {
                  const jobId = data[i].id;
                  const newStatus = data[i].status;

                  let rowClass = "onBoard";
                  if (newStatus === "At Pickup") {
                      rowClass = "atpickup";
                  } else if (newStatus === "Passenger On Board") {
                      rowClass = "onboard_status";
                  } else if (newStatus === "On Route To The Destination") {
                      rowClass = "onroute_status";
                  } else if (newStatus === "Soon To Clear") {
                      rowClass = "soontoclear_status";
                  }

                  // Append the row to the table
                  $('#onBoard tbody').append('<tr class="' + rowClass + '" data-job-id="' + jobId + '" data-driver-id="' + data[i].Driver_id + '" title="Phone: ' + data[i].Phone + ' \nReg: ' + data[i].Registration + ' \nColor: ' + data[i].Color + ' \nMake: ' + data[i].Make_By + ' \nModel: ' + data[i].Car_Model + '"><td>' + data[i].Driver_id + "-" + data[i].Car_Type + '</td><td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 180px;">' + data[i].pickup + "," + data[i].dropoff + '</td><td>' + newStatus + '</td></tr>');

                  // Check if the status has changed
                  if (previousStatuses[jobId] && previousStatuses[jobId] !== newStatus) {
                      toastr.info('Status updated for job ID: ' + jobId + ' to ' + newStatus);
                  }

                  // Update the status in the previousStatuses object
                  previousStatuses[jobId] = newStatus;
              }
          } else {
              console.error('Error in PHP script:', response.message);
              toastr.error('Error fetching dispatch data: ' + response.message);
          }
      },
      error: function(jqXHR, textStatus, errorThrown) {
          console.error('Ajax request failed:');
          console.error('Status:', textStatus);
          console.error('Error:', errorThrown);
          console.error('Response:', jqXHR.responseText);
          toastr.error('Ajax request failed: ' + textStatus);
      }
  });
}

setInterval(() => {
    dispatch();
}, 1000);




   
    $('#contextMenuJob').on('click', '.un-dispatch', function () {
      var jobId = $('#contextMenuJob').data('row-id');
      console.log(jobId);
      $.post('./action/un-dispatch.php', { jobId: jobId }, function (response) {
          try {
              response = JSON.parse(response);
              if (response.success) {
                        toastr.options = {
        "closeButton": true,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "positionClass": "toast-bottom-right",
        "preventDuplicates": true,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut",
        "toastClass": "toastr-green" // Custom class for green color
      };
                  toastr.success(response.message);
               dispatch();
               fetchBookings();
              } else {
                  alert('Failed to Delete the job. ' + response.message);
              }
          } catch (error) {
              console.error('Error parsing JSON response:', error);
          }
      });
           

      $('#contextMenu').hide();
    });
    
       $('#contextMenu').on('click', '.unAllocate', function () {
        var jobId = $('#contextMenu').data('row-id');
        $.post('./action/unAllocate.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                    toastr.success("Un-Allocate Job");
                    fetchBookings();
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });
      
          $("#driverAsDirected").change(function () {
      // Check if the checkbox is checked
      if ($(this).is(":checked")) {
          $("#drops").prop("disabled", true).data("value", $("#drops").val("Drive As Directed"));
      } else {
          // Enable the text input and restore its value
          $("#drops").prop("disabled", false).val($("#drops").data(""));
      }
  });
  $('#jobtype').change(function (e) {
    e.preventDefault();
    var jobType = $(this).val();
    
    // Check if the selected job type is "Base"
    if (jobType === 'Base') {
        // Make AJAX request to fetch the address only if the job type is "Base"
        $.ajax({
            type: 'POST',
            url: 'action/jobtype.php',
            data: { jobType: jobType },
            dataType: 'json',
            success: function (response) {
                if(response.success) {
                    $('#pickup').val(response.data.address || '');
                } else {
                    console.log(response.message);
                }
            },
            error: function () {
                console.log('Error fetching data. Please try again.');
            }
        });
    } else {
        // Clear the pickup field if the job type is not "Base"
    }
});
  
    let addedParkingCharges = 0;
    let addedWaitingCharges = 0;
    let addedExtraCharges = 0;
    let addedWaitingTime = 0;

   
    document.getElementById("drvPC").addEventListener('input', updateFare);
    document.getElementById("drvWC").addEventListener('input', updateFare);
    document.getElementById("extraCharges").addEventListener('input', updateFare);
    document.getElementById("wt").addEventListener('input', updateFare);

  
    function updateFare(event) {
        // Base total fare
      let totalFare = parseFloat(document.getElementById("priceVal").value) || 0;

        
        // Get the current values from the input fields (charges)
        let parkingCharges = parseFloat(document.getElementById("drvPC").value) || 0;
        let waitingCharges = parseFloat(document.getElementById("drvWC").value) || 0;
        let extraCharges = parseFloat(document.getElementById("extraCharges").value) || 0;
        let waitingTime = parseFloat(document.getElementById("wt").value) || 0;

        switch (event.target.id) {
            case 'drvPC':
                totalFare += parkingCharges - addedParkingCharges;
                addedParkingCharges = parkingCharges;
                break;
            case 'drvWC':
                totalFare += waitingCharges - addedWaitingCharges;
                addedWaitingCharges = waitingCharges;
                break;
            case 'extraCharges':
                totalFare += extraCharges - addedExtraCharges;
                addedExtraCharges = extraCharges;
                break;
            case 'wt':
                totalFare += waitingTime - addedWaitingTime;
                addedWaitingTime = waitingTime;
                break;
        }

        // Update the displayed total fare
        document.getElementById("priceVal").value = totalFare;
    }
});

