<?php
include("middleware/middleware.php");
$pageTitle = 'Reports';
include("include/header.php");
?>
<style>
    .background {
        background:
            <?php echo ($row['navbar_color']) ?>
            !important;
        color:
            <?php echo ($row['font_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;

    }

    label {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
                font-weight: 500;
    }
    .bottom{
     color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
}
h5{
    color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
}
    .scroll-bar {
        scrollbar-color:
            <?php echo ($row['scroll_color']) ?>
            white;
    }

    input {
        height: 30px !important;
        font-family: 'Poppins';
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
    }

    input::placeholder {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        /* Replace #999 with the color you want */
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    select {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    table tbody {
        font-weight: 700;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    .form-select {
        display: block;
        width: 100%;
        padding: 2px 10px;
        -moz-padding-start: calc(0.70rem - 3px);
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        /* background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e); */
        background-repeat: no-repeat;
        background-position: right .70rem center;
        background-size: 16px 12px;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    p {
        font-weight: 700;
        font-family: 'Poppins';
    }

    table.dataTable thead th {
        padding: 0px 10px !important;
        height: 26px;
        border-bottom: 0px solid #111;
        vertical-align: middle;
    }

    .btn:hover {
        color: white;
    }

    table.dataTable tbody td {
        text-wrap: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    table.dataTable.display tbody tr:first-child td {
        border-top: 1px solid #ddd;
    }

    table.dataTable.no-footer {
        border-bottom: 0px solid #111;
    }

    table.dataTable tbody td {
        padding: 2px 10px;
        font-weight: 700;
    }

    table.dataTable tbody th,
    table.dataTable tbody td {
        max-width: 200px;
        max-width: 200px !important;
        /* font-size: 12px; */
    }

    .dataTables_empty {
        display: none;
    }


    .btn3 {
        border: none;
        width: 100%;
        color: white;
    }

    table.dataTable tfoot th,
    table.dataTable tfoot td {
        padding: 1px 20px 0px 37px;
        border-top: 0px solid #111;
    }

    .card-header {
        padding: 0.3rem 1rem;
        margin-bottom: 0;
        background-color: rgba(0, 0, 0, .03);
        border-bottom: 1px solid rgba(0, 0, 0, .125);
    }

    .style {
        --bs-gutter-x: 0rem;
        --bs-gutter-y: 0;
        display: flex;
        flex-wrap: wrap;
        margin-top: calc(var(--bs-gutter-y)* -1);
        margin-right: calc(var(--bs-gutter-x)* -.5);
        margin-left: calc(var(--bs-gutter-x)* -.5);
    }

    @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(40vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1600px) {
        .job_table {
            height: calc(89vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(91vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(95vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
    #image-info {
            display: none;
        }
    #image-infos {
            display: none;
        }
        #image-preview {
            display: none;
            width:100%;
            height:100%;
        }
        #image-previews {
            display: none;
            width:100%;
            height:100%;
        }
         .image-previeww{
             width:170px;
             height:170px;
             background:url("assets/images/placeholder2.png")center center/cover;
         }
         .image-previewws{
             width:170px;
             height:170px;
             background:url("assets/images/logo-placeholder.jpg")center center/cover;
         }
         .preview-header{
            padding: 5px;
            text-align: center;
         }

</style>
<section class="h-100 px-4 py-2">
    <div class="container-fluid mt-2 py-2 px-2" style="border: 1px solid #cfd6de">
        <div class="row" style="margin: 0px -7px;">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="config.php"
                            style="color:White; margin-left:10px;">Theme Setting</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="company_info.php"
                            style="color:White; margin-left:10px;">Company Info</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="dispatch_time.php"
                            style="color:White; margin-left:10px;">Dispatch Time</a>
                    </li>
                </ul>
            </div>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active mt-2" id="allDriver" role="tabpanel"
                    aria-labelledby="distance-price">
                    <div class="col-md-12 mb-5 mb-xl-0 d-flex justify-content-center">
                        <div class=" row card job_table" style="background-color:#e9e9eb;">
                            <div class="col-md-8 card-body thead-light d-flex justify-content-center" style="align-items: center !important;">
                                <form action="" method="POST" enctype="multipart/form-data">
                                    <div class="row justify-content-center">
                                        <input type="hidden" name="editId" id="fixed_id">
                                        <div class="col-md-6">
                                             <h5 class="">Company Details</h5>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="name">Name</label>
                                                <input style="width: 60%;" class="form-control" type="text" name="name"
                                                    id="name">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="phone">Telephone No</label>
                                                <input style="width: 60%;" class="form-control" type="number"
                                                    name="telephone" id="telephone">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="username">Country</label>
                                                <input style="width: 60%;" class="form-control" type="number"
                                                    name="country" id="country">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="username">Post Code</label>
                                                <input style="width: 60%;" class="form-control" type="number"
                                                    name="emergency" id="emergency">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Website</label>
                                                <input style="width: 60%;" class="form-control" type="text"
                                                    name="website" id="website">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Email</label>
                                                <input style="width: 60%;" class="form-control" type="Email"
                                                    name="email" id="email">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Address</label>
                                                <textarea name="address" id="address" style="width: 60%;"></textarea>
                                            </div>                                            
                                        </div>
                                        <div class="col-md-6">
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="name">Comp Reg No</label>
                                                <input style="width: 60%;" class="form-control" type="text" name="reg_no"
                                                    id="sort_code">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="phone">Comp Vat No</label>
                                                <input style="width: 60%;" class="form-control" type="number"
                                                    name="vat_no" id="vat_no">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="username">City</label>
                                                <input style="width: 60%;" class="form-control" type="text"
                                                    name="city" id="city">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Operator License</label>
                                                <input style="width: 60%;" class="form-control" type="text"
                                                    name="bank" id="bank">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Drv Statement Text</label>
                                                <textarea name="address" id="address" style="width: 60%;"></textarea>
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Invoice Text</label>
                                                <textarea name="address" id="address" style="width: 60%;"></textarea>
                                            </div>
                                           
                                        </div>
                                        <div class="col-md-6">
                                        <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Invoice Email Subject</label>
                                                <input style="width: 60%;" class="form-control" type="text"
                                                    name="subject" id="subiect">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Invoice Email Body</label>
                                                <textarea name="invoice_body" id="invoice_body" style="width: 60%;"></textarea>
                                            </div>  
                                        <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Drv Email Subject</label>
                                                <input style="width: 60%;" class="form-control" type="text"
                                                    name="subject" id="subiect">
                                            </div>
                                            <div class="mb-3"
                                                style="display:flex;align-items:center;justify-content:space-between;">
                                                <label style="margin-left:10px;" for="password">Drv Email Body</label>
                                                <textarea name="invoice_body" id="invoice_body" style="width: 60%;"></textarea>
                                            </div>  
                                        </div>
                                        <div class="col-md-6 d-flex justify-content-between" style="height: 201px;">
                                            <div class="col-md-12 d-flex justify-content-end"> 
                                                <div class="class">
                                                    <div class="image-previewws">
                                                        <img id="image-previews" alt="Image Preview"
                                                            style="max-width:100%; height:170px;">
                                                    </div>
                                                <input style="width:170px" class="form-control" name="company_logo" type="file"
                                                id="images">  
                                                </div>       
                                            </div>
                                        </div>
                                        <div class="col-md-12 mt-2 d-flex justify-content-between">
                                            <div class="col-md-6"></div>
                                            <div class="col-md-2 px-1">
                                                    <button class="btn background" id="mileage_rate"
                                                        style="color:white;padding: 3px 20px;font-size: 12px;width: 100%;" type="submit" name="submit">Update</button>
                                                </div>
                                                <div class="col-md-2 px-1">
                                                    <button class="btn background" id="mileage_rate"
                                                        style="color:white;padding: 3px 20px;font-size: 12px;width: 100%;" type="submit" name="submit">Save as Default</button>
                                                </div>
                                                <div class="col-md-2 px-1">
                                                    <button class="btn background" id="mileage_rate"
                                                        style="color:white;padding: 3px 20px;font-size: 12px;width: 100%;" type="submit" name="submit">Clear</button>
                                                </div>
                                            </div>    
                                        </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-4" style="position:fixed;bottom:3px">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script>
    $(document).ready(function () {
        $(".datepicker").datepicker({
            dateFormat: 'dd/mm/yy' // Set the date format as dd/mm/yyyy
        });
    });
    $(document).ready(function () {
        $('#filter').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [
                [0, "desc"]
            ],
        });
    });
    $(document).ready(function () {
    $('#image').change(function() {
        const file = this.files[0];
        if (file) {
            const reader = new FileReader();
            reader.onload = function(event) {
                $('#image-preview').attr('src', event.target.result);
                $('#image-preview').show();
            }
            reader.readAsDataURL(file);
            $('#image-info').text(file.name).hide();
        } else {
            $('#image-preview').hide();
        }
    });
    })
    $(document).ready(function () {
    $('#images').change(function() {
        const file = this.files[0];
        if (file) {
            const reader = new FileReader();
            reader.onload = function(event) {
                $('#image-previews').attr('src', event.target.result);
                $('#image-previews').show();
            }
            reader.readAsDataURL(file);
            $('#image-infos').text(file.name).hide();
        } else {
            $('#image-previews').hide();
        }
    });
    })
    $('.edit').click(function (e) {
        e.preventDefault();
        var fix_Id = $(this).data('id');
        $.ajax({
            url: './action/Viewsub_company.php',
            type: 'POST',
            data: {id: fix_Id},
            dataType: 'json',
            success: function (response) {
                $('#fixed_id').val(response.data.id);
                $('#name').val(response.data.name);
                $("#telephone").val(response.data.telephone);
                $('#emergency').val(response.data.emergency);
                $("#website").val(response.data.website);
                $("#email").val(response.data.email);
                $("#address").val(response.data.address);
                $("#sort_code").val(response.data.sort_code);
                $("#account_no").val(response.data.account_no);
                $("#acconut_title").val(response.data.acconut_title);
                $("#bank").val(response.data.bank);
                $("#company_no").val(response.data.company_no);
                $("#vat_no").val(response.data.vat_no);
                $("#iban_no").val(response.data.iban_no);
                $("#blc_no").val(response.data.blc_no);
                if (response.data.image) {
                    let imageUrl = response.data.image.replace('../', '');
                    $('#image-info').text(imageUrl).show();
                    $('#image-preview').attr('src', imageUrl).show();
                } else {
                    $('#image-info').text('No file uploaded').show();
                    $('#image-preview').show();
                }
                if (response.data.company_logo) {
                    let imageUrl = response.data.company_logo.replace('../', '');
                    $('#image-infos').text(imageUrl).show();
                    $('#image-previews').attr('src', imageUrl).show();
                } else {
                    $('#image-infos').text('No file uploaded').show();
                    $('#image-preview').show();
                }
                console.log("hello", response);
            }
        });
    });
    
    function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}
document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
<?php include('include/footer.php') ?>