<div class="modal fade" id="ModalDispatch" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-lg">
        <div class="modal-content">
            <div class="modal-header w-100 background" style=" height:32px">
                <h5 class="modal-title text-center"> Dispatch job - Job Id :  <text id="jobId_dispatch"></text></h5>
                <button type="button" style="width:30px;font-size: 21px;border: 0px;color:white" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <input type="hidden" id="dispatch_jobID" name="dispatch_jobID" value="">
                      <input type="hidden" id="location" name="location" value="">
                    <div class="row mb-4" style="border: 1px solid #cfd6de;">
                        <div class="col-md-4 my-2">
                            <h5>Select Driver</h5>
                            <?php
                            $query = "SELECT d.*, COUNT(b.id) AS jobCount
                                      FROM drivers d
                                      LEFT JOIN bookins b ON d.Driver_id = b.dispatch_DriverId AND b.Status = ''
                                      WHERE d.plot = 'plot'
                                      GROUP BY d.Driver_id";

                            $result = mysqli_query($con, $query);

                            if ($result) {
                            ?>
                                <div class="form-group">
                                    <select id="D_dispatchdrivers" class="my-select2 form-control form-control-sm pl-2 select2-hidden-accessible" style="width: 100%" data-select2-id="D_Plotdrivers" tabindex="-1" aria-hidden="true">
                                        <option value="">Select Driver</option>
                                        <?php
                                        while ($row = mysqli_fetch_assoc($result)) {
                                            $driverId = $row['Driver_id'];
                                            $driverName = $row['Name'];
                                            $jobCount = $row['jobCount'];

                    
                                            
                                                echo "<option value=\"$driverId\">$driverId - $driverName </option>";
                                            
                                        }
                                        ?>
                                    </select>
                                </div>
                            <?php
                            } else {
                                echo "<p>No active plot drivers found.</p>";
                            }
                            ?>
                            <button type="button" id="dispatch_jobtoDriver" class="btn mt-2  background" style="" data-bs-dismiss="modal" aria-label="Close">Dispatch</button>
                        </div>
                        <div class="col-md-8 my-2 scroll-bar" style="border-left: 2px solid #cfd6de;height:180px;overflow:scroll;">
                            <h5>Nearest Driver</h5>
                            <table id="etaTable" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Drv</th>
                                        <th>ETA</th>
                                         <th>Zone</th>
                                         <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>01</td>
                                        <td>10 min(s)</td>
                                        <td>N/A</td>
                                        <td>N/A</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="ModalCancleJob" tabindex="1" aria-labelledby="exampleModalLabel2" aria-hidden="true">
    <div class="modal-dialog  modal-md">
        <div class="modal-content">
            <div class="modal-header w-100 background" style="height:32px">
                <h5 class="modal-title text-center"> Job Id :  <text id="canclejobid"></text></h5>
                <button type="button background" style="width:30px;font-size: 21px;border: 0px;color:white" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <input type="hidden" id="cancle_jobID" name="cancle_jobID" value="">
                    <div class="row" style="border: 1px solid #cfd6de;">
                        <div class="col-md-12 mt-2">
                            <div class="form-group">
                                <textarea id="reasonForCancel" name="" rows="3" cols="60" placeholder="Cancellation Reason" style="width: 100%;padding: 10px 10px;"></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="background" style="padding: 7px 8px;color: white;border-radius: 4px;font-size: 13px;display: math;font-weight: 700">
                                            <input type="checkbox"  id="viaSMS" style="transform: translateY(10px);">
                                            Send Notification By SMS
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="background" style="padding: 7px 8px;color: white;border-radius: 4px;font-size: 13px;display: math;font-weight: 700;margin-left: 8px;">
                                            <input type="checkbox" class="" id="viaEmail" style="transform: translateY(10px);">
                                            Send Notification By E-Mail
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer pt-0" style="border:1px solid white;">
                <button type="button" id="CancleJob" class="btn mt-2 background" style="color:white;" data-bs-dismiss="modal" aria-label="Close">Cancel Job</button>
            </div>
        </div>
    </div>
</div>

<!--model for sendign messages to app-->

<!--<div class="modal fade" id="sendingSMSToApp" tabindex="1" aria-labelledby="exampleModalLabel2" aria-hidden="true">-->
<!--    <div class="modal-dialog  modal-md">-->
<!--        <div class="modal-content">-->
<!--            <div class="modal-header w-100 background" style="height:32px">-->
<!--                <h5 class="modal-title text-center"> </h5>-->
<!--                <button type="button background" style="width:30px;font-size: 21px;border: 0px;color:white" class="close" data-bs-dismiss="modal" aria-label="Close">-->
<!--                    <span aria-hidden="true">×</span>-->
<!--                </button>-->
<!--            </div>-->
<!--            <div class="modal-body">-->
<!--                    <input type="hidden" id="driver_Id" name="driver_Id" value="">-->
<!--                    <div class="row" style="border: 1px solid #cfd6de;">-->
<!--                        <div class="col-md-12 mt-2 P-0">-->
<!--                            <div id="chatBody" class="Chat-body" style="height:200px;overflow:scroll;">-->
                               
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
            
<!--            </div>-->
<!--            <div class="modal-footer p-0" style="border:1px solid white;flex-wrap:nowrap;justify-content:space-between;">-->
                <!--<div class="row">-->
<!--                    <div class="col-md-10 p-0">-->
<!--                        <input type="text" id="sms" class="form-control" style="height:38px !important;">-->
<!--                    </div>-->
<!--                    <div class="col-md-2">-->
<!--                        <button type="button" id="SendSMS" class="btn  background" style="color:white;">Send</button>-->
<!--                        </div>-->
<!--                </div>-->
            <!--</div>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->

<!-- modal allocate  -->
<div class="modal fade" id="ModalAllocate" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-md">
    <div class="modal-content">
            <div class="modal-header w-100 background"  style="height:32px">
                <h5 class="modal-title text-center"> Allocate job - Job Id :  <text id="jobId_one"></text></h5>
               
                <button type="button" style="width:30px;font-size: 21px;border: 0px;color:white" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                <input type="hidden" id="allocate_jobID" name="allocate_jobID" value="">
                    <div class="row mb-4" style="border: 1px solid #cfd6de;">
                        <div class="col-md-6 my-2">
                            <h5>Select Driver</h5>

                            <?php
                                    $query = "SELECT * FROM drivers WHERE status ='active' ";
                                    $result = mysqli_query($con, $query);

                                    if (mysqli_num_rows($result) > 0) {
                                ?>
                                    <div class="form-group">
                                        <select id="D_Allocatedrivers" class="my-select2 form-control form-control-sm pl-2 select2-hidden-accessible" style="width: 100%" data-select2-id="D_Plotdrivers" tabindex="-1" aria-hidden="true">
                                            <option value="">Select Driver</option>
                                            <?php
                                            while ($row = mysqli_fetch_assoc($result)) {
                                                $driverId = $row['Driver_id'];
                                                $driverName = $row['Name'];
                                                echo "<option value=\"$driverId\">$driverId - $driverName</option>";
                                            }
                                            ?>

                                        </select>
                                    </div>
                                <?php
                                    }
                                ?>

                            <button type="button" id="allocate_jobtoDriver" class="btn mt-2 background" style=" " data-bs-dismiss="modal" aria-label="Close">Allocate</button>
                        </div>

                        <div class="col-md-6 my-2" style="border-left: 2px solid  #cfd6de;">
                            <h5>Nearest Driver</h5>
                            <table class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Drv</th>
                                        <th>ETA</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>01</td>
                                        <td>10 min(s)</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>
                    </div>
                </form>


            </div>
        </div>            
    </div>
</div>
<!-- model for plot-->
<div class="modal fade" id="exampleModalPlot" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-md">
    <div class="modal-content">
            <div class="modal-header w-100 background"  style="color:white; height:32px">
                <h5 class="modal-title text-center"> Plot Driver</h5>
                <input type="hidden" id="D_PlotId" value="42">
                <button type="button" style="width:30px;font-size: 21px;border: 0px;color:white" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="row mb-4" style="border: 1px solid #cfd6de;">
                        <div class="col-md-12 my-2">
                            <h5>Select Driver</h5>
                                <?php
                                    $query = "SELECT * FROM drivers WHERE status ='active' ";
                                    $result = mysqli_query($con, $query);

                                    if (mysqli_num_rows($result) > 0) {
                                ?>
                                    <div class="form-group">
                                        <select id="D_Plotdrivers" class="my-select2 form-control form-control-sm pl-2 select2-hidden-accessible" style="width: 100%" data-select2-id="D_Plotdrivers" tabindex="-1" aria-hidden="true">
                                            <option value="">Select Driver</option>
                                            <?php
                                            while ($row = mysqli_fetch_assoc($result)) {
                                                $driverId = $row['Driver_id'];
                                                $driverName = $row['Name'];
                                                echo "<option value=\"$driverId\">$driverId - $driverName</option>";
                                            }
                                            ?>

                                        </select>
                                    </div>
                                <?php
                                    }
                                ?>
                          

                            <h5>Zone</h5>
                            <div class="form-group">
                                <select id="plotZone" class="my-select2 form-control form-control-sm pl-2" style="width: 100%">
                                    <option value="Base">Base</option>
                                    <option value="Un Known">Un Known</option>
                                </select>
                            </div>

                            <button id="plot"  class="btn plot mt-2 background" style="color:white;" data-bs-dismiss="modal">Plot Driver</button>

                        </div>

                        
                    </div>
                </form>


            </div>
        </div>
    </div>
</div>

<!--modal for SMS-->
<!--<div class="modal fade" id="exampleModalSMS" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--    <div class="modal-dialog  modal-md">-->
<!--    <div class="modal-content">-->
<!--            <div class="modal-header w-100 background"  style="color:white; height:50px">-->
<!--                <h5 class="modal-title text-center">SMS</h5>-->
             
<!--                <button id="clearClose" type="button" style="width:30px;background-color:white;color:black;" class="close" data-bs-dismiss="modal" aria-label="Close">-->
<!--                    <span aria-hidden="true">×</span>-->
<!--                </button>-->
<!--            </div>-->
<!--            <div class="modal-body">-->
                
<!--                    <div class="row" style="border: 1px solid #cfd6de;">-->
<!--                        <div class="col-md-12 my-2">-->
                              
<!--                        <div class="form-group" style="display:flex;align-items:center;position:relative;">-->
<!--                            <label class="background" style="position:absolute;left:1px;color:white !important;padding:2px 5px;">To</label>-->
<!--                            <input id="allNumber" type="text" class="form-control" style="margin-right:5px;width:72%;padding-left:35px;">-->
<!--                            <div style="position:relative;">-->
<!--                                <button id="dropdown" class="btn btn-sm background" style="width:124.5px;">Pick</button>-->
                               
<!--                                    <ul id="dropdownMenu" class="p-1" style="display:none;position:absolute;background-color:white;border-left:20px solid;border-color:#4e36a6!important;z-index:1000;box-shadow:0 4px 8px rgba(0,0,0,0.2);top:35px;cursor:pointer;">-->
<!--                                    <li id="pickDrivers" class=" " style="display:block;width:100%;border-bottom:1px solid white;background-color:white:font-size:12px;font-weight:500;">Drivers</li>-->
<!--                                    <li id="pickCustomers" class="" style="display:block;width:100%;background-color:white:font-size:12px;font-weight:500;">Customers</li>-->
<!--                                    </ul>-->
                               
<!--                            </div>-->
                           
<!--                        </div>-->

<!--                        </div>-->
<!--                        <div class="col-md-12 my-2">-->
<!--                            <form>-->
<!--                               <div class="form-group" style="display:flex;align-items:center;" >-->
<!--                                <textarea id="SMSForJob" name="" rows="2" cols="50" placeholder="Message" style="width: 72%;padding: 10px 10px;margin-right:5px;"></textarea>-->
<!--                                <div>-->
<!--                                 <button type="button"  id="chooseTemplate" class="btn btn-sm background" style="margin-bottom:5px;font-size:12px;">Choose Template</button> <br>-->
<!--                                 <button type="button" id="saveTemplate" class="btn btn-sm background" style="font-size:12px;width:100%;">Save Template</button>-->
<!--                                </div>-->
<!--                            </div>-->
                         
                                
                


<!--            </div>-->
<!--            </form>-->
<!--        </div>-->
<!--    </div>-->
<!--    <div class="modal-footer">-->
<!--         <button id="SendSMS" class="btn btn-sm  background" style=" color:white;"  data-bs-dismiss="modal">Send</button>-->
<!--         <button id="clearNumber" class="btn btn-sm background">Clear</button>-->
<!--    </div>-->
<!--</div>-->


<!-- un plot driver modal -->
<div class="modal fade" id="exampleModalunplot" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-md">
    <div class="modal-content">
            <div class="modal-header w-100 background"  style="color:white; height:32px">
                <h5 class="modal-title text-center">Un Plot Driver</h5>
                <input type="hidden" id="D_PlotId" value="42">
                <button type="button" style="width:30px;font-size: 21px;border: 0px;color:white" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="row mb-4" style="border: 1px solid #cfd6de;">
                        <div class="col-md-12 my-2">
                            <h5>Select Driver</h5>
                                <?php
                                    $query = "SELECT * FROM drivers Where plot ='plot' AND  status ='active' ";
                                    $result = mysqli_query($con, $query);

                                    if (mysqli_num_rows($result) > 0) {
                                ?>
                                    <div class="form-group">
                                        <select id="D_Plotdriver" class="my-select2 form-control form-control-sm pl-2 select2-hidden-accessible" style="width: 100%" data-select2-id="D_Plotdriver" tabindex="-1" aria-hidden="true">
                                            <option value="">Select Driver</option>
                                            <?php
                                            while ($row = mysqli_fetch_assoc($result)) {
                                                $driverId = $row['Driver_id'];
                                                $driverName = $row['Name'];
                                                echo "<option value=\"$driverId\">$driverId - $driverName</option>";
                                            }
                                            ?>

                                        </select>
                                    </div>
                                <?php
                                    }
                                ?>
                                 <button id="Unplot" class="btn plot  mt-2 background" style=" color:white;"   data-bs-dismiss="modal">Un Plot Driver</button>
                </form>


            </div>
        </div>
    </div>
</div>
