<?php
include("middleware/middleware.php");
$pageTitle = 'Reports';
include("include/header.php");
?>
<style>
    .background {
        background:
            <?php echo ($row['navbar_color']) ?>
            !important;
        color:
            <?php echo ($row['font_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    font-weight: 700;
    }
        .toastr-green{
        background-color:<?php echo($row['notification_color'])?>!important ;
    }
    label {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        /* Replace #999 with the color you want */

    }
    p{
        margin-bottom: 0px;
    }
.bottom{
     color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
}
    .scroll-bar {
        scrollbar-color:
            <?php echo ($row['scroll_color']) ?>
            white;
    }

    input {
        height: 30px !important;
        font-family: 'Poppins';
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
    }

    input::placeholder {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        /* Replace #999 with the color you want */
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    select {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    table tbody {
        font-weight: 700;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    .form-select {
        display: block;
        width: 100%;
        padding: 2px 10px;
        -moz-padding-start: calc(0.75rem - 3px);
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e); 
        background-repeat: no-repeat;
        background-position: right .75rem center;
        background-size: 16px 12px;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    p {
        font-weight: 700;
        font-family: 'Poppins';
    }

    table.dataTable thead th {
        padding: 0px 10px !important;
        height: 26px;
        border-bottom: 0px solid #111;
        vertical-align: middle;
    }

    .btn:hover {
        color: white;
    }

    table.dataTable tbody td {
        text-wrap: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    table.dataTable.display tbody tr:first-child td {
        border-top: 1px solid #ddd;
    }

    table.dataTable.no-footer {
        border-bottom: 0px solid #111;
    }

    table.dataTable tbody td {
        padding: 2px 10px;
        font-weight: 700;
    }

    table.dataTable tbody th,
    table.dataTable tbody td {
        max-width: 200px;
        max-width: 200px !important;
        /* font-size: 12px; */
    }

    .dataTables_empty {
        display: none;
    }


    .btn3 {
        border: none;
        width: 100%;
        color: white;
    }

    table.dataTable tfoot th,
    table.dataTable tfoot td {
        padding: 1px 20px 0px 37px;
        border-top: 0px solid #111;
    }

    .card-header {
        padding: 0.3rem 1rem;
        margin-bottom: 0;
        background-color: rgba(0, 0, 0, .03);
        border-bottom: 1px solid rgba(0, 0, 0, .125);
    }

    .style {
        --bs-gutter-x: 0rem;
        --bs-gutter-y: 0;
        display: flex;
        flex-wrap: wrap;
        margin-top: calc(var(--bs-gutter-y)* -1);
        margin-right: calc(var(--bs-gutter-x)* -.5);
        margin-left: calc(var(--bs-gutter-x)* -.5);
    }

    @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(82vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1600px) {
        .job_table {
            height: calc(89vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(91vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(98vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
</style>
<section class="h-100 px-4 py-2">
    <div class="container-fluid mt-2 py-2 px-2" style="border: 1px solid #cfd6de">
        <div class="row" style="margin: 0px -7px;">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="accounts.php" style="color:white; margin-left:10px;">All
                            Account</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="account_invoice.php" style="margin-left:10px;">Create Account
                            Invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="account_invoice_list.php" style="margin-left:10px;">Account invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link" href="invoice_payment_list.php" style="margin-left:10px;">Paid invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="invoice_pending_list.php" style="margin-left:10px;">Unpaid invoice</a>
                    </li>
                                         <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="customer_invoice.php" style="margin-left:10px;">Cash invoice</a>
                    </li>
                                                            <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="cash_invoice_history.php" style="margin-left:10px;">Cash History</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="" style="color:white; margin-left:10px;"
                            onclick="window.open('addAccounts.php', 'name', 'width=1060, height=640, top=50, left=0');return false;"
                            ;"="">Add New Account</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="sub_company.php" style="margin-left:10px;">Create Sub Company</a>
                    </li>
                </ul>
            </div>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active mt-2" id="allDriver" role="tabpanel"
                    aria-labelledby="distance-price">
                    <div class="col-md-12 mt-2 ">
                        <div id="example_wrapper" class="dataTables_wrapper dt-bootstrap5 no-footer">
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="dataTables_scroll">
                                        <div class="dataTables_scrollHead " style=" border: 0px; width: 100%;">
                                            <div class="dataTables_scrollHeadInner job_table scroll-bar"
                                                style="padding-right: 0px;overflow: scroll;">
                                                <table id="filter"
                                                    class="example display table table-striped table-bordered dataTable no-footer"
                                                    style="width:100%; margin-left: 0px;font-size: 11px;">
                                                    <thead class="background" style="font-family: poppins;">
                                                        <tr>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Invoice No</th>
                                                            <th class=" text-light py-0" style="padding:10px 20px;">
                                                                Invoice Date</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Dua Date</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Company Name</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Telephone</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Action</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody style="font-family: poppins;font-weight: 700;">
                                                    <?php
                                                        include("db/db.php");

                                                        $query = "SELECT * FROM `account_invoice` WHERE status ='paid' ORDER BY id DESC";
                                                        $result = mysqli_query($con, $query);

                                                        if (mysqli_num_rows($result) > 0) {
                                                            while ($data = mysqli_fetch_array($result)) {
                                                                $id = $data['id'];
                                                                $invoice_no = $data['invoice_no'];
                                                                $invoice_date = $data['invoice_date'];
                                                                $account = $data['account'];
                                                                $due_date = $data['due_date'];
                                                                $company_phone = $data['company_phone'];
                                                                $company_name = $data['company_name'];
                                                                $comment = $data['comment'];
                                                                $fare = $data['total_fare'];
                                                                ?>
                                                                <tr class="" data="<?php echo $id; ?>">
                                                                    <td><?php echo $invoice_no; ?></td>
                                                                    <td><?php echo $invoice_date; ?></td>
                                                                    <td><?php echo $due_date; ?></td>
                                                                    <td class=""><?php echo $company_name; ?></td>
                                                                    <td class=""><?php echo $company_phone; ?></td>
                                                                    <td class=""><a class='editPeakhour btn background' style='display: inline-block;
                                                                        font-weight: 400;
                                                                        line-height: 1.5;
                                                                        color: #212529;
                                                                        text-align: center;
                                                                        text-decoration: none;
                                                                        vertical-align: middle;
                                                                        cursor: pointer;
                                                                        -webkit-user-select: none;
                                                                        -moz-user-select: none;
                                                                        user-select: none;
                                                                        background-color: transparent;
                                                                        border: 1px solid transparent;
                                                                    padding: 0PX 20PX;
                                                                        color: #fff;
                                                                    font-size: 10PX;
                                                                    border-radius: 0.25rem;
                                                                    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                                                    ' href='#' data-bs-toggle='modal' data-bs-target='#exampleModalMulti'
                                                                                                    data-id='<?php echo $id; ?>'>Pay Now</a>
                                                                                                | <a class='btn background info' style='display: inline-block;
                                                                        font-weight: 400;
                                                                        line-height: 1.5;
                                                                        color: #212529;
                                                                        text-align: center;
                                                                        text-decoration: none;
                                                                        vertical-align: middle;
                                                                        cursor: pointer;
                                                                        -webkit-user-select: none;
                                                                        -moz-user-select: none;
                                                                        user-select: none;
                                                                        background-color: transparent;
                                                                        border: 1px solid transparent;
                                                                    padding: 0PX 20PX;
                                                                        color: #fff;
                                                                    font-size: 10PX;
                                                                    border-radius: 0.25rem;
                                                                    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                                                    ' href='' data-bs-toggle='modal' data-bs-target='#exampleModal'
                                                                                                    data-id='<?php echo $id; ?>'>Info</a></td>
                                                                </tr>
                                                            <?php
                                                            }
                                                        }
                                                        ?>
                                                    </tbody>

                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<div class="modal fade" id="exampleModalMulti" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header background" style="padding:0px 10px;">
                <h5 class="modal-title" id="exampleModalLabel" style="margin-bottom: 0;line-height: 1.5;">Invoice Payment
                </h5>
            </div>
            <div class="modal-body">
                <div class="row mb-2">
                    <div class="col-md-6 d-flex">
                        <div class="col-md-6">
                            <div>
                                <label>Company</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <input id="company" type="text" name="company" class="form-control">
                            <input id="account_id" type="hidden" name="account_id" class="form-control">
                        </div>
                    </div>
                    <div class="col-md-6 d-flex">
                        <div class="col-md-6">
                            <div>
                                <label>Invoice No</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <input id="invoice_no" type="text" name="invoice_no" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row mb-2">
                    <div class="col-md-6 d-flex">
                        <div class="col-md-6">
                            <div>
                                <label>Invoice Total</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <input id="invoice_total" name="invoice_total" type="text" class="form-control ">
                        </div>
                    </div>
                    <div class="col-md-6 d-flex">
                        <div class="col-md-6">
                            <div>
                                <label>Balance</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <input id="balance" name="Balance" type="number" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row mb-2">
                    <div class="col-md-6 d-flex">
                        <div class="col-md-6">
                            <div>
                                <label>Payment</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <input id="payment" name="payment" type="number" class="form-control">
                        </div>
                    </div>
                    <div class="col-md-6 d-flex">
                        <div class="col-md-6">
                            <div>
                                <label>Payment Date</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <input id="payment_date" name="payment_date" type="text" class="form-control">
                           
                        </div> 
                    </div>                    
                </div>
                <style>
                    #bookingsTable td {
                        padding: 1px 10px;
                    }
                </style>
                <div style="overflow:scroll; height:200px;">
                    <table id="bookingsTable" class="table table-striped bordered dataTable"
                        style="border-spacing: 2px;">
                        <thead class="background">
                            <tr class="background text-light">
                                <th style="padding:3px;">Add By</th>
                                <th style="padding:3px;">payment</th>
                                <th style="padding:3px;">Balance</th>
                                <th style="padding:3px;">Payment Date</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer" style="border-top: 0px solid #dee2e6;padding: 6px;">
                <button id="multiJobsSave" type="button" class="btn btn-large btn-secondary background"
                    data-bs-dismiss="modal" style="font-size:12px;">Close</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModal" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header background" style="padding:0px 10px;">
                <h5 class="modal-title" id="exampleModalLabel" style="margin-bottom: 0;line-height: 1.5;">Invoice Info
                </h5>
            </div>
            <div class="modal-body">
                <div class="row ">
                    <div class="col-md-12 mb-2 d-flex">
                        <div class="col-md-4">
                            <div>
                                <label>Invoice </label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div>
                                <p id="info_invoice"></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12 mb-2 d-flex">
                        <div class="col-md-4">
                            <div>
                                <label>Company</label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div>
                                <p id="info_company"></p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mb-2 d-flex">
                        <div class="col-md-4">
                            <div>
                            <label>Net Total</label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div>
                                <p id="info_net"></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12 d-flex">
                        <div class="col-md-4">
                            <div>
                            <label>Invoice Total</label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div>
                                <p id="info_total"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer" style="border-top: 0px solid #dee2e6;padding: 6px;">
                <button id="multiJobsSave" type="button" class="btn btn-large btn-secondary background"
                    data-bs-dismiss="modal" style="font-size:12px;">Close</button>
            </div>
        </div>
    </div>
</div>
<?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-4" style="position:fixed;bottom:3px">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script>
    $(document).ready(function () {
        $(".datepicker").datepicker({
            dateFormat: 'dd/mm/yy' // Set the date format as dd/mm/yyyy
        });
    });
    $(document).ready(function () {
        $('#filter').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [
                [0, "desc"]
            ],
        });
    });
    $(document).on('click', '.info', function() {
    var id = $(this).data('id');
    
    // AJAX request to fetch data from the database
    $.ajax({
        url: 'action/view_account_invoice.php',
        type: 'POST',
        data: { id: id },
        success: function(response) {
            var data = JSON.parse(response);
            $('#info_invoice').text(data.invoice_no + ' @ ' + data.invoice_date);
            $('#info_company').text(data.company_name);
            $('#info_total').text(data.total_fare);
            $('#info_net').text(data.total_fare);
        toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "positionClass": "toast-bottom-right",
            "preventDuplicates": true,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "5000",
            "extendedTimeOut": "1000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut",
            "toastClass": "toastr-green" 
        };
            toastr.success("Paid Info loaded successfully", "Success");
        },
        error: function() {
            toastr.error("Error fetching the data", "Error");
        }
    });
});
    $(document).on('click', '.editPeakhour', function() {
    var id = $(this).data('id'); // Get the ID from the clicked element

    // AJAX request to fetch invoice data from the database
    $.ajax({
        url: 'action/view_account_invoice.php',
        type: 'POST',
        data: { id: id },
        success: function(response) {
            var data = JSON.parse(response)
            $('#company').val(data.company_name).prop('disabled', true);
            $('#account_id').val(data.id);
            $('#invoice_no').val(data.invoice_no).prop('disabled', true);
            var initialBalance = parseFloat(data.total_fare);
            $('#invoice_total').val(initialBalance.toFixed(2)).prop('disabled', true);

            // Now that we have the account_id, make another AJAX request to fetch payment details
            var account_id = data.id; // Use the data.id from the invoice response

            console.log(account_id); // Log the account ID to check if it's being retrieved correctly

            $.ajax({
                url: 'action/view_account_payment.php',  // URL for the AJAX request
                type: 'POST',
                data: { account_id: account_id },  // Send account_id in the POST request
                success: function(response) {
                    console.log(response);  // Log the response from the server

                    // Parse the JSON response
                    var payments = JSON.parse(response);

                    // Initialize total payment
                    var totalPayment = 0;

                    // Loop through each payment to sum up the payment amounts
                    payments.forEach(function(payment) {
                        totalPayment += parseFloat(payment.payment); // Sum the payment
                    });

                    // Set the total payment in the input field
                    $('#payment').val(totalPayment.toFixed(2)).prop('disabled', true);; // Show total payment
                    $('#balance').val('0.00').prop('disabled', true);; // Optionally show total balance
                    $('#payment_date').val(payments[0].payment_date).prop('disabled', true); 
                    $('#total').text(totalPayment.toFixed(2)); 
                    // Clear the existing rows in the table body
                    var tbody = $('#bookingsTable tbody');
                    tbody.empty();

                    // Loop through each payment and add it as a row in the table
                    payments.forEach(function(payment) {
                        var row = '<tr>' +
                            '<td>' + payment.add_by + '</td>' +
                            '<td>' + payment.payment + '</td>' +
                            '<td>' + payment.balance + '</td>' +
                            '<td>' + payment.payment_date + '</td>' +
                            '</tr>';
                        tbody.append(row);
                    });

                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-bottom-right",
                        "preventDuplicates": true,
                        "onclick": null,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "5000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut",
                        "toastClass": "toastr-green" 
                    };
                    toastr.success("Paid Invoice loaded successfully", "Success");
                },
                error: function() {
                    toastr.error("Error fetching payment data", "Error");  // Show error message if request fails
                }
            });
        },
        error: function() {
            toastr.error("Error fetching invoice data", "Error"); // Show error message if request fails
        }
    });
});






    function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}
document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
<?php include('include/footer.php') ?>