<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin login</title>
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
    <!-- css -->

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
        integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            color: white;
            text-align: center;
        }

        .login-form {
            height: 100vh;
            width: 100vw;
            background-image: url(assets/images/loginImage.jpg);
            background-size: cover;
            background-position: center;
        }

        .img {
    height: 100vh;
    width: 100vw;
    background-image: url(assets/images/Home.png);
    background-size: cover;
    background-position: center;
}
.botton{
padding: 15px 40px;
border-radius: 40px;
position: absolute;
bottom: 20%;
left: 6%;
background-color: #d3a10c;
color: white;
font-family:popins;
font-weight: 700;
border: none;
}
.shadow {
    box-shadow: 0 .5rem 1rem rgba(7, 8, 10, 9.15) !important;
} 
    </style>
    <script>
        function showLoginForm() {
            document.querySelector('.img').style.display = 'none';
            document.getElementById('loginForm').style.display = 'block';
        }
    </script>
</head>

<body>
    <div class="img">
   <button class="botton shadow" onclick="showLoginForm()">LOGIN NOW</button>
    </div>
    <div class="login-form" id="loginForm" style="display:none;">
        <div class="overlay">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-4" >
                        <div class="form-div">
                            <form action="action/log.php" method="post">
                                <div class="card" id="card">
                                    <div class="card-body">
                                        <h5 class="card-title text-dark">LOGIN AS ADMIN</h5>
                                        <div class="form-group my-3">
                                            <input type="text" name="user_name" class="form-control" id="name" placeholder="Enter user name">
                                        </div>
                                        <div class="form-group my-3">
                                            <input type="password" name="password" class="form-control" id="email" placeholder="Enter your password">
                                        </div>
                                        <div class="form-group my-4">
                                            <button id="loginAdmin" type="submit" class="btn btn-primary form-control">Login</button>
                                        </div>
                                    </div>
                                </div>


                            </form>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
        <?php
        session_start();

        if (isset($_SESSION["error_message"])) {
            echo '<script>
            $(document).ready(function() {
                toastr.error("' . $_SESSION["error_message"] . '", "Error", {
                    positionClass: "toast-bottom-right",
                    closeButton: true,
                    timeOut: 3000
                });
            });
          </script>';
            unset($_SESSION["error_message"]); // Clear the session variable
        }

        if (isset($_SESSION["success_message"])) {
            echo '<script>
            $(document).ready(function() {
                toastr.success("' . $_SESSION["success_message"] . '", "Success", {
                    positionClass: "toast-bottom-right",
                    closeButton: true,
                    timeOut: 3000
                });
            });
          </script>';
            unset($_SESSION["success_message"]); // Clear the session variable
        }
        ?>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

        <!--  -->
</body>

</html>