<?php
include "middleware/middleware.php";
$pageTitle = 'Management';
include "include/header.php";

?>
<style>
    .background {
        background: <?php echo ($row['navbar_color']) ?> !important;
        color: <?php echo ($row['font_color']) ?> !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    font-weight: 700;
    }

    .scroll-bar {
        scrollbar-color: <?php echo ($row['scroll_color']) ?> white;
    }

    input {
        font-family: 'Poppins';
        color: <?php echo ($row['navbar_color']) ?> !important;
    }

    input::placeholder {
        color: <?php echo ($row['navbar_color']) ?> !important;
        /* Replace #999 with the color you want */
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    select {
        color: <?php echo ($row['navbar_color']) ?> !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }
    .bottom{
     color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
}
.form-control {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
    table tbody {
        font-weight: 700;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }
    table.dataTable tbody td {
        padding: 3px 10px;
        font-weight: 700;
    }

    .ui-state-highlight,
    .ui-widget-content .ui-state-highlight,
    .ui-widget-header .ui-state-highlight {
        border: 1px solid #6f42c1;
        background: #6f42c1;
        color: white;
    }

    table.dataTable tbody td {
        padding: 0px 10px;
        font-weight: 700;
        border: 1px solid #e9ecef;
    }

    table.dataTable thead th {
        padding: 0px 9px !important;
        height: 30px !important;
        border-bottom: 1px solid #111;
        vertical-align: middle;
        font-size: 13px;
        text-wrap: nowrap;
        border: 1px solid #e9ecef;
    }

    .ui-widget-header {
        border: 1px solid #6f42c1;
        background: #6f42c1;
        color: white;
        font-weight: bold;
    }

    table.dataTable.no-footer {
        border-bottom: 0px solid #dee2e6;
    }

    .card-header {
        padding: 0rem 0rem;
        margin-bottom: 0;
        background-color: rgba(0, 0, 0, -0.97);
        border-bottom: 0px solid rgba(0, 0, 0, .125);
    }
    
.btn3 {
    border: none;
    width: 100%;
    color: white;
}
.col-12{
    padding: 0px 0px;
}
.suggestions {
    border: 1px solid #ccc;
    max-height: 150px;
    overflow: scroll;
    background-color: white;
    display: none;
    position: absolute;
    width: 285px;
    z-index: 1;
     scrollbar-color:<?php echo ($row['scroll_color']) ?> white;
    }
    .suggestion-item {
        padding: 6px;
        cursor: pointer;
        font-size:13px;
    }
    .suggestion-item:hover {
           background:<?php echo($row['navbar_color'])?>!important ;
        color:<?php echo ($row['font_color']) ?> !important;
        font-family: <?php echo($row['themefont_family'])?>!important; 
    }
</style>
<div class="container-fluid mt-2 py-1" style="">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">

                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="fare.php" style="color:White; margin-left:10px;">Fare
                            Managment</a>
                    </li>
                    <li class="nav-item " role="presentation">
                        <a class="nav-link background" href="place.php" style="color:White; margin-left:10px;">Place
                            Managment</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="driver_shift.php"
                            style="color:White; margin-left:10px;">Shift Managment</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="usercontrol.php"
                            style="color:White; margin-left:10px;">User Control</a>
                    </li>

                </ul>
            </div>
        </div>
    </div>
</div>
<style>
.style{
    --bs-gutter-x: 0rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(var(--bs-gutter-y)* -1);
    margin-right: calc(var(--bs-gutter-x)* -.5);
    margin-left: calc(var(--bs-gutter-x)* -.5);
}
</style>
<div class="container-fluid ">
    <div class="row " >
        <div class="container-fluid">
            <div class="col-md-12">
                <div class="row style">
                    <div class="card shadow">
                        <div class="card-header">
                            <form action="action/place.php" method="POST">
                                                    <div class="row px-2 mt-2">
                                                        <div class="col-md-2">
                                                            <input type="hidden" name="editId" id="fixed_id">
                                                            <select name="type" style="display: block;padding: 2px 10px;font-size: 1rem;font-weight: 400;width: 100%;border: 1px solid #ced4da; border-radius: 0.25rem;line-height: 1.5;font-family: poppins;"
                                                                id="car_type_fix">
                                                                <option value="" selected="">Type</option>
                                                                <option value="Base">Base</option>
                                                                <option value="Airport">Airport</option>
                                                                <option value="Railway station">Railway station</option>
                                                                <option value="School Run">School Run</option>
                                                                <option value="Hackney">Hackney</option>
                                                                <option value="Hospital">Hospital</option>
                                                                <option value="Congestion">Congestion</option>
                                                            </select>
                                                        </div>
                                                        <div class="col-md-1">
                                                            <input class="form-control text-box single-line"
                                                                data-val="true"
                                                                data-val-number="The field Name must be a number."
                                                                data-val-required="The Name field is required." id="Name"
                                                                name="Name" placeholder="Name" type="text" value="">
                                                        </div>
                                                        <div class="col-md-2">
                                                            <input
                                                                class="form-control text-box single-line pac-target-input"
                                                                data-val="true"
                                                                data-val-number="The field address must be a number."
                                                                data-val-required="The address field is required."
                                                                id="address" name="address" placeholder="Address"
                                                                type="text" value="">
                                                        </div>
                                                        <div class="col-md-2">
                                                        </div>
                                                        <div class="col-md-2">
                                                        </div>
                                                       
                                                        <div class="col-md-1">
                                                            <button id="getResult" type="submit" name="getResult"
                                                                class="getResult btn btn3 btn-sm background"
                                                                style="color:white;">Add</button>
                                                        </div>
                                                        <div class="col-md-1">
                                                        
                                                        </div>
                                                        <div class="col-md-1">
                                                            <button type="button" id="clearFilter"
                                                                class="clearFilter btn btn3 btn-sm background" style=" color:white;">Clear</button>

                                                        </div>

                                                    </div>
                            </form>
                        </div>    
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
        <style>
            @media screen and (min-width: 1200px) {
                .job_table {
                    height: calc(78vh - 100px);
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }

            @media screen and (min-width: 1500px) {
                .job_table {
                    height: calc(87vh - 100px);
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }

            @media screen and (min-width: 1760px) {
                .job_table {
                    height: calc(89vh - 100px);
                    /* Adjust 100px as needed based on your header and footer heights */
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }

            @media screen and (min-width: 2370px) {
                .job_table {
                    height: calc(92vh - 100px);
                    /* Adjust 100px as needed based on your header and footer heights */
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }
        </style>
            <div class="container-fluid" >
                <div class="row">
                    <div class="d-flex align-items-start">

                        <div class="col-md-12 job_table scroll-bar" style="overflow:scroll;border: 1px solid #cfd6de;width:100%;">
                            <table id="fixedTable" class="table table-striped " style="width:100%">
                                <thead class="border background" style="font-size: 10px;">
                                    <tr class="text-light">
                                        <th class="sorting sorting_asc" tabindex="0" aria-controls="example" colspan="1"
                                            aria-sort="ascending"
                                            aria-label="Car Type: activate to sort column descending">Type</th>
                                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                           
                                            aria-label="Miles Range: activate to sort column ascending">
                                            Name</th>
                                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                           
                                            aria-label="1st Mile: activate to sort column ascending">
                                            Address</th>
                                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="3"
                                           
                                            aria-label="Actions: activate to sort column ascending">
                                            Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    include "db/db.php";

                                    $con = mysqli_connect($serverName, $userName, $password, $dbName);
                                    if (mysqli_error($con)) {
                                        echo 'Error connecting to database:' . mysqli_error($con);
                                    }

                                    $query = "SELECT * FROM place ";
                                    $result = mysqli_query($con, $query);

                                    if (mysqli_num_rows($result) > 0) {
                                        while ($row = mysqli_fetch_assoc($result)) {
                                            echo "<tr class='' data-id='{$row['id']}'>";
                                            echo "<td class=''>{$row['type']}</td>";
                                            echo "<td class=''>{$row['Name']}</td>";
                                            echo "<td class=''>{$row['address']}</td>";
                                            echo "<td class=''>{$row['longitude']}</td>";
                                            echo "<td class=''>{$row['latitude']}</td>";
                                            echo "<td class=''><a class='editPlace btn background'style='display: inline-block;
                                    font-weight: 400;
                                    line-height: 1.5;
                                    color: #212529;
                                    text-align: center;
                                    text-decoration: none;
                                    vertical-align: middle;
                                    cursor: pointer;
                                    -webkit-user-select: none;
                                    -moz-user-select: none;
                                    user-select: none;
                                    background-color: transparent;
                                    border: 1px solid transparent;
                                    padding: 0PX 20PX;
                                    font-size: 10PX;
                                    color: #fff;
                                    border-radius: 0.25rem;
                                    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                ' href='#' data-id='{$row['id']}'>Edit</a> | <a class='btn background' style='display: inline-block;
                                    font-weight: 400;
                                    line-height: 1.5;
                                    color: #212529;
                                    text-align: center;
                                    text-decoration: none;
                                    vertical-align: middle;
                                    cursor: pointer;
                                    -webkit-user-select: none;
                                    -moz-user-select: none;
                                    user-select: none;
                                    background-color: transparent;
                                    border: 1px solid transparent;
                                    padding: 0PX 20PX;
                                    color: #fff;
                                    font-size: 10PX;
                                    border-radius: 0.25rem;
                                transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                ' href='deletePlace.php?id={$row['id']}'>Delete</a></td>";
                                            echo "</tr>";
                                        }
                                    }

                                    mysqli_close($con);
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- map model -->
<div class="modal fade" id="exampleModalmap" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" style="max-width:730px;">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Map</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-4">
                    <div class="content">
                        <div id="map-container">
                            <div id="map-wrapper">
                                <iframe id="map" width="680" height="350" frameborder="0" style="border:0" src="https://www.google.com/maps/embed/v1/place?q=London&zoom=2&key=AIzaSyD3zNeL1U_4QI0bwZQRTSpIDjVl98P9oeA" allowfullscreen>
                                </iframe>
                            </div>
                            <div id="routeSummary"></div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn background" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
            <?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-3" style="position: fixed;bottom: 4px;">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="assets/js/fare.js"></script>
<script>
            // Function to get the latitude and longitude of the entered address
function addGeocoderToInput(inputId) {
    const inputElement = document.getElementById(inputId);
    const suggestionsContainer = document.createElement('div');
    suggestionsContainer.className = 'suggestions';
    inputElement.parentNode.appendChild(suggestionsContainer);

    inputElement.addEventListener('input', function () {
        const query = inputElement.value;

        if (query) {
            fetch(`https://api.mapbox.com/geocoding/v5/mapbox.places/${encodeURIComponent(query)}.json?access_token=${mapboxgl.accessToken}`)
                .then(response => response.json())
                .then(data => {
                    suggestionsContainer.innerHTML = '';
                    if (data.features.length > 0) {
                        suggestionsContainer.style.display = 'block';
                        data.features.forEach((feature, index) => {
                            const suggestionItem = document.createElement('div');
                            suggestionItem.className = 'suggestion-item';
                            suggestionItem.innerText = feature.place_name;
                            suggestionItem.addEventListener('click', () => {
                                inputElement.value = feature.place_name;
                                suggestionsContainer.style.display = 'none';
                                const coordinates = feature.geometry.coordinates;

                                // Handle pickup, via points, and drop separately
                                if (inputId === 'pickup') {
                                    pickupCoordinates = coordinates;
                                    pickupName = feature.place_name; // Store pickup name

                                } else if (inputId === 'via') {
                                    waypointsCoordinates[0] = coordinates;
                                    waypointsNames[0] = feature.place_name; // Store Via 1 name

                                } else if (inputId === 'viaTwo') {
                                    waypointsCoordinates[1] = coordinates;
                                    waypointsNames[1] = feature.place_name; // Store Via 2 name

                                } else if (inputId === 'viaThree') {
                                    waypointsCoordinates[2] = coordinates;
                                    waypointsNames[2] = feature.place_name; // Store Via 3 name

                                } else if (inputId === 'viaFour') {
                                    waypointsCoordinates[3] = coordinates;
                                    waypointsNames[3] = feature.place_name; // Store Via 4 name

                                } else if (inputId === 'drops') {
                                    dropCoordinates = coordinates;
                                    dropName = feature.place_name; // Store drop name
                                }

                                // Update markers and route
                                updateMarkers();
                                checkAndFetchRoute();
                            });
                            suggestionsContainer.appendChild(suggestionItem);
                        });
                    } else {
                        suggestionsContainer.style.display = 'none';
                    }
                })
                .catch(error => {
                    console.error('Error fetching suggestions:', error);
                });
        } else {
            suggestionsContainer.style.display = 'none';
        }
    });

    document.addEventListener('click', function (event) {
        if (!suggestionsContainer.contains(event.target) && event.target !== inputElement) {
            suggestionsContainer.style.display = 'none';
        }
    });
}



// Attach geocoder suggestions to the inputs
addGeocoderToInput('address');

mapboxgl.accessToken = 'pk.eyJ1IjoiaXRsb2dpc29sdXRpb25zIiwiYSI6ImNtMjNkZGo5czA0eHMyanM2aWN2YTY1YTAifQ.l4Fh6K-t8pMiNcQx8ngwxw';
        </script>
        <script>
            $(document).ready(function () {
                $('#fareTable').DataTable({
                    "lengthChange": false,
                    "paging": false,
                    "info": false,
                    "order": [[0, "desc"]],
                    "language": {
                        "searchPlaceholder": "Search"
                    },
                    "dom": 'lfrtip',

                });
            });
            $(document).ready(function () {
                $('#hourTable').DataTable({
                    "lengthChange": false,
                    "paging": false,
                    "info": false,
                    "order": [[0, "desc"]],
                    "language": {
                        "searchPlaceholder": "Search"
                    },
                    "dom": 'lfrtip',

                });
            });
            $(document).ready(function () {
                $('#fixedTable').DataTable({
                    "lengthChange": false,
                    "paging": false,
                    "info": false,
                    "order": [[0, "desc"]],
                    "language": {
                        "searchPlaceholder": "Search"
                    },
                    "dom": 'lfrtrip',
                });
            });
function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}
document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
        <?php include "include/footer.php" ?>