<?php
include("middleware/middleware.php");
$pageTitle = 'Jobs';
include("include/header.php");
?>

<style>
    .background{
        background:<?php echo($row['navbar_color'])?>!important ;
        color:<?php echo ($row['font_color']) ?> !important;
        font-family: <?php echo($row['themefont_family'])?>!important;
       
    }
    .scroll-bar{
        scrollbar-color:<?php echo ($row['scroll_color']) ?> white;
    }
    input {
    height: 30px !important;
    font-family: 'Poppins';
    color:<?php echo($row['navbar_color'])?>!important ;
}
input::placeholder {
    color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
    font-family: <?php echo($row['themefont_family'])?>!important;
}
select{
    color:<?php echo($row['navbar_color'])?>!important ;
    font-family: <?php echo($row['themefont_family'])?>!important;
}
.bottom{
     color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
    font-family: <?php echo($row['themefont_family'])?>!important;
}
h6{
    font-family:'Montserrat';
}
.form-select {
    display: block;
    width: 100%;
    padding: 2px 10px;
    -moz-padding-start: calc(0.75rem - 3px);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e);
    background-repeat: no-repeat;
    background-position: right .75rem center;
    background-size: 16px 12px;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
    table tbody{
    font-weight: 700;
    font-family: <?php echo($row['themefont_family'])?>!important;
}
    table.dataTable thead th {
    padding: 0px 7px !important;
    height: 30px !important;
    vertical-align: middle;
    font-size: 13px;
    color:white;
    text-wrap: nowrap;
}
.col-md-2 {
    flex: 0 0 auto;
    width: 13.666667%;
}
.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight {
    border: 1px solid #6f42c1;
    background: #6f42c1;
    color: white;
}
.ui-widget-header {
    border: 1px solid #6f42c1;
    background: #6f42c1;
    color: white;
    font-weight: bold;
}
.nav li a{
    font-family:"Montserrat";
}
table.dataTable tbody td {
    padding: 3px 10px;
     font-size: 12px;
    white-space: nowrap;
    font-weight: 700;
}
.btn3 {
    border: none;
    width: 100%;
    color: white;
}
    .row>*{
        padding-right: calc(var(--bs-gutter-x)* 0);
    }
    .container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    width: 100%;
    padding-right: var(--bs-gutter-x, 3px);
    padding-left: var(--bs-gutter-x, .75rem);
    margin-right: auto;
    margin-left: auto;
}
</style>
<div class="container-fluid mt-2 py-2 px-4"  style="border: 1px solid #cfd6de;">
  <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">

                                             <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="pre-Bookings.php"
                            style="color:White; margin-left:10px;">Pre Bookings</a>
                    </li>
                    <li class="nav-item " role="presentation">
                        <a class="nav-link background" href="viewCompleteJobs.php"
                            style="color:White; margin-left:10px;">Completed Jobs</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="viewCanceledJobs.php"
                            style="color:White; margin-left:10px;">Cancel Jobs</a>
                    </li>
                         <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="Jobs.php"
                            style="color:White; margin-left:10px;">Jobs History</a>
                    </li>

                </ul>
            </div>
        </div>
    </div>


    <!-- Table -->

    <div class="row mt-1">
        <div class="col-md-12">
            <div class="card shadow">
                <div class="card-header pb-0">
                <div class="row px-0">
                        <div class="col-md-1">
                            <input type="number" class="form-control jobid" id="jobid" placeholder="Job Id">

                        </div>
                        <div class="col-md-1  px-0">
                            <input type="text" class="form-control name" id="name" placeholder="Name">
                        </div>
                        <div class="col-md-2">
                            <input type="number" class="form-control phone" id="phone" placeholder="Phone">
                        </div>

                    
                       <div class="col-md-1">
                            <input type="text" class="form-control datepicker " id="min" placeholder="From Date">
                        </div>

                        <div class="col-md-1">
                            <input type="text" class="form-control datepicker" id="max" placeholder="To Date">
                        </div>


                        <div class="col-md-2">
                            <select id="payment" class="payment form-select">
                                <option value="">Select Payment</option>
                                <option value="Cash">Cash</option>
                                <option value="Account">Account</option>
                            </select>
                        </div>
                        <div class="col-md-1 px-0">
                            <input type="button" value="Search" id="search" style="color:white;text-decoration:none;height:auto !important;" class="ml-0  btn btn3 btn-sm getResult background">
                        </div>
                        <div class="col-md-1 px-0 ">
                        <input type="button" value="Clear Filter" id="clear" style="color:white;text-decoration:none;height:auto !important;top: 2px;" class=" btn btn3 btn-sm  background clearFilter">
                        </div>
                        <div class="col-md-1 px-0">
                        <input type="button" value="Export PDF" id="export" style="color:white;text-decoration:none;height:auto !important;top: 2px;" class=" btn btn3 btn-sm  background clearFilter">
                        </div>
                        <div class="col-md-1 px-0">
                        <input type="button" value="Export CSV" id="downloadBtn" style="color:white;text-decoration:none;height:auto !important;top: 2px;" class=" btn btn3 btn-sm background">
                        </div>
                    </div>
                </div>
            </div>
        </div>
<style>
 @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(85vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
      @media screen and (min-width: 1500px) {
        .job_table {
            height: calc(86vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(88vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(92vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
</style>

        <div class="col-md-12 job_table scroll-bar" style="overflow:scroll;">
        
                                        <table id="alljobs" class="example display table table-striped table-bordered dataTable no-footer" style="width: 100%; margin-left: 0px;">
                                            <thead class="background" style="position:sticky;top:0;font-family: poppins;">
                                                <tr>
                                                    <th class="sorting sorting_desc" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 48.4531px;" aria-label="Job_Id: activate to sort column ascending" aria-sort="descending">Job_Id</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 39.1094px;" aria-label="Date: activate to sort column ascending">Date</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 100px;" aria-label="Pick Up: activate to sort column ascending">Pick Up</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 100px;" aria-label="Pick Up: activate to sort column ascending">via</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 178px;" aria-label="Drop Off: activate to sort column ascending">Drop Off</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 40.1094px;" aria-label="Miles: activate to sort column ascending">Miles</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 37.1406px;" aria-label="Price: activate to sort column ascending">Price</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 73.7031px;" aria-label="Phone: activate to sort column ascending">Phone</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 94.1562px;" aria-label="Name: activate to sort column ascending">Name</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 108.359px;" aria-label="Payment_Type: activate to sort column ascending">Payment_Type</th>
                                                     <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 108.359px;" aria-label="Payment_Type: activate to sort column ascending">Account No</th>
                                                    <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1" style="width: 46.3125px;" aria-label="Driver: activate to sort column ascending">Driver</th>
                                                </tr>
                                            </thead>
                                            <tbody style="font-family: poppins;">
                                            <?php include("db/db.php");
                                             $tomorrowDate = date("m/d/Y", strtotime("+1 day"));
                                          $endDate = date("m/d/Y", strtotime("+2 years", strtotime($tomorrowDate)));
                                      $query = "SELECT *, DATE_FORMAT(STR_TO_DATE(date, '%m/%d/%Y'), '%d/%m/%y') AS formatted_date 
                                          FROM `bookins` 
                                             WHERE STR_TO_DATE(date, '%m/%d/%Y') BETWEEN STR_TO_DATE('$tomorrowDate', '%m/%d/%Y') AND STR_TO_DATE('$endDate', '%m/%d/%Y')  AND status = '' AND dispatch_DriverId =''  ORDER BY date ASC, id DESC";

                                    $result = mysqli_query($con, $query);


                                    if (mysqli_num_rows($result) > 0) {

                                        while ($data = mysqli_fetch_array($result)) {

                                            $id = $data['id'];
                                            $pick = $data['pickup'];
                                            $drop = $data['dropoff'];
                                            $via = $data['via'];
                                            $distance = $data['distance'];
                                            $carType = $data['car_type'];
                                            $fare = $data['fare'];
                                            $date = $data['date'];
                                            $time = $data['time'];
                                            $name = $data['name'];
                                            $phone = $data['phone'];
                                            $message = $data['message'];
                                             $payment_type = $data['payment_type'];
                                             $account = $data['account'];
                                            $driver = $data['allocate_DriverId'];
                                    ?>

                                            <tr clas="">
                                                <td class=""><?php echo $id ?></td>
                                                 <td><?php echo date("d/m/y", strtotime($date)) . " " . $time; ?></td>
                                                <td class="" style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 150px;"><span title="<?php echo $pick ?>"><?php echo $pick ?></span></td>
                                                <td class=""style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 150px;"><span title="<?php echo $via_Two ?>"><?php echo $via ?></span></td>
                                                <td class="" style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 150px;"><span title="<?php echo $drop ?>"><?php echo $drop ?></span></td>
                                                <td class=""><?php echo $distance ?></td> 
                                                <td class="">£<?php echo $fare ?></td>
                                                <td class=""><?php echo $phone ?></td>
                                                <td class=""><?php echo $name ?></td>
                                                <td class=""><?php echo $payment_type ?></td>
                                                  <td class=""><?php echo $account ?></td>
                                                <td class=""><?php echo $driver ?></td>
                                            </tr>
                                    <?php }
                                    } ?>
                                            </tbody>
                                        </table>
              

        </div>
    </div>


</div>

<?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-3" style="position: fixed;bottom: 0px;">
    <div class="row" style="overflow:hidden">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Operator:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>


<script src="assets/js/ajax.js"></script>
<script>
  $(document).ready(function() {
    var DataTable = $('#alljobs').DataTable({
        "lengthChange": false,
        "paging": false,
        "info": false,
        "order": [
            [0, "desc"]
        ],
    });

    function filterTable() {
        var jobid = $('#jobid').val();
        var name = $('#name').val();
        var phone = $('#phone').val();
        var from = $('#min').val();
        var to = $('#max').val();
        var drive = $('#driver').val();
        var payment = $('#payment').val();

        console.log('Filters:', { jobid, name, phone, from, to, drive, payment });

        $('#alljobs tbody tr').show();

        $('#alljobs tbody tr').each(function () {
            var row = $(this);
            var rowDate = row.find('td:eq(1)').text().trim().split(' ')[0]; // Strip any time part
            console.log('Row date:', rowDate);

            if (jobid && row.find('td:eq(0)').text() !== jobid) {
                row.hide();
            }
            if (name && row.find('td:eq(8)').text().toLowerCase().indexOf(name.toLowerCase()) === -1) {
                row.hide();
            }
            if (phone && row.find('td:eq(7)').text() !== phone) {
                row.hide();
            }
            // Only check date range if no driver is selected
            if (!drive && from && !isDateInRange(rowDate, from, to)) {
                row.hide();
            }
            if (payment && row.find('td:eq(9)').text() !== payment) {
                row.hide();
            }
            if (drive && row.find('td:eq(11)').text() !== drive) {
                row.hide();
            }
        });
    }

    // Function to check if a date is within the specified range
    function isDateInRange(dateString, fromDate, toDate) {
        var date = parseDate(dateString);
        var fromDateObj = fromDate ? parseDate(fromDate) : null;
        var toDateObj = toDate ? parseDate(toDate) : null;

        console.log('Comparing dates:', { date, fromDateObj, toDateObj });

        if (!date) {
            return false;
        }

        if (fromDateObj && toDateObj) {
            return date >= fromDateObj && date <= toDateObj;
        } else if (fromDateObj) {
            return date >= fromDateObj;
        } else if (toDateObj) {
            return date <= toDateObj;
        }

        return true; // No date range specified, always true
    }

    // Function to parse date in dd/mm/yyyy format
    function parseDate(dateString) {
        var parts = dateString.split('/');
        if (parts.length !== 3) {
            console.error('Invalid date format:', dateString);
            return null;
        }
        var day = parseInt(parts[0], 10);
        var month = parseInt(parts[1], 10) - 1; // Months are 0-based in JavaScript's Date object
        var year = parseInt(parts[2], 10);
        if (year < 100) { // Handle two-digit year
            year += 2000;
        }
        var parsedDate = new Date(year, month, day);
        console.log('Parsed date:', { dateString, parsedDate });
        return parsedDate;
    }

    $("#search").click(function() {
        filterTable();
    });

    $("#clear").click(function() {
        $('#jobid, #name, #phone, #min, #max, #driver, #payment').val('');
        $('#alljobs tbody tr').show();
    });

    $(function() {
        $(".datepicker").datepicker({
            dateFormat: 'dd/mm/yy' // Ensure the datepicker uses the correct format
        });
    });

    function getOneMonthAgoDate() {
        var currentDate = new Date();
        currentDate.setMonth(currentDate.getMonth() - 1);

        const day = String(currentDate.getDate()).padStart(2, '0');
        const month = String(currentDate.getMonth() + 1).padStart(2, '0');
        const year = currentDate.getFullYear();

        return `${day}/${month}/${year}`;
    }
    document.getElementById('min').value = getOneMonthAgoDate();

    function getCurrentDate() {
        const today = new Date();
        const day = String(today.getDate()).padStart(2, '0');
        const month = String(today.getMonth() + 1).padStart(2, '0');
        const year = today.getFullYear();
        return `${day}/${month}/${year}`;
    }
    document.getElementById('max').value = getCurrentDate();
});
        $(document).ready(function() {
    $('#export').on('click', function() {
        var tableData = [];

        $('#alljobs tbody tr').each(function() {
            var rowData = $(this).find('td').map(function() {
                return $(this).text();
            }).get();

            tableData.push(rowData);
        });

        if (tableData.length > 0) {
            sendPDFRequest(tableData);
        } else {
            alert('Error: No data available to export.');
        }
    });

    function sendPDFRequest(dataArray) {
        var formData = new FormData();
        formData.append('data', JSON.stringify(dataArray));

        var xhr = new XMLHttpRequest();
        xhr.open('POST', 'exportallcompletedjobs.php');
        xhr.setRequestHeader('Accept', 'application/pdf');
        xhr.responseType = 'blob';

        xhr.onload = function() {
            if (xhr.status === 200) {
                var blob = xhr.response;
                var url = window.URL.createObjectURL(blob);

                var a = document.createElement('a');
                a.href = url;
                a.download = 'pre_booking_jobs.pdf';
                document.body.appendChild(a);
                a.click();
                document.body.removeChild(a);
                window.URL.revokeObjectURL(url);
            } else {
                alert('Error: PDF generation failed.');
            }
        };

        xhr.send(formData);
    }
});
document.addEventListener('DOMContentLoaded', function () {
document.getElementById('downloadBtn').addEventListener('click', function () {
    var table = document.getElementById('alljobs');
    var selectedRows = Array.from(table.querySelectorAll('tbody tr')).map(function (checkbox) {
        return checkbox.closest('tr');
    });

    var csvData = "data:text/csv;charset=utf-8ID,Date,Pick up,Via,Drop Off,Mile,Price,Phone,Name,Payment_Type\n";

    // Data
    selectedRows.forEach(function (row) {
        var rowData = Array.from(row.children).map(function (td) {
            return td.textContent.trim();
        });

        csvData += rowData.join(',') + '\n'; // Join all columns for each row
    });

    // Create download link
    var link = document.createElement("a");
    link.setAttribute("href", encodeURI(csvData));
    link.setAttribute("download", "per_booking_jobs.csv");

    document.body.appendChild(link);

    link.click();

    document.body.removeChild(link);
});
});
  function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
    });

    const formattedTime = `${hours}:${minutes}`;
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}

document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 60000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>