<?php
include("middleware/middleware.php");
$pageTitle = 'Reports';
include("include/header.php");
?>
<style>
    .background {
        background:
            <?php echo ($row['navbar_color']) ?>
            !important;
        color:
            <?php echo ($row['font_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    font-weight: 700;
    }
    .toastr-green{
        background-color:<?php echo($row['notification_color'])?>!important ;
    }
    label {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        /* Replace #999 with the color you want */

    }
.bottom{
     color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
}
    .scroll-bar {
        scrollbar-color:
            <?php echo ($row['scroll_color']) ?>
            white;
    }

    input {
        height: 30px !important;
        font-family: 'Poppins';
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
    }

    input::placeholder {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        /* Replace #999 with the color you want */
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    select {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    table tbody {
        font-weight: 700;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    .form-select {
        display: block;
        width: 100%;
        padding: 2px 10px;
        -moz-padding-start: calc(0.75rem - 3px);
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        /* background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e); */
        background-repeat: no-repeat;
        background-position: right .75rem center;
        background-size: 16px 12px;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    p {
        font-weight: 700;
        font-family: 'Poppins';
    }

    table.dataTable thead th {
        padding: 0px 10px !important;
        height: 26px;
        border-bottom: 0px solid #111;
        vertical-align: middle;
    }

    .btn:hover {
        color: white;
    }

    table.dataTable tbody td {
        text-wrap: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    table.dataTable.display tbody tr:first-child td {
        border-top: 1px solid #ddd;
    }

    table.dataTable.no-footer {
        border-bottom: 0px solid #111;
    }

    table.dataTable tbody td {
        padding: 2px 10px;
        font-weight: 700;
    }

    table.dataTable tbody th,
    table.dataTable tbody td {
        max-width: 200px;
        max-width: 200px !important;
        /* font-size: 12px; */
    }

    .dataTables_empty {
        display: none;
    }


    .btn3 {
        border: none;
        width: 100%;
        color: white;
    }

    table.dataTable tfoot th,
    table.dataTable tfoot td {
        padding: 1px 20px 0px 37px;
        border-top: 0px solid #111;
    }

    .card-header {
        padding: 0.3rem 1rem;
        margin-bottom: 0;
        background-color: rgba(0, 0, 0, .03);
        border-bottom: 1px solid rgba(0, 0, 0, .125);
    }

    .style {
        --bs-gutter-x: 0rem;
        --bs-gutter-y: 0;
        display: flex;
        flex-wrap: wrap;
        margin-top: calc(var(--bs-gutter-y)* -1);
        margin-right: calc(var(--bs-gutter-x)* -.5);
        margin-left: calc(var(--bs-gutter-x)* -.5);
    }

    @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(50vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1600px) {
        .job_table {
            height: calc(57vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(67vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(77vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
</style>
<section class="h-100 px-4 py-2">
    <div class="container-fluid mt-2 py-2 px-2" style="border: 1px solid #cfd6de">
        <div class="row" style="margin: 0px -7px;">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="accounts.php" style="color:white; margin-left:10px;">All
                            Account</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link" href="account_invoice.php" style="margin-left:10px;">Create Account
                            Invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="account_invoice_list.php" style="margin-left:10px;">Account invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="invoice_payment_list.php" style="margin-left:10px;">Paid invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="invoice_pending_list.php" style="margin-left:10px;">Unpaid invoice</a>
                    </li>
                                         <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="customer_invoice.php" style="margin-left:10px;">Cash invoice</a>
                    </li>
                                        <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="cash_invoice_history.php" style="margin-left:10px;">Cash History</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="" style="color:white; margin-left:10px;"
                            onclick="window.open('addAccounts.php', 'name', 'width=1060, height=640, top=50, left=0');return false;"
                            ;"="">Add New Account</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="sub_company.php" style="margin-left:10px;">Create Sub Company</a>
                    </li>
                </ul>
            </div>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active mt-2" id="allDriver" role="tabpanel"
                    aria-labelledby="distance-price">
                    <div class="col-md-12 mt-2 ">
                        <div id="example_wrapper" class="dataTables_wrapper dt-bootstrap5 no-footer">
                            <div class="row style">
                                <div class="card shadow">
                                    <div class="card-header">
                                        <form action="" method="POST">
                                            <div class="row" style="position:relative">
                                                <div class="col-md-2">
                                                    <input type="text" class="form-control" name="invoice_no"
                                                        id="invoice_no" placeholder="Invoice No.">
                                                </div>
                                                <div class="col-md-2">
                                                    <?php
                                                    include './db/db.php';
                                                    $sql = "SELECT * FROM accounts";
                                                    $result = mysqli_query($con, $sql);
                                                    ?>
                                                    <select id="account" name="account" class="form-select driver">
                                                    <?php while ($row = $result->fetch_assoc()) { ?>
                                                    <option value="<?php echo $row['account_name'] ?>">
                                                        <?php echo $row['account_name'] ?>
                                                    </option>
                                                    <?php } ?>
                                                    </select>
                                                </div>
                                                <div class="col-md-2" style="display:none">
                                                    <select id="status" name="status" class="form-select driver">
                                                     <option value="unpaid">unpaid</option>
                                                     <option value="paid">paid</option>
                                                    </select>
                                                </div>
                                                <div class="col-md-1">
                                                    <input class="form-control datepicker" id="invoice_date"
                                                        name="invoice_date" type="text" placeholder="Invoice Date"
                                                        value="">
                                                </div>
                                                <div class="col-md-1">
                                                    <input class="form-control datepicker" id="due_date" name="due_date"
                                                        type="text" placeholder="Due Date">
                                                </div>
                                                <div class="col-md-2">
                                                    <?php
                                                    include './db/db.php';
                                                    $sql = "SELECT * FROM sub_company";
                                                    $result = mysqli_query($con, $sql);
                                                    ?>
                                                    <select id="sub-company" name="sub-company"
                                                        class="form-select driver ">
                                                           <option value="">Select Sub-Company</option>
                                                        <?php while ($row = $result->fetch_assoc()) { ?>
                                                    <option value="<?php echo $row['id'] ?>">
                                                        <?php echo $row['name'] ?>
                                                    </option>
                                                    <?php } ?>
                                                    </select>
                                                    <input type="hidden" value="" name="company_phone" id="company_phone">
                                                    <input type="hidden" value="" name="company_name" id="company_name">
                                                </div>
                                                <div class="col-md-2">
                                                    <input class="form-control" id="comment" name="comment"
                                                        style="position: absolute;padding: 33px 9px;top: 0;width: 15%;"
                                                        type="text" placeholder="Comments" value="">
                                                </div>
                                                <div class="col-md-1">
                                                    <button id="save" type="button" name="save"
                                                        class="getResult btn btn3 btn-sm background">Save</button>
                                                </div>
                                                <div class="col-md-1">
                                                    <button id="export" type="button"
                                                        class="getResult btn btn3 btn-sm background">Export PDF</button>
                                                </div>
                                            </div>
                                            <div class="row mt-2">
                                                <div class="col-md-2">
                                                    <label for="">Pick Jobs</label>
                                                </div>
                                                <div class="col-md-2">
                                                    <input class="form-control datepicker" id="fromDate" name="fromDate"
                                                        type="text" placeholder="From  Date" value="" name="fromDate">
                                                </div>
                                                <div class="col-md-2">
                                                    <input class="form-control datepicker" id="toDate" name="toDate"
                                                        type="text" placeholder="To Date" value="" name="toDate">
                                                </div>
                                                <div class="col-md-1">
                                                    <button id="search" type="button"
                                                    class="btn btn3 btn-sm background">Search</button>
                                                </div>
                                                <div class="col-md-3"></div>
                                                <div class="col-md-1">
                                                    <button id="getResult" type="button" name="getResult"
                                                        class="getResult btn btn3 btn-sm background">Email
                                                        Invoice</button>
                                                </div>
                                                <div class="col-md-1">
                                                    <button id="export" type="button"
                                                        class="getResult btn btn3 btn-sm background">Print</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="dataTables_scroll">
                                        <div class="dataTables_scrollHead " style=" border: 0px; width: 100%;">
                                            <div class="dataTables_scrollHeadInner job_table scroll-bar"
                                                style="padding-right: 0px;overflow: scroll;">
                                                <table id="filter"
                                                    class="example display table table-striped table-bordered dataTable no-footer"
                                                    style="width:100%; margin-left: 0px;font-size: 11px;">
                                                    <thead class="background" style="font-family: poppins;">
                                                        <tr>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Jod Id</th>
                                                            <th class=" text-light py-0" style="padding:10px 20px;">
                                                                Date & Time</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Passenger Name</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Pickup</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Destination</th>
                                                            <th class=" text-light py-0" style="padding:10px 20px;">
                                                                Fare</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Paking</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                W/T</th>
                                                            <th class=" text-light py-0" style=" padding:10px 20px;">
                                                                Total</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody style="font-family: poppins;font-weight: 700;">

                                                    </tbody>

                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <section class="py-2" id="count">
                                <div class="container-fluid mt-1 py-1" style="border: 1px solid #cfd6de;">
                                    <div class="container-fluid">
                                        <div class="tab-content clearfix">
                                            <div class="tab-pane active" id="driverinvoice">
                                                <div class="tab-content" id="myTabContent">
                                                    <div class="tab-pane fade show active " id="driverinvoice"
                                                        role="tabpanel" aria-labelledby="driverinvoice">
                                                        <p id="totalFareColumn">Total Fare: £<span id="total_fare"></span></p>
                                                        <p id="totalJobsColumn">Admin Fee:</p>
                                                        <p id="totalJobsColumn">Total Account: £<span id="total_account"></span></p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </section>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-4" style="position:fixed;bottom:3px">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script>
    $(document).ready(function () {
        $(".datepicker").datepicker({
            dateFormat: 'dd/mm/yy' // Set the date format as dd/mm/yyyy
        });
    });
    $(document).ready(function () {
        $('#filter').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [
                [0, "desc"]
            ],
        });
    });
    function getOneMonthAgoDate() {
        var currentDate = new Date();
        currentDate.setMonth(currentDate.getMonth() - 1);

        const day = String(currentDate.getDate()).padStart(2, '0');
        const month = String(currentDate.getMonth() + 1).padStart(2, '0');
        const year = currentDate.getFullYear();

        return `${day}/${month}/${year}`; // Format as dd/mm/yyyy
    }

    document.getElementById('fromDate').value = getOneMonthAgoDate();
    function getCurrentDate() {
        const today = new Date();
        const month = String(today.getMonth() + 1).padStart(2, '0');
        const day = String(today.getDate()).padStart(2, '0');
        const year = today.getFullYear();
        return `${day}/${month}/${year}`; // Format as d/m/yyyy
    }

    // Set the default value to the current date
    document.getElementById('toDate').value = getCurrentDate();
    
$('#sub-company').change(function () {
    // Get the selected company's id from the dropdown
    var companyId = $(this).val();

    if (companyId) {
        $.ajax({
            url: './action/Viewsub_company.php', // URL to the PHP file handling the AJAX request
            type: 'POST',
            data: { id: companyId }, // Send the selected company's id to the server
            dataType: 'json',
            success: function (response) {
                // Assuming response.data contains the company information
                $('#company_name').val(response.data.name); // Set company name
                $('#company_phone').val(response.data.telephone); // Set company phone
            },
            error: function (xhr, status, error) {
                console.error("An error occurred: ", error); // Handle any errors
            }
        });
    }
});
    
  
$('#search').click(function () {
    var account = $('#account').val();
    var company_name = $('#company_name').val();
    var fromDate = $('#fromDate').val();
    var toDate = $('#toDate').val();
    
    $.ajax({
        type: 'POST',
        url: './action/account_invoice.php',
        data: {
            account: account,
            company_name: company_name,
            fromDate: fromDate,
            toDate: toDate
        },
        success: function (data) {
            var jsonData = JSON.parse(data);
            console.log(jsonData);

            // Populate totals
            $('#total_fare').text(jsonData.totals.total_earned);
            $('#total_account').text(jsonData.totals.total_earned);

            // Clear the table body
            var tableBody = $('#filter tbody');
            tableBody.empty();

            // Append rows to the table
            jsonData.jobs.forEach(function (job) {
                var row = `
                <tr>
                    <td>${job.id}</td>
                    <td>${job.Date} ${job.Time}</td>
                    <td>${job.Name}</td>
                    <td>${job.Pick}</td>
                    <td>${job.Dropoff}</td>
                    <td>${job.Fare}</td>
                    <td>${job.Parking}</td>
                    <td>${job.wt}</td>
                    <td>${job.Fare}</td>
                </tr>
                `;
                tableBody.append(row);
            });
        },
        error: function () {
            alert("Error occurred while fetching data.");
        }
    });
});

 
 
 $('#save').click(function () {
    var invoice_no = $('#invoice_no').val();
    var account = $('#account').val();
    var invoice_date = $('#invoice_date').val();
    var due_date = $('#due_date').val();
    var company_phone = $('#company_phone').val();
    var company_name = $('#company_name').val();
    var comment = $('#comment').val();
    var total_fare = $('#total_fare').text();
    var status = $('#status').val();
    var fromDate = $('#fromDate').val();
    var toDate = $('#toDate').val();
    var sub_company = $('#sub-company').val();
console.log(sub_company);
    $.ajax({
        url: 'action/save_account_invoice.php',
        type: 'POST',
        data: {
            invoice_no: invoice_no,
            account: account,
            invoice_date: invoice_date,
            due_date: due_date,
            company_phone: company_phone,
            company_name: company_name,
            comment: comment,
            total_fare: total_fare,
            status: status,
            fromDate: fromDate,
            toDate: toDate,
            sub_company: sub_company
        },
        success: function (response) {
            console.log('Account Invoice saved successfully:', response);
            toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "positionClass": "toast-bottom-right",
            "preventDuplicates": true,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "5000",
            "extendedTimeOut": "1000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut",
            "toastClass": "toastr-green" 
        };
             toastr.success("Account Invoice saved successfully", "Success");
        },
        error: function () {
            alert('Error saving the data');
        }
    });
});
 
 
  
    
    function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}
document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
<?php include('include/footer.php') ?>