<?php
include("../db/db.php");

if (isset($_GET['driverId'])) {
    $driverId = $_GET['driverId'];


    // Fetch driver's latitude and longitude from the drivers table
    $query = "SELECT latitude, longitude, Registration, Phone, Make_By, Car_Model, Color, Driver_id FROM drivers WHERE Driver_id = ?";
    $stmt = mysqli_prepare($con, $query);
    mysqli_stmt_bind_param($stmt, "i", $driverId);
    mysqli_stmt_execute($stmt);
    mysqli_stmt_bind_result($stmt, $driverLatitude, $driverLongitude, $registration, $phone, $make, $model, $color, $driverId);
    mysqli_stmt_fetch($stmt);
    mysqli_stmt_close($stmt);

    mysqli_close($con);


  $responseData = [
    'driverLatitude' => $driverLatitude,
    'driverLongitude' => $driverLongitude,
    'pickupLatitude' => $pickupLatitude,
    'pickupLongitude' => $pickupLongitude,
    'dropoffLatitude' => $dropoffLatitude,
    'dropoffLongitude' => $dropoffLongitude,
    'carModel' => $model,
    'registration' => $registration,
    'phone' => $phone,
    'make' => $make,
    'color' => $color,
    'driverId' => $driverId,
    'pickup' => $pickupName,
    'dropoff' => $dropoffName
];
    header('Content-Type: application/json');
    echo json_encode($responseData);
}
?>