<?php
include("../db/db.php");
session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    if (isset($_SESSION['username'])) {
        $username = $con->real_escape_string(htmlspecialchars($_SESSION['username']));
    } else {
        $username = ''; 
        error_log("Username not set in session.");
    }

    // Sanitize POST data
    $id = $con->real_escape_string($_POST['id']);
    $company = $con->real_escape_string($_POST['company']);
    $invoice_no = $con->real_escape_string($_POST['invoice_no']);
    $balance = $con->real_escape_string($_POST['balance']);
    $invoice_total = $con->real_escape_string($_POST['invoice_total']);
    $payment_Date = $con->real_escape_string($_POST['payment_Date']);
    $payment = $con->real_escape_string($_POST['payment']);
    
    // Default status
    $status = ($invoice_total == $payment) ? 'paid' : 'unpaid';

    // Update the account_invoice table
    $query = "UPDATE `account_invoice` 
              SET `total_fare` = '$balance', `status` = '$status'
              WHERE `id` = '$id'";
    $result = mysqli_query($con, $query);

    if (!$result) {
        error_log("Error updating invoice: " . mysqli_error($con));
    }

    // Insert into payment table
    $query = "INSERT INTO `payment` (`account_id`, `payment_date`, `balance`, `add_by`, `payment`) 
              VALUES ('$id', '$payment_Date', '$balance', '$username', '$payment')";
    $result = mysqli_query($con, $query);

    if ($result) {
        echo json_encode(['success' => true, 'message' => 'Payment saved successfully']);
    } else {
        echo json_encode(['success' => false, 'message' => 'Error saving payment']);
    }
}
