<?php
session_start(); // Start the session
include("../db/db.php");

if (isset($_POST['submit'])) {
    $name = $_POST['name'];
    $phone = $_POST['phone'];
    $username = $_POST['username'];
    $password = $_POST['password'];
    $role = $_POST['role'];
    $dasboard = isset($_POST['dasboard']) ? 1 : 0;
    $job = isset($_POST['job']) ? 1 : 0;
    $managment = isset($_POST['managment']) ? 1 : 0;
    $report = isset($_POST['report']) ? 1 : 0;
    $driver = isset($_POST['driver']) ? 1 : 0;
    $account = isset($_POST['account']) ? 1 : 0;
    $setting = isset($_POST['setting']) ? 1 : 0;
    $ploting = isset($_POST['ploting']) ? 1 : 0;
    $tracking = isset($_POST['tracking']) ? 1 : 0;

    // Handle file upload
    $uploadDir = "../assets/upload/";
    $imagePath = '';

    if (isset($_FILES['image']) && $_FILES['image']['error'] == UPLOAD_ERR_OK) {
        $d_image = $_FILES['image']['name'];
        $dimageFilePath = $uploadDir . $d_image;

        if (move_uploaded_file($_FILES['image']['tmp_name'], $dimageFilePath)) {
            $imagePath = $dimageFilePath;
        } else {
            echo "Sorry, there was an error uploading your file.";
            exit;
        }
    }

    if (empty($name) || empty($phone) || empty($username) || empty($password) || empty($role)) {
        echo "Failed: All fields are required";
        exit;
    } else {
       $user_id = isset($_SESSION['user_id']) ? $_SESSION['user_id'] : null;

        if (!$user_id) {
            echo "Failed: User is not logged in.";
            exit();
        }

        if (isset($_POST['editId']) && !empty($_POST['editId'])) {
            // Editing an existing record
            $editId = $_POST['editId'];

            // Get the current image path to delete if a new image is uploaded
            $query = "SELECT image FROM company_user WHERE id = $editId";
            $result = mysqli_query($con, $query);
            $row = mysqli_fetch_assoc($result);
            $currentImagePath = $row['image'];

            // Delete the old image if a new one is uploaded
            if (!empty($imagePath) && $currentImagePath && file_exists($currentImagePath)) {
                unlink($currentImagePath);
            } else {
                $imagePath = $currentImagePath; // Keep the old image if no new image is uploaded
            }

            // Update query
            $query = "UPDATE company_user SET 
                      `name` = '$name', 
                      `phone` = '$phone', 
                      `username` = '$username', 
                      `password` = '$password',
                      `role` = '$role',
                      `dasboard` = '$dasboard',
                      `job` = '$job',
                      `management` = '$managment',
                      `report` = '$report',
                      `driver` = '$driver',
                      `account` = '$account',
                      `settings` = '$setting',
                      `plottings` = '$ploting',
                      `tracking` = '$tracking',
                      `image` = '$imagePath',
                      `user_id` = '$user_id' 
                      WHERE id = $editId";
        } else {
            // Adding a new record
            $query = "INSERT INTO `company_user`(`user_id`, `name`, `phone`, `username`, `password`, `role`, `dasboard`, `job`, `driver`, `management`, `account`, `settings`, `tracking`, `plottings`, `report`, `image`) VALUES
             ('$user_id','$name','$phone','$username','$password','$role','$dasboard','$job','$driver','$managment','$account','$setting','$tracking','$ploting','$report', '$imagePath')";
        }

        $result = mysqli_query($con, $query);

        if ($result) {
            header("Location:../usercontrol.php");
        } else {
            echo "Failed to save to database.";
        }
    }
}
?>
