<?php 
include("../db/db.php");

// Set the timezone
date_default_timezone_set('Europe/London');

header('Content-Type: application/json');

function generateUniqueKey($length = 32) {
    $bytes = random_bytes($length);
    return bin2hex($bytes);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $requestData = json_decode(file_get_contents('php://input'), true);

    if (isset($requestData['driverId']) && isset($requestData['password'])) {
        $driverId = mysqli_real_escape_string($con, $requestData['driverId']);
        $password = mysqli_real_escape_string($con, $requestData['password']);

        $query = "SELECT * FROM drivers WHERE Driver_id = '$driverId' AND Password = '$password'";
        $result = mysqli_query($con, $query);
        
        if ($result) {
            if (mysqli_num_rows($result) > 0) {
                $row = mysqli_fetch_assoc($result);
                $logtime = $row['plot'];
                
                if ($logtime == 'plot') {
                    echo json_encode(['success' => false, 'message' => 'Already Login']);
                } else {
                    $currentTime = date('H:i');
                    $updateQuery = "UPDATE drivers SET plot = 'plot' , login_time = '$currentTime', logout='', logout_time='' WHERE Driver_id = '$driverId'";
                    $updateResult = mysqli_query($con, $updateQuery);

                    if ($updateResult) {
                        $user = $row;
                        $api_key = generateUniqueKey();
                        echo json_encode(['success' => true, 'message' => 'Login successful', 'user' => $user, 'api_key' => $api_key]);
                    } else {
                        echo json_encode(['success' => false, 'message' => 'Error updating driver status: ' . mysqli_error($con)]);
                    }
                }
            } else {
                echo json_encode(['success' => false, 'message' => 'Invalid username or password']);
            }
        } else {
            echo json_encode(['success' => false, 'message' => 'Query execution failed: ' . mysqli_error($con)]);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Invalid request. Please provide both username and password.']);
    }
} else {
    http_response_code(405);
    echo json_encode(['success' => false, 'message' => 'Method Not Allowed']);
}
?>
