$(document).ready(function() {
    // Click event for edit buttons
    $('.editMile').click(function(e) {
        e.preventDefault();
        var fareId = $(this).data('id');

        $.ajax({
            url: './action/milesView.php', // Update the URL to match your file structure
            type: 'POST',
            data: { id: fareId },
            dataType: 'json',
            success: function(response) {
                $("#id").val(response.data.id);
                $("#MileFrom").val(response.data.miles_from);
                $("#MileTo").val(response.data.miles_to);
                $("#EclassFirstMile").val(response.data.first_mile_price);
                $("#EclassPerMile").val(response.data.per_mile_price);
                $("#car_type").val(response.data.car_type);
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

});
$(document).ready(function() {
    // Click event for edit buttons
    $('.editHourly').click(function(e) {
        e.preventDefault();
        var hourId = $(this).data('id');

        $.ajax({
            url: './action/hourlyView.php', // Update the URL to match your file structure
            type: 'POST',
            data: { id: hourId },
            dataType: 'json',
            success: function(response) {
                $("#horly_id").val(response.data.id);
                $("#HourFrom").val(response.data.hours_range_from);
                $("#HourTo").val(response.data.hours_range_to);
                $("#EclassFirstMile").val(response.data.first_mile_price);
                $("#EclassPerHour").val(response.data.price_per_hour);
                $("#car_type_hourly").val(response.data.car_type);
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

});
$(document).ready(function () {
    $('.editFixed').click(function (e) {
        e.preventDefault();
        var fix_Id = $(this).data('id');
        $.ajax({
            url: './action/fixView.php',
            type: 'POST',
            data: {id: fix_Id},
            dataType:'json',
            success: function (response) {
                $('#fixed_id').val(response.data.id);
                $("#pick_up").val(response.data.pick_up);
                $('#drop_off').val(response.data.drop_off);
                $("#fixed_price").val(response.data.price);
                $("#car_type_fix").val(response.data.car_type);
                console.log("hello",response);
            }
        })
    })
});
$(document).ready(function () {
    $('.editPlace').click(function (e) {
        e.preventDefault();
        var fix_Id = $(this).data('id');
        $.ajax({
            url: './action/placeView.php',
            type: 'POST',
            data: {id: fix_Id},
            dataType:'json',
            success: function (response) {
                $('#fixed_id').val(response.data.id);
                $('#car_type_fix').val(response.data.type);
                $("#Name").val(response.data.Name);
                $('#address').val(response.data.address);
                console.log("hello",response);
            }
        })
    })
});
$(document).ready(function () {
    $('.editPeakhour').click(function (e) {
        e.preventDefault();
        var fix_Id = $(this).data('id');
        $.ajax({
            url: './action/perkhourView.php',
            type: 'POST',
            data: {id: fix_Id},
            dataType: 'json',
            success: function (response) {
                // Populate the form fields with the returned data
                $('#peark_id').val(response.data.id);
                $('#From_Date').val(response.data.from_date);
                $("#From_Time").val(response.data.from_time);
                $('#Till_Date').val(response.data.till_date);
                $("#Till_Time").val(response.data.till_time);
                $("#peak_type").val(response.data.type);
                $("#Increment_Rate").val(response.data.rate);
                
                // Logic to check the appropriate radio button
                var fromDate = $('#From_Date').val();
                var tillDate = $('#Till_Date').val();
                var fromTime = $("#From_Time").val();
                var tillTime = $("#Till_Time").val();

                if (fromTime && tillTime && fromDate && tillDate) {
                    // If both date and time fields are filled, check the "Date & Time Wise" radio button
                    $("#date_time_wise").prop('checked', true);
                   
                } else if (fromDate && tillDate && !fromTime && !tillTime) {
                    // If only date fields are filled, check the "Date Wise" radio button
                    $("#date_wise").prop('checked', true);
                    $('#From_Time').val('').prop('disabled', true);
                    $('#Till_Time').val('').prop('disabled', true);
                } else if (fromTime && tillTime && !fromDate && !tillDate) {
                    // If only time fields are filled, check the "Time Wise" radio button
                    $("#time_wise").prop('checked', true);
                    $('#From_Date').val('').prop('disabled', true);
                    $('#Till_Date').val('').prop('disabled', true);
                } else if (!fromDate && !tillDate && !fromTime && !tillTime) {
                    // If no date or time fields are filled, check the "Day Wise" radio button
                    $("#day_wise").prop('checked', true);
                    $('#From_Date').val('').prop('disabled', true);
                    $('#Till_Date').val('').prop('disabled', true);
                }

                console.log("hello", response);
            }
        })
    })
});