<?php
include("middleware/middleware.php");
$pageTitle = 'Jobs';
include("include/header.php");
?>

<style>
    .background {
        background: <?php echo ($row['navbar_color']) ?> !important;
        color: <?php echo ($row['font_color']) ?> !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
        font-weight: 700;
    }

    .scroll-bar {
        scrollbar-color: <?php echo ($row['scroll_color']) ?> white;
    }

    .toastr-green {
        background-color: <?php echo ($row['notification_color']) ?> !important;
    }

    input {
        height: 30px !important;
        font-family: 'Poppins';
        color: <?php echo ($row['navbar_color']) ?> !important;
    }

    input::placeholder {
        color: <?php echo ($row['navbar_color']) ?> !important;
        /* Replace #999 with the color you want */
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    select {
        color: <?php echo ($row['navbar_color']) ?> !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    .bottom {
        color: <?php echo ($row['navbar_color']) ?> !important;
    }

    table tbody {
        font-weight: 700;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    table.dataTable thead th {
        padding: 0px 7px !important;
        height: 30px !important;
        vertical-align: middle;
        font-size: 13px;
        color: white;
        text-wrap: nowrap;
    }

    .col-md-2 {
        flex: 0 0 auto;
        width: 13.666667%;
    }

    .form-select {
        display: block;
        width: 100%;
        padding: 2px 10px;
        -moz-padding-start: calc(0.75rem - 3px);
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e);
        background-repeat: no-repeat;
        background-position: right .75rem center;
        background-size: 16px 12px;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    .ui-state-highlight,
    .ui-widget-content .ui-state-highlight,
    .ui-widget-header .ui-state-highlight {
        border: 1px solid #6f42c1;
        background: #6f42c1;
        color: white;
    }

    .ui-widget-header {
        border: 1px solid #6f42c1;
        background: #6f42c1;
        color: white;
        font-weight: bold;
    }

    .nav li a {
        font-family: "Montserrat";
    }

    .btn3 {
        border: none;
        width: 100%;
        color: white;
    }

    table.dataTable tbody td {
        padding: 3px 10px;
        font-size: 12px;
        white-space: nowrap;
        font-weight: 700;
    }

    .row>* {
        padding-right: calc(var(--bs-gutter-x)* 0);
    }

    .container,
    .container-fluid,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        width: 100%;
        padding-right: var(--bs-gutter-x, 3px);
        padding-left: var(--bs-gutter-x, .75rem);
        margin-right: auto;
        margin-left: auto;
    }
</style>
<div class="container-fluid mt-2 py-2 px-4" style="border: 1px solid #cfd6de;">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="accounts.php" style="color:white; margin-left:10px;">All
                            Account</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="account_invoice.php" style="margin-left:10px;">Create
                            Account
                            Invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="account_invoice_list.php" style="margin-left:10px;">Account
                            invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="invoice_payment_list.php" style="margin-left:10px;">Paid
                            invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="invoice_pending_list.php" style="margin-left:10px;">Unpaid
                            invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="customer_invoice.php" style="margin-left:10px;">Cash invoice</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link" href="cash_invoice_history.php" style="margin-left:10px;">Cash History</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="" style="color:white; margin-left:10px;"
                            onclick="window.open('addAccounts.php', 'name', 'width=1060, height=640, top=50, left=0');return false;"
                            ;"="">Add New Account</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="sub_company.php" style="margin-left:10px;">Create Sub
                            Company</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>


    <!-- Table -->

    <div class="row mt-1">
        <style>
            @media screen and (min-width: 1200px) {
                .job_table {
                    height: calc(85vh - 100px);
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }

            @media screen and (min-width: 1500px) {
                .job_table {
                    height: calc(86vh - 100px);
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }

            @media screen and (min-width: 1760px) {
                .job_table {
                    height: calc(88vh - 100px);
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }

            @media screen and (min-width: 2370px) {
                .job_table {
                    height: calc(92vh - 100px);
                    overflow-y: auto;
                    overflow-x: hidden;
                }
            }
        </style>

        <div class="col-md-12 job_table scroll-bar" style="overflow:scroll;">

            <table id="alljobs" class="example display table table-striped table-bordered dataTable no-footer"
                style="width: 100%; margin-left: 0px;">
                <thead class='background' style="position:sticky;top:0;font-family: poppins;">
                    <tr>
                        <th class="sorting sorting_desc" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 48.4531px;" aria-label="Job_Id: activate to sort column ascending"
                            aria-sort="descending">ID</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 39.1094px;" aria-label="Date: activate to sort column ascending">Invoice No</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 39.1094px;" aria-label="Date: activate to sort column ascending">Invoice Date</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 94.1562px;" aria-label="Name: activate to sort column ascending">Name</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 73.7031px;" aria-label="Phone: activate to sort column ascending">Phone</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 40.1094px;" aria-label="Miles: activate to sort column ascending">Payment Type</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 100px;" aria-label="Pick Up: activate to sort column ascending">Date&Time</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 100px;" aria-label="Pick Up: activate to sort column ascending">Pick Up</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 178px;" aria-label="Drop Off: activate to sort column ascending">Drop Off</th>
                        <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                            style="width: 37.1406px;" aria-label="Price: activate to sort column ascending">Price</th>
                    </tr>
                </thead>
                <tbody style="font-family: poppins;">
                    <?php include("db/db.php");

                    $query = "SELECT * FROM `cash_invoice_history` ORDER BY id DESC";
                    $result = mysqli_query($con, $query);

                    if (mysqli_num_rows($result) > 0) {
                        while ($data = mysqli_fetch_array($result)) {
                            $id = $data['id'];
                            $invoice_date = $data['invoice_date'];
                            $invoice_no = $data['invoice_no'];
                            $pick = $data['pickup_invoice'];
                            $drop = $data['dropoff_invoice'];
                            $fare_invoice = $data['fare_invoice'];
                            $date_time_invoice = $data['date_time_invoice'];
                            $name_invoice = $data['name_invoice'];
                            $phone_invoice = $data['phone_invoice'];
                            $jobtype_invoice = $data['jobtype_invoice'];
                            $dateObj = DateTime::createFromFormat('m/d/Y H:i', $date_time_invoice);
        $formattedDate = $dateObj ? $dateObj->format('d/m/y H:i') : $date_time_invoice;
                            ?>
                            <tr class="">
                                <td class=""><?php echo $id; ?></td>
                                <td class=""><?php echo $invoice_no ; ?></td>
                                <td><?php echo $invoice_date; ?></td>
                                <td class=""><?php echo $name_invoice; ?></td>
                                <td class=""><?php echo $phone_invoice; ?></td>
                                <td class=""><?php echo $jobtype_invoice; ?></td>
                                <td><?php echo $formattedDate; ?></td>
                                <td class=""
                                    style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 150px;">
                                    <span title="<?php echo $pick; ?>"><?php echo $pick; ?></span>
                                </td>
                                <td class=""
                                    style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 150px;">
                                    <span title="<?php echo $drop; ?>"><?php echo $drop; ?></span>
                                </td>
                                <td class=""><?php echo $fare_invoice; ?></td>
                            </tr>

                        <?php
                        }
                    }
                    ?>

                </tbody>
            </table>
        </div>
    </div>

</div>
<?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-3" style="position: fixed;bottom:2px;">
    <div class="row" style="overflow:hidden">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
                    <?php
                    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
                        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
                        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
                        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
                        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
                    } else {
                        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
                    }
                    ?>
                    <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
                        &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
                        &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
                        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
                        )
                    </h6>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script>
    $(document).ready(function () {
        var DataTable = $('#alljobs').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [
                [0, "desc"]
            ],
        });

    })

    function updateDateTime() {
        const now = new Date();

        // Get the London time using Intl.DateTimeFormat
        const options = {
            timeZone: 'Europe/London',
            hour: '2-digit',
            minute: '2-digit',
            second: '2-digit', // Include seconds
            hour12: false
        };

        const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);

        // Extract time components
        let hours, minutes, seconds;
        londonTime.forEach(({ type, value }) => {
            if (type === 'hour') hours = value;
            if (type === 'minute') minutes = value;
            if (type === 'second') seconds = value; // Extract seconds
        });

        const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time

        // Format the date
        const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
        const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

        const dateTimeString = `${londonDate} ${formattedTime}`;

        document.getElementById('current-date-time').textContent = dateTimeString;

        // Log date and time for debugging
        console.log(`Date and Time: ${dateTimeString}`);
    }

    document.addEventListener("DOMContentLoaded", function () {
        // Initial updates
        updateDateTime();
        setInterval(updateDateTime, 1000);
    });

    function updateElapsedTime() {
        var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
        var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
        var elapsedTime = currentTime - loginTime;

        // Format the elapsed time including seconds
        var hours = Math.floor(elapsedTime / 3600);
        var minutes = Math.floor((elapsedTime % 3600) / 60);
        var seconds = elapsedTime % 60;

        // Format as HH:MM:SS
        var formattedTime = String(hours).padStart(2, '0') + ':' +
            String(minutes).padStart(2, '0') + ':' +
            String(seconds).padStart(2, '0');

        document.getElementById('elapsed-time').innerText = formattedTime;
    }

    // Update the elapsed time every second
    document.addEventListener('DOMContentLoaded', function () {
        updateElapsedTime(); // Initial call
        setInterval(updateElapsedTime, 1000); // Update every 1 second
    });

</script>
<?php include('include/footer.php') ?>