<?php
include "middleware/middleware.php";
$pageTitle = 'Management';
include "include/header.php";

?>
<style>
    .background {
        background:
            <?php echo ($row['navbar_color']) ?>
            !important;
        color:
            <?php echo ($row['font_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    font-weight: 700;
    }

    .scroll-bar {
        scrollbar-color:
            <?php echo ($row['scroll_color']) ?>
            white;
    }

    input {
        height: 30px !important;
        font-family: 'Poppins';
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
    }

    input::placeholder {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        /* Replace #999 with the color you want */
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

.bottom{
     color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
}
    .form-control {
        display: block;
        width: 100%;
        padding: .375rem .75rem;
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        border-radius: .25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

    table tbody {
        font-weight: 700;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    table.dataTable tbody td {
        padding: 3px 10px;
        font-weight: 700;
    }

    .ui-state-highlight,
    .ui-widget-content .ui-state-highlight,
    .ui-widget-header .ui-state-highlight {
        border: 1px solid #6f42c1;
        background: #6f42c1;
        color: white;
    }

    table.dataTable tbody td {
        padding: 0px 10px;
        font-weight: 700;
        border: 1px solid #e9ecef;
    }

    table.dataTable thead th {
        padding: 0px 9px !important;
        height: 30px !important;
        border-bottom: 1px solid #111;
        vertical-align: middle;
        font-size: 13px;
        text-wrap: nowrap;
        border: 1px solid #e9ecef;
    }

    .ui-widget-header {
        border: 1px solid #6f42c1;
        background: #6f42c1;
        color: white;
        font-weight: bold;
    }

    table.dataTable.no-footer {
        border-bottom: 0px solid #dee2e6;
    }

    .card-header {
        padding: 0rem 0rem;
        margin-bottom: 0;
        background-color: rgba(0, 0, 0, -0.97);
        border-bottom: 0px solid rgba(0, 0, 0, .125);
    }

    .btn3 {
        border: none;
        width: 100%;
        color: white;
    }

    .style {
        --bs-gutter-x: 0rem;
        --bs-gutter-y: 0;
        display: flex;
        flex-wrap: wrap;
        margin-top: calc(var(--bs-gutter-y)* -1);
        margin-right: calc(var(--bs-gutter-x)* -.5);
        margin-left: calc(var(--bs-gutter-x)* -.5);
    }
</style>
<div class="container-fluid mt-2">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="#" id="allCustomers"
                            style="color:White; margin-left:10px;">All Customer List</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="#" id="blackLists"
                            style="color:White; margin-left:10px;">Black List</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="#" id="regularLists"
                            style="color:White; margin-left:10px;">Regular List</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid">
    <div class="row">
        <div class="container-fluid">
            <div class="col-md-12">
                <div class="row style">
                    <div class=" card shaodow">
                        <div class="card-header">
                            <form action="action/customer.php" method="POST">
                                <div class="row px-2">
                                    <input type="hidden" name="editId" id="fixed_id">

                                    <div class="col-md-2">
                                        <input class="form-control text-box single-line" data-val="true"
                                            data-val-number="The field Name must be a number."
                                            data-val-required="The Name field is required." id="Name" name="Name"
                                            placeholder="Name" type="text" value="">
                                    </div>

                                    <div class="col-md-2">
                                        <input class="form-control text-box single-line" data-val="true"
                                            data-val-number="The field Name must be a number."
                                            data-val-required="The Name field is required." id="phone" name="phone"
                                            placeholder="Phone" type="text" value="">
                                    </div>
                                    <div class="col-md-1">
                                        <input class="form-control text-box single-line" data-val="true"
                                            data-val-number="The field Name must be a number."
                                            data-val-required="The Name field is required." id="email" name="email"
                                            placeholder="Email" type="text" value="">
                                    </div>
                                    <div class="col-md-1">
                                        <input class="form-control  text-box single-line pac-target-input"
                                            data-val="true" data-val-number="The field address must be a number."
                                            data-val-required="The address field is required." id="address"
                                            name="address" placeholder="Pick up" type="text" value="">
                                    </div>
                                    <div class="col-sm-1">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <label for="" style="display:math;font-weight:700;">Regular<input
                                                        type="checkbox" name="regular" id="regular"
                                                        style="transform: translateY(10px);margin-left: 2px;"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-1">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <label for="" style="display:math;font-weight:700;">Black
                                                    List<input type="checkbox" name="blacklist" id="blacklist"
                                                        style="transform: translateY(10px);margin-left: 2px;"></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-sm-1">

                                        <button id="submit" type="submit" name="submit"
                                            class="getResult btn btn3 btn-sm background"
                                            style="color:white;">Add</button>
                                    </div>


                                    <div class="col-sm-1">
                                        <button type="button" id="export"
                                            class="clearFilter btn btn3 btn-sm background"
                                            style="color:white;">Export PDF</button>

                                    </div>
                                    <div class="col-sm-1">
                                        <button type="button" id="downloadBtn"
                                            class="clearFilter btn btn3 btn-sm background"
                                            style="color:white;">Export CVS</button>

                                    </div>
                                    <div class="col-sm-1">
                                        <button type="button" id="clearFilter"
                                            class="clearFilter btn btn3 btn-sm background"
                                            style="color:white;">Clear</button>

                                    </div>
                                   

                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
    @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(78vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1600px) {
        .job_table {
            height: calc(86vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(90vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(97vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
</style>
<div class="container-fluid">
    <div class="row">
        <div class=" d-flex align-items-start" style="">

            <div class="col-md-12 job_table scroll-bar" style="overflow:scroll;border: 1px solid #cfd6de;">
                <table id="fixedTable" class="table table-striped ">

                    <thead class="border background" style="font-size: 10px;">
                        <tr class="text-light">
                            <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                style="width: 110.578px;" aria-label="Miles Range: activate to sort column ascending">
                                Name</th>
                            <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                Phone</th>
                            <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                Email
                            </th>
                            <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                Address
                            </th>
                            <th class="sorting" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                style="width: 126.969px;" aria-label="Actions: activate to sort column ascending">
                                Actions</th>
                        </tr>
                    </thead>
                    <tbody style="font-family: poppins;">


                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-3" style="position: fixed;bottom:4px;">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="assets/js/fare.js"></script>
<script
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyD3zNeL1U_4QI0bwZQRTSpIDjVl98P9oeA&libraries=places"></script>
<script>
      
   // Function to get the latitude and longitude of the entered address
    function getLatLng() {
        var address = document.getElementById('address').value;
        var geocoder = new google.maps.Geocoder();

       
    }

    // Initialize Google Places Autocomplete for the address input field
    var autocompleteAddress = new google.maps.places.Autocomplete(document.getElementById('address'));
    function clearFields() {
        document.getElementById('fixed_id').value = '';
        document.getElementById('Name').value = '';
        document.getElementById('address').value = '';
        document.getElementById('email').value = '';
        document.getElementById('phone').value = '';
        document.getElementById('blacklist').checked = false;
        document.getElementById('regular').checked = false;      
    }

    // Add event listener to clear button
    document.getElementById('clearFilter').addEventListener('click', clearFields);

    // Add event listener to update latitude and longitude when address is changed
    autocompleteAddress.addListener('place_changed', getLatLng);
    $(document).ready(function () {
    var table; 

    function fetchData(type) {
        $.ajax({
            url: './action/customer_filter.php',
            type: 'POST',
            data: { type: type },
            success: function (response) {
                // Destroy existing DataTable instance if it exists
                if ($.fn.DataTable.isDataTable('#fixedTable')) {
                    table.destroy();
                }

                // Update the table body with the new data
                $('#fixedTable tbody').html(response);

                // Log the response for debugging
                console.log(response);

                // Check if there are rows in the table body
                if ($('#fixedTable tbody tr').length > 0) {
                    // Reinitialize DataTable
                    table = $('#fixedTable').DataTable({
                        "lengthChange": false,
                        "paging": false,
                        "info": false,
                        "order": [[0, "desc"]],
                        "language": {
                            "searchPlaceholder": "Search"
                        },
                        "dom": 'lfrtip',
                    });
                } else {
                    console.log("No records found");
                }
            },
            error: function (error) {
                console.log('Error:', error);
            }
        });
    }

    // Fetch all customers by default
    fetchData('all');

    $("#allCustomers").click(function () {
        fetchData('all');
    });

    $("#blackLists").click(function () {
        fetchData('blacklist');
    });

    $("#regularLists").click(function () {
        fetchData('regular');
    });

    // Event delegation for dynamically added edit buttons
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        var fix_Id = $(this).data('id');
        console.log(fix_Id);
        $.ajax({
            url: './action/Viewcustomer.php',
            type: 'POST',
            data: { id: fix_Id },
            dataType: 'json',
            success: function (response) {
                $('#fixed_id').val(response.data.id);
                $('#Name').val(response.data.name);
                $("#phone").val(response.data.phone);
                $('#email').val(response.data.email);
                $("#address").val(response.data.pickup);
                $("#role").val(response.data.role);
                $("#blacklist").prop('checked', response.data.blacklist == "1");
                $("#regular").prop('checked', response.data.regular == "1");
                console.log("hello", response);
            },
            error: function (error) {
                console.log('Error:', error);
            }
        });
    });
});
$(document).ready(function() {
    $('#export').on('click', function() {
        var tableData = [];

        $('#fixedTable tbody tr').each(function() {
            var rowData = $(this).find('td').map(function() {
                return $(this).text();
            }).get();

            tableData.push(rowData);
        });

        if (tableData.length > 0) {
            sendPDFRequest(tableData);
        } else {
            alert('Error: No data available to export.');
        }
    });

    function sendPDFRequest(dataArray) {
        var formData = new FormData();
        formData.append('data', JSON.stringify(dataArray));

        var xhr = new XMLHttpRequest();
        xhr.open('POST', 'customerpdf.php');
        xhr.setRequestHeader('Accept', 'application/pdf');
        xhr.responseType = 'blob';

        xhr.onload = function() {
            if (xhr.status === 200) {
                var blob = xhr.response;
                var url = window.URL.createObjectURL(blob);

                var a = document.createElement('a');
                a.href = url;
                a.download = 'all_customer.pdf';
                document.body.appendChild(a);
                a.click();
                document.body.removeChild(a);
                window.URL.revokeObjectURL(url);
            } else {
                alert('Error: PDF generation failed.');
            }
        };

        xhr.send(formData);
    }
});
document.addEventListener('DOMContentLoaded', function () {
document.getElementById('downloadBtn').addEventListener('click', function () {
    var table = document.getElementById('fixedTable');
    var selectedRows = Array.from(table.querySelectorAll('tbody tr')).map(function (checkbox) {
        return checkbox.closest('tr');
    });

    var csvData = "data:text/csv;charset=utf-8ID,Name,Phone,Email,Pickup\n";

    // Data
    selectedRows.forEach(function (row) {
        var rowData = Array.from(row.children).map(function (td) {
            return td.textContent.trim();
        });

        csvData += rowData.join(',') + '\n'; // Join all columns for each row
    });

    // Create download link
    var link = document.createElement("a");
    link.setAttribute("href", encodeURI(csvData));
    link.setAttribute("download", "completed_customer_list.csv");

    document.body.appendChild(link);

    link.click();

    document.body.removeChild(link);
});
});
document.addEventListener('DOMContentLoaded', function() {
    console.log('DOM fully loaded and parsed');

    // Use event delegation to listen for clicks on .create-booking elements
    document.querySelector('#fixedTable tbody').addEventListener('click', function(event) {
        if (event.target.matches('.create-booking')) {
            console.log('Create Booking clicked');
            event.preventDefault();

            const id = event.target.getAttribute('data-id');
            const name = event.target.getAttribute('data-name');
            const phone = event.target.getAttribute('data-phone');
            const email = event.target.getAttribute('data-email');
            const pickup = event.target.getAttribute('data-pickup');

            console.log('Data attributes:', { id, name, phone, email, pickup });

            // Open a popup window with specified dimensions and position
            const newWindow = window.open('index.php', 'Create Booking', 'width=1600,height=640,top=50,left=50');

            // Ensure the new window is loaded and then send data
            newWindow.onload = function() {
                newWindow.postMessage({
                    id: id,
                    name: name,
                    phone: phone,
                    email: email,
                    pickup: pickup
                }, '*'); // The '*' allows messages to be sent to any origin. Adjust if needed.
            };
        }
    });
});

function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}

document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
<?php include "include/footer.php" ?>