<?php
include("middleware/middleware.php");
$pageTitle = 'Drivers Log';
include("include/header.php");
?>
<style>
  .background{
        background:<?php echo($row['navbar_color'])?>!important ;
        color:<?php echo ($row['font_color']) ?> !important;
        font-family: <?php echo($row['themefont_family'])?>!important;
            font-weight: 700;
    }
    .job_information{
        color: <?php echo ($row['navbar_color']) ?> !important;
        font-family: <?php echo ($row['themefont_family']) ?> !important;
    }
    .scroll-bar{
        scrollbar-color:<?php echo ($row['scroll_color']) ?> white;
    }
    table tbody{
    font-weight: 700;
    font-family: Poppins!important;
}
    .bottom{
                color:
            <?php echo ($row['navbar_color']) ?>
            !important;
    }
table.dataTable tbody td {
    text-wrap: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
        font-weight: 700;
        padding: 2px 10px;
}
table.dataTable.no-footer {
     border-bottom: 0px solid #111; 
}
 @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(85vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
      @media screen and (min-width: 1600px) {
        .job_table {
            height: calc(88vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(90vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(95vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
</style>
<section class="h-100 px-4 py-2">
    <div class="container-fluid mt-2 py-2 px-4" style="border: 1px solid #cfd6de;">
            <div class="row">
                <div class="col-md-12 shadow">
                    <ul class="nav nav-tabs py-2" id="myTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <a href="drivers.php" class="nav-link active background" id="home-tab" style="color:White;" data-bs-toggle="tab" data-bs-target="#allDriver" type="button" role="tab" aria-controls="home" aria-selected="true">All Driver</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link background" href="activeDrivers.php" style="margin-left:10px;">Active Driver</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link background" href="expiredDriver.php" style="margin-left:10px;">Expired Driver</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" href="drivers_log.php" style="margin-left:10px;">Drivers Log</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link background" href="vehicle_details.php" style="margin-left:10px;">Vehicle Details</a>
                        </li>
                                      <li class="nav-item" role="presentation">
                    <a class="nav-link background" href="expire_drivers.php" style="margin-left:10px;">Near To Expire</a>
                </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link background" href="/admin/addDriver" style="color:white; margin-left:10px;" onclick="window.open('addDrivers.php', 'name', 'width=1060, height=640, top=50, left=0');return false;" ;"="">Add New Driver</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="row mt-2">
                <div class="col-md-12 p-0 mt-2">
                    <div class="table-wrapper job_table scroll-bar" style="width:100%; overflow:scroll;">
    <?php
    include './db/db.php';
    
    // Set the timezone to London time
    date_default_timezone_set('Europe/London');
    
    // Get the current date and time in London
    $currentDateTime = new DateTime();
    $currentDate = $currentDateTime->format('m/d/Y');
    
    $sql = "SELECT
        drivers.*,
        COUNT(bookins.id) AS total_jobs_completed,
        SUM(bookins.fare) AS total_earned,
        SUM(bookins.payment_type='Account') AS total_account,
        SUM(bookins.payment_type='Cash') AS total_cash_jobs,
        SUM(CASE WHEN drivers.paymentType = 'commission' THEN (bookins.fare * drivers.payment / 100) ELSE 0 END) AS commission_percentage,
        SUM(CASE WHEN bookins.payment_type = 'Cash' THEN bookins.fare ELSE 0 END) AS total_cash_fare,
        SUM(CASE WHEN bookins.payment_type = 'Card' THEN 1 ELSE 0 END) AS total_card_jobs_count,
        SUM(CASE WHEN bookins.payment_type = 'Card' THEN bookins.fare ELSE 0 END) AS total_card_amount,
        SUM(CASE WHEN bookins.payment_type = 'Account' THEN bookins.fare ELSE 0 END) AS total_cash_account
    FROM
        drivers
    LEFT JOIN
        bookins ON drivers.Driver_id = bookins.dispatch_DriverId
            AND bookins.status = 'completed' AND bookins.date = '$currentDate'
    GROUP BY
        drivers.Driver_id
    ORDER BY
        total_jobs_completed ASC";
    $result = mysqli_query($con, $sql);
    
    if (!$result) {
        die("Query failed: " . $con->error);
    }
    
    // Build the DataTable rows
    $rows = [];
    while ($row = $result->fetch_assoc()) {
        // Calculate active time
        $loginTime = new DateTime($row['login_time']);
        $logoutTime = !empty($row['logout_time']) ? new DateTime($row['logout_time']) : null;
    
        if ($logoutTime) {
            $activeTime = $loginTime->diff($logoutTime);
        } else {
            $activeTime = $loginTime->diff($currentDateTime);
        }
    
        $activeTimeFormatted = $activeTime->format('%h hours %i minutes');
    
        $rows[] = [
            'Drv' => $row['Driver_id'],
            'Name' => $row['Name'],
            'TotalJobsCompleted' => $row['total_jobs_completed'],
            'TotalEarned' => $row['total_earned'],
            'paymentType' => $row['paymentType'],
            'total_account' => $row['total_account'],
            'total_cash_jobs' => $row['total_cash_jobs'],
            'payment' => $row['payment'],
            'total_cash_fare' => $row['total_cash_fare'],
            'total_card_jobs_count' => $row['total_card_jobs_count'],
            'total_card_amount' => $row['total_card_amount'],
            'commission_percentage' => $row['commission_percentage'],
            'total_cash_account' => $row['total_cash_account'],
            'login_time' => $row['login_time'],
            'logout_time' => $row['logout_time'],
            'active_time' => $activeTimeFormatted,
        ];
    }
    
    ?>
    
    <table id="driverLogs" class="example display table table-striped table-bordered" style="width:100%; overflow:scroll;">
        <thead class="background" style="width:100%;color:white;font-family: poppins;">
            <tr>
                <th>Drv</th>
                <th>Name</th>
                <th>Complete</th>
                <th>Cash Jobs</th>
                <th>Cash</th>
                <th>Card Job</th>
                <th>Card</th>
                <th>Account Jobs</th>
                <th>Account</th>
                <th>Total</th>
                <th>Driver Type</th>
                <th>Amount Due</th>
                <th>Login Time</th>
                <th>Logout Time</th>
                <th>Active Time</th>
            </tr>
        </thead>
        <tbody style="font-family: poppins;">
            <?php foreach ($rows as $row): ?>
                <tr>
                    <td><?= $row['Drv'] ?></td>
                    <td><?= $row['Name'] ?></td>
                    <td><?= $row['TotalJobsCompleted'] ?></td>
                    <td><?= $row['total_cash_jobs'] ?></td>
                    <td>£ <?= $row['total_cash_fare'] ?></td>
                    <td><?= $row['total_card_jobs_count'] ?></td>
                    <td>£ <?= $row['total_card_amount'] ?></td>
                    <td><?= $row['total_account'] ?></td>
                    <td>£ <?= $row['total_cash_account'] ?></td>
                    <td>£ <?= $row['TotalEarned'] ?></td>
                    <td><?= $row['paymentType'] ?></td>
                    <td>
                        <?php if ($row['paymentType'] == 'Rent'): ?>
                            £ <?= $row['payment'] ?>
                        <?php elseif ($row['paymentType'] == 'Commission'): ?>
                            £ <?= number_format($row['commission_percentage'], 2) ?>
                        <?php endif; ?>
                    </td>
                    <td><?= $row['login_time'] ?></td>
                    <td><?= $row['logout_time'] ?></td>
                    <td><?= $row['active_time'] ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    
    
                    </div>
                </div>
            </div>
    
    </div>
</section>    
<?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?> 
<div class="container-fluid mt-1 px-3" style="position: fixed;bottom: 0px;">
    <div class="row" style="overflow:hidden">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;">
                        <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script>
    $(document).ready(function() {
        $('#driverLogs').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [
                [0, "desc"]
            ],
        });
    });
    function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

}
document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
