<?php
 include("middleware/middleware.php");
 include "./db/db.php";
 $query = "SELECT * FROM setting ";
 $result = mysqli_query($con, $query);
 if (mysqli_num_rows($result) > 0) {
     $color = mysqli_fetch_assoc($result);
 }
 ?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Edit Driver</title>
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
    <link
        href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap"
        rel="stylesheet">

    <!-- css -->

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
        integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!--<link rel="stylesheet" href="assets/css/style.css">-->
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <style>
        .navbars {
            padding: 10px 10px !important;
        }

        .navbars .container-fluid .row .col-12 {
            flex: 0 0 100%;
            max-width: 100%;
            padding: 0px 15px;
        }

        .navbars .container-fluid .col-12 .navbar-list {
            display: flex;
            align-items: center;
            justify-content: start;
            margin: 0px 0px 0px -4px !important;
            padding: 0px;
        }

        .navbars .container-fluid .col-12 .navbar-list li {
            list-style-type: none;
            margin-right: 37px;

        }

        .fas {
            margin-right: 5px;
        }

        .navbars .container-fluid .col-12 .navbar-list li a {
            text-decoration: none;
            color: #c2c7d0;
            font-weight: 700;
        }

        .navbars .container-fluid .col-12 .navbar-list li a:hover {
            color: #fff;
        }

        .navbars .container-fluid .col-12 .navbar-list li a {
            color:
                <?php echo $color['navbar_font'] ?>
                !important;
            font-family:
                <?php echo $color['navbarfont_family'] ?>
                !important;

        }

        .background {
            background: <?php echo ($color['navbar_color']) ?> !important;
            color: <?php echo ($color['font_color']) ?> !important;
            font-family:
                <?php echo ($color['themefont_family']) ?>
                !important;
                 font-weight: 700;
        }
        h6{
             font-weight: 500 !important;
        }

        i {
            color:
                <?php echo $color['icon_color'] ?>
                !important;
        }
        .bottom{
     color:<?php echo($color['navbar_color'])?>!important ; /* Replace #999 with the color you want */
   
}
.border{
    border-color:<?php echo ($color['navbar_color']) ?> !important;
    border:5px solid <?php echo ($color['navbar_color']) ?> !important;
}
        .navbars .container-fluid .col-12 .navbar-list li a {
            text-decoration: none;
            color: #c2c7d0;
            font-weight: 700;
        }

        .ui-state-highlight,
        .ui-widget-content .ui-state-highlight,
        .ui-widget-header .ui-state-highlight {
            border: 1px solid #6f42c1;
            background: #6f42c1;
            color: white;
        }

        .ui-widget-header {
            border: 1px solid #6f42c1;
            background: #6f42c1;
            color: white;
            font-weight: bold;
        }

        .fas {
            margin-right: 5px;
        }

        .navbars .container-fluid .col-12 .navbar-list li a {
            text-decoration: none;
            color: #c2c7d0;
            font-family: Roboto, sans-serif;
        }

        .col-form-label-sm {
            font-size: 13px;
            font-weight: 700;
        }



        h5 {
            font-family: "Montserrat";
        }

        .form-control {
            display: block;
            width: 100%;
            line-height: 1.5;
            color: #495057;
            MARGIN-BOTTOM: 12PX;
            background-color: #fff;
            background-clip: padding-box;
            border: 1px solid #ced4da;
            border-radius: 0.25rem;
            transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
        }

        h5::after {
            position: absolute;
            content: "";
            bottom: 29px;
            left: 2px;
            width: 14%;
            height: 2px;
            background: <?php echo ($color['navbar_color']) ?> !important;
        }

        .input-with-icon {
            position: relative;
        }

        .input-with-icon .icon {
            position: absolute;
            top: 50%;
            right: 10px;
            transform: translateY(-50%);
            width: 24px;
            height: 24px;
            cursor: pointer;
            color:
                <?php echo $color['icon_color'] ?>
                !important;
        }

        .form-group {
            margin-bottom: 2px;
        }

        input {
            font-family: poppins;
        }

        hr {
    margin: 0rem 0;
    color: inherit;
    background-color: #5A84B7;
    border: 0;
    opacity: 1;
    border-top: 5px solid #5A84B7;;
}
        .image-container {
            position: relative;
            display: inline-block;
        }

        .image-container img {
            width: 100%;
            height: 130px;
            transition: transform 0.2s; /* Smooth zoom effect */
            cursor: pointer; /* Change cursor to pointer on hover */
        }

        .image-container:hover img {
            transform: scale(1.2); /* Zoom in effect */
        }

        .zoomed-image {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.8);
            justify-content: center;
            align-items: center;
            z-index: 1000;
        }

        .zoomed-image.show {
            display: flex;
        }

        .zoomed-image img {
            max-width: 90%;
            max-height: 90%;
        }

        .zoomed-image .close {
            position: absolute;
            top: 20px;
            right: 20px;
            color: white;
            font-size: 2rem;
            cursor: pointer;
        }
    </style>
</head>

<body>

    <nav class="navbars" style="background:<?php echo $color['navbar_color'] ?>!important">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="content">
                        <div class="list-box">
                            <ul class="navbar-list">
                                <li>
                                    <a href="index.php"><span><i class="fas fa-tachometer-alt"></i></span>
                                        Dashboard
                                    </a>
                                </li>
                                <li>
                                    <a href="fare.php"><span><i class="fa fa-line-chart" aria-hidden="true"></i> </span>
                                        Managment
                                    </a>
                                </li>
                                <li>
                                    <a href="Jobs.php"><span><i class="fas fa-tasks"></i></span>
                                        Jobs
                                    </a>
                                </li>

                                <li class="nav-item dropdown">
                                    <a href="drivers.php" class=" nav-bookings">
                                        <span>
                                            <i class="nav-icon fa fa-user"></i>
                                        </span>
                                        Drivers
                                    </a>
                                </li>
                                <li class="nav-item dropdown">
                                    <a href="earning.php" class=" nav-bookings">
                                        <span>
                                            <i class="fas fa-file-invoice"></i>
                                        </span>
                                        Reports
                                    </a>
                                </li>
                                <li class="nav-item dropdown">
                                    <a href="accounts.php" class=" nav-bookings">
                                        <span>
                                            <i class="fa fa-bank"></i>
                                        </span>
                                        Accounts
                                    </a>
                                </li>
                                <li class="nav-item dropdown">
                                    <a href="Plot.php" class=" nav-bookings">
                                        <span>
                                            <i class="nav-icon fas fa-tasks"></i>
                                        </span>
                                        Ploting
                                    </a>
                                </li>

                                <li class="nav-item ">
                                    <a href="" class=" nav-bookings"
                                        onclick="window.open('driverTracking.php', 'name', 'width=1600, height=750,');return false;">
                                        <span>
                                            <i class="fas fa-solid fa-plus"></i>
                                        </span>
                                        Tracking
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="customer_list.php" class=" nav-bookings">
                                        <span>
                                            <i class="fa-solid fa-user-group"></i>
                                        </span>
                                        Customer
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="call_log_history.php" class=" nav-bookings">
                                        <span>
                                            <i class="fa-sharp fa-solid fa-gear"></i>
                                        </span>
                                        Call Logs
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="config.php" class=" nav-bookings">
                                        <span>
                                            <i class="fa-sharp fa-solid fa-gear"></i>
                                        </span>
                                        Setting
                                    </a>
                                </li>
                                <li class="nav-item dropdown ms-auto m-0">
                                    <a href="./action/logout.php" class=" nav-bookings">
                                        <span>
                                            <i class="fas fa-sign-out-alt"></i>
                                            Logout
                                        </span>

                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </nav>
    <div class="container-fuild py-2 px-4" style="border: 1px solid #cfd6de;">
        <div class="col-md-12 p-0">
            <ul class="nav nav-tabs py-2 " id="myTab" role="tablist">
                <li class="nav-item" role="presentation">
                    <a class="nav-link background" href="drivers.php" style=" margin-right:10px;">All Driver</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link background" href="activeDrivers.php" style=" margin-right:10px;">Active
                        Driver</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link background" href="expiredDriver.php" style=" margin-right:10px;">Expired Driver</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link background" style=" margin-right:10px;" href="addDrivers.php"
                        onclick="window.open('addDrivers.php', 'name', 'width=1060, height=640, top=50, left=300');return false;"
                        ;"="">Add New Drivers</a>

                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link active" href="#">Edit Vehicle</a>
                </li>
            </ul>
        </div>
        <?php
        include('db/db.php');

        $id = $_GET['id'];

        $query = " SELECT * FROM drivers WHERE id = '$id'";
        $result = mysqli_query($con, $query);

        $row = mysqli_fetch_assoc($result);
        ?>
        <div class="col-md-12 driverReg" style="width: 100%;background-color: #1853a1;">
            <div class="justify-content-center">
                <div class="register-form driverAndPassengerRegisterForm">
                    <div class="row">
                        <div class="col-md-12 background" style="text-align :center;">
                            <h6 style="text-align:center" class="py-2 text-uppercase">Driver Detail Form</h6>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12"
                            style="background-color: #e9e9eb;  border-bottom-left-radius: 5px; border-bottom-right-radius: 5px">
                            <form action="action/edit_vehicle.php" enctype="multipart/form-data" method="post">
                                <div class="tab-content">
                                    <div id="driver" class="container-fuild mt-2"
                                    style="background-color:white;border-top:2px solid #5A84B7;">
                                        <div class="row px-1">
                                            <div class="col-md-6" style="border-right: 2px solid #5A84B7 ;">
                                                <div class="col-md-12 p-0 mt-2">
                                                    <h5 class="fw-bold">DRIVER DETAILS</h5><br>
                                                </div>
                                                <div class="row mb-2 px-2">
                                                    <div class="col-md-12">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Status</label>
                                                                    <div class="col-sm-8">
                                                                        <input type="hidden" name='id'
                                                                            value="<?php echo $row['id'] ?>">
                                                                        <select class="form-select" name="status" id="" disabled>
                                                                            <option value="Rejected" <?php if ($row['status'] == 'Rejected')
                                                                                echo 'selected'; ?>>Disable</option>
                                                                            <option value="active" <?php if ($row['status'] == 'active')
                                                                                echo 'selected'; ?>>
                                                                                Active</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Rent
                                                                        Paid</label>

                                                                    <div class="col-sm-4">
                                                                        <input class="" id="rent_paid" name="rent_paid"
                                                                            placeholder="Driver Id" type="checkbox" value="true"
                                                                            <?php echo ($row['rent_paid'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row px-2">
                                                    <div class="col-md-12">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Driver
                                                                        ID</label>
                                                                    <div class="col-sm-8">

                                                                        <input class="form-control form-control-sm"
                                                                            data-val="true"
                                                                            data-val-number="The field DriverId must be a number."
                                                                            data-val-required="The DriverId field is required."
                                                                            id="DriverId" name="d_id" placeholder="Driver Id"
                                                                            type="number"
                                                                            value="<?php echo $row['Driver_id'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">PDA
                                                                        Password</label>
                                                                    <div class="col-sm-8 ">
                                                                        <div class="input-with-icon">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The Password field is required."
                                                                                id="Password" name="password"
                                                                                placeholder="Password" type="password"
                                                                                value="<?php echo $row['Password'] ?>" disabled>
                                                                            <span class="icon"> <i class="fas fa-eye"
                                                                                    id="togglePassword"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">First
                                                                        Name</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-group">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="Please enter Driver Name"
                                                                                id="DriverName" name="d_name"
                                                                                placeholder="First Name" required="required"
                                                                                type="text" value="<?php echo $row['Name'] ?>" disabled>
                                                                            <span class="input-group-text"
                                                                                id="uploadIconDriverName">
                                                                                <i class="fa-solid fa-arrow-up"></i>
                                                                            </span>
                                                                        </div>
                                                                        <input type="file" name="d_image" id="DrImage"
                                                                            class="form-control-file" style="display: none;"
                                                                            value="<?php echo $row['Driver_image'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <script>
                                                                document.getElementById('uploadIconDriverName').addEventListener('click', function () {
                                                                    document.getElementById('DrImage').click();
                                                                });

                                                                document.getElementById('DrImage').addEventListener('change', function () {
                                                                    if (this.files.length > 0) {
                                                                        // Display Toastr notification
                                                                        toastr.options = {
                                                                            "closeButton": true,
                                                                            "debug": false,
                                                                            "newestOnTop": false,
                                                                            "progressBar": false,
                                                                            "positionClass": "toast-bottom-right",
                                                                            "preventDuplicates": true,
                                                                            "onclick": null,
                                                                            "showDuration": "300",
                                                                            "hideDuration": "1000",
                                                                            "timeOut": "5000",
                                                                            "extendedTimeOut": "1000",
                                                                            "showEasing": "swing",
                                                                            "hideEasing": "linear",
                                                                            "showMethod": "fadeIn",
                                                                            "hideMethod": "fadeOut",
                                                                            "toastClass": "toastr-green"
                                                                        };
                                                                        toastr.success('File selected: ' + this.files[0].name);
                                                                    }
                                                                });
                                                            </script>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Last
                                                                        Name</label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm"
                                                                            data-val="true"
                                                                            data-val-required="The Driver Address field is required."
                                                                            id="l_name" name="l_name" placeholder="Last Name"
                                                                            type="text" value="<?php echo $row['l_name'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Gender</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <select class="form-control form-control-sm"
                                                                                id="gender" name="gender" disabled>
                                                                                <option value="Male" <?php echo ($row['Gender'] === 'Male') ? 'selected' : ''; ?>>Male</option>
                                                                                <option value="Female" <?php echo ($row['Gender'] === 'Female') ? 'selected' : ''; ?>>Female</option>
                                                                            </select>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-angle-down"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">DOB</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <input id="DateOfBirth" name="dob" type="text"
                                                                                class="form-control form-control-sm Datepicker"
                                                                                placeholder="DD/MM/YYYY"
                                                                                value="<?php echo $row['Date_Birth'] ?>" disabled>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-calendar-days"></i></span>
                                                                            <!-- Icon placeholder -->
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Address</label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm "
                                                                            data-val="true"
                                                                            data-val-required="The Driver Address field is required."
                                                                            id="Address" name="d_address" placeholder="Address"
                                                                            type="text" value="<?php echo $row['Address'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Postcode</label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm "
                                                                            data-val="true"
                                                                            data-val-required="The PostCode field is required."
                                                                            id="PostCode" name="p_code" placeholder="Post Code"
                                                                            type="text" value="<?php echo $row['Post_Code'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Email</label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm "
                                                                            data-val="true"
                                                                            data-val-required="The Driver Email field is required."
                                                                            id="demailId" name="email" placeholder="Email"
                                                                            type="email" value="<?php echo $row['Email'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Phone</label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm "
                                                                            data-val="true"
                                                                            data-val-required="The PostCode field is required."
                                                                            id="PostCode" name="phone" placeholder="Post Code"
                                                                            type="text" value="<?php echo $row['Phone'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Join
                                                                        Date</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <input
                                                                                class="form-control form-control-sm Datepicker"
                                                                                data-val="true"
                                                                                data-val-required="The Join Date field is required."
                                                                                id="JoinDate" name="j_date"
                                                                                placeholder="DD/MM/YYYY" type="text"
                                                                                value="<?php echo $row['Join_Date'] ?>" disabled>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-calendar-days"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Left
                                                                        Date</label>

                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <input
                                                                                class="form-control form-control-sm Datepicker"
                                                                                id="LeftDate" name="l_date"
                                                                                placeholder="DD/MM/YYYY" type="text"
                                                                                value="<?php echo $row['Left_Date'] ?>" disabled>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-calendar-days"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row px-2">
                                                    <div class="col-md-12">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Driver
                                                                        Type</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <select class="form-control form-control-sm"
                                                                                id="driverType1" name="paymentType" disabled>

                                                                                <option value="Rent" <?php echo ($row['paymentType'] === 'Rent') ? 'selected' : ''; ?>>Rent</option>
                                                                                <option value="Commission" <?php echo ($row['paymentType'] === 'Commission') ? 'selected' : ''; ?>>Commission
                                                                                </option>
                                                                            </select>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-angle-down"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm"></label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm"
                                                                            data-val="true"
                                                                            data-val-required="The Payment field is required."
                                                                            id="payment" name="payment" placeholder=""
                                                                            type="text" value="<?php echo $row['payment'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                           <div class="col-md-6">
                                                                <div class="form-group row">
                                                                    <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">AMCEB</label>
                                                                    <div class="col-sm-2">
                                                                        <div class="form-check">
                                                                            <input class="check-box" data-val="true" data-val-required="The AMCEB_Check field is required."
                                                                                id="AMCEB_Check" name="AMCEB_Check" type="checkbox" value="1" 
                                                                                <?php echo $row['AMCEB_Check'] == '1' ? 'checked' : ''; ?> disabled>
                                                                            <input name="" type="hidden" value="false">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6">
                                                                        <input class="form-control form-control-sm" data-val="true" data-val-required="The Payment field is required."
                                                                            id="AMCEB" name="AMCEB" placeholder="Apply Max Commission Earning Below"
                                                                            type="text" value="<?php echo $row['AMCEB'] ?>" 
                                                                            <?php echo $row['AMCEB_Check'] == '1' ? '' : '0'; ?>  disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group row">
                                                                    <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">Min. Commission</label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm" data-val="true" data-val-required="The Payment field is required."
                                                                            id="min_comm" name="min_comm" placeholder=""
                                                                            type="text" value="<?php echo $row['min_comm'] ?>" 
                                                                            <?php echo $row['AMCEB_Check'] == '1' ? '' : '0'; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group row">
                                                                    <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">AMCEA</label>
                                                                    <div class="col-sm-2">
                                                                        <div class="form-check">
                                                                            <input class="check-box" data-val="true" data-val-required="The AMCEA_Check field is required."
                                                                                id="AMCEA_Check" name="AMCEA_Check" type="checkbox" value="1" 
                                                                                <?php echo $row['AMCEA_Check'] == '1' ? 'checked' : '0'; ?> disabled>
                                                                            <input name="" type="hidden" value="false">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6">
                                                                        <input class="form-control form-control-sm" data-val="true" data-val-required="The Payment field is required."
                                                                            id="AMCEA" name="AMCEA" placeholder="Apply Max Commission Earning Above"
                                                                            type="text" value="<?php echo $row['AMCEA'] ?>" 
                                                                            <?php echo $row['AMCEA_Check'] == '1' ? '' : '0'; ?> disabled> 
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group row">
                                                                    <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">Max. Commission</label>
                                                                    <div class="col-sm-8">
                                                                        <input class="form-control form-control-sm" data-val="true" data-val-required="The Payment field is required."
                                                                            id="max_comm" name="max_comm" placeholder=""
                                                                            type="text" value="<?php echo $row['max_comm'] ?>" 
                                                                            <?php echo $row['AMCEA_Check'] == '1' ? '' : '0'; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row px-2">
                                                    <div class="col-md-12">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Paymet
                                                                        Terms</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <select class="form-control form-control-sm"
                                                                                id="driverType2" name="Paymet_term" disabled>
                                                                                <option value="Weekly" <?php echo ($row['Paymet_term'] === 'Weekly') ? 'selected' : ''; ?>>Weekly</option>
                                                                                <option value="Monthly" <?php echo ($row['Paymet_term'] === 'Monthly') ? 'selected' : ''; ?>>Monthly</option>
                                                                            </select>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-angle-down"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row px-2">
                                                    <div class="col-md-12">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">License
                                                                        No</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-group">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The Driver License Number field is required."
                                                                                id="DriverLicenseNo" name="license_number"
                                                                                placeholder="License Number" type="text"
                                                                                value="<?php echo $row['License_Number'] ?>" disabled>
                                                                            <span class="input-group-text"
                                                                                id="uploadIconLicenseNo">
                                                                                <i class="fa-solid fa-arrow-up"></i>
                                                                            </span>
                                                                        </div>
                                                                        <input type="file" name="l_image" id="LcImage"
                                                                            class="form-control-file" style="display: none;"
                                                                            value="<?php echo $row['License_Image'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <script>
                                                                document.getElementById('uploadIconLicenseNo').addEventListener('click', function () {
                                                                    document.getElementById('LcImage').click();
                                                                });

                                                                document.getElementById('LcImage').addEventListener('change', function () {
                                                                    if (this.files.length > 0) {
                                                                        // Display Toastr notification
                                                                        toastr.options = {
                                                                            "closeButton": true,
                                                                            "debug": false,
                                                                            "newestOnTop": false,
                                                                            "progressBar": false,
                                                                            "positionClass": "toast-bottom-right",
                                                                            "preventDuplicates": true,
                                                                            "onclick": null,
                                                                            "showDuration": "300",
                                                                            "hideDuration": "1000",
                                                                            "timeOut": "5000",
                                                                            "extendedTimeOut": "1000",
                                                                            "showEasing": "swing",
                                                                            "hideEasing": "linear",
                                                                            "showMethod": "fadeIn",
                                                                            "hideMethod": "fadeOut",
                                                                            "toastClass": "toastr-green"
                                                                        };
                                                                        toastr.success('File selected: ' + this.files[0].name);
                                                                    }
                                                                });
                                                            </script>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">Expiry
                                                                        Date</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <input
                                                                                class="form-control form-control-sm Datepicker"
                                                                                data-val="true"
                                                                                data-val-required="The Driver License Expiry Date field is required."
                                                                                id="ExpiryDate" name="l_expiry_date"
                                                                                placeholder="DD/MM/YYYY" type="text"
                                                                                value="<?php echo $row['License_Expiry_Date'] ?>" disabled>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-calendar-days"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">PCO No</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-group">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The PCO Driver License field is required."
                                                                                id="PcoDriverLicenseNo" name="d_pco_license_no"
                                                                                placeholder="Driver Pco License No" type="text"
                                                                                value="<?php echo $row['Pco_License_No'] ?>" disabled>
                                                                            <span class="input-group-text" id="uploadIconPcoLicenseNo">
                                                                                <i class="fa-solid fa-arrow-up"></i>
                                                                            </span>
                                                                        </div>
                                                                        <input type="file" name="pco_image" id="pco_image" class="form-control-file" style="display: none;" value="<?php echo $row['pco_image'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <script>
                                                                document.getElementById('uploadIconPcoLicenseNo').addEventListener('click', function() {
                                                                    document.getElementById('LcImage').click();
                                                                });

                                                                document.getElementById('LcImage').addEventListener('change', function() {
                                                                    if (this.files.length > 0) {
                                                                        // Display Toastr notification
                                                                        toastr.options = {
                                                                            "closeButton": true,
                                                                            "debug": false,
                                                                            "newestOnTop": false,
                                                                            "progressBar": false,
                                                                            "positionClass": "toast-bottom-right",
                                                                            "preventDuplicates": true,
                                                                            "onclick": null,
                                                                            "showDuration": "300",
                                                                            "hideDuration": "1000",
                                                                            "timeOut": "5000", 
                                                                            "extendedTimeOut": "1000",
                                                                            "showEasing": "swing",
                                                                            "hideEasing": "linear",
                                                                            "showMethod": "fadeIn",
                                                                            "hideMethod": "fadeOut",
                                                                            "toastClass": "toastr-green"
                                                                        };
                                                                        toastr.success('File selected: ' + this.files[0].name);
                                                                    }
                                                                });
                                                            </script>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm"
                                                                        class="col-sm-4 col-form-label col-form-label-sm">PCO
                                                                        Expiry</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-with-icon">
                                                                            <input
                                                                                class="form-control form-control-sm Datepicker"
                                                                                data-val="true"
                                                                                data-val-required="The PCO License Expiry Date field is required."
                                                                                id="PcoDriverLicenseExpiryDate"
                                                                                name="d_pco_license_expiry_date"
                                                                                placeholder="DD/MM/YYYY" type="text"
                                                                                value="<?php echo $row['Pco_License_Expiry_Date'] ?>" disabled>
                                                                            <span class="icon"><i
                                                                                    class="fa-solid fa-calendar-days"></i></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row">
                                                                    <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">NAT INS NO</label>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-group">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The NI/Tax Number field is required."
                                                                                id="NiNumber" name="T_number"
                                                                                placeholder="NI/Tax Number" type="text"
                                                                                value="<?php echo $row['Tax_Number'] ?>" disabled>
                                                                            <span class="input-group-text" id="uploadIconNatInsNo" >
                                                                                <i class="fa-solid fa-arrow-up"></i>
                                                                            </span>
                                                                        </div>
                                                                        <input type="file" name="ina_image" id="ina_image" class="form-control-file" style="display: none;" value="<?php echo $row['ina_image'] ?>" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <script>
                                                                document.getElementById('uploadIconNatInsNo').addEventListener('click', function() {
                                                                    document.getElementById('ina_image').click();  // Corrected the ID here to 'ina_image'
                                                                });

                                                                document.getElementById('ina_image').addEventListener('change', function() {  // Corrected the ID here to 'ina_image'
                                                                    if (this.files.length > 0) {
                                                                        toastr.options = {
                                                                            "closeButton": true,
                                                                            "debug": false,
                                                                            "newestOnTop": false,
                                                                            "progressBar": false,
                                                                            "positionClass": "toast-bottom-right",
                                                                            "preventDuplicates": true,
                                                                            "onclick": null,
                                                                            "showDuration": "300",
                                                                            "hideDuration": "1000",
                                                                            "timeOut": "5000",
                                                                            "extendedTimeOut": "1000",
                                                                            "showEasing": "swing",
                                                                            "hideEasing": "linear",
                                                                            "showMethod": "fadeIn",
                                                                            "hideMethod": "fadeOut",
                                                                            "toastClass": "toastr-green"
                                                                        };
                                                                        toastr.success('File selected: ' + this.files[0].name);
                                                                    }
                                                                });
                                                            </script>
                                                        </div>
                                                    </div>                                                
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div id="vehicle" class="container-fuild mt-2" style="background-color:white;">
                                                    <div class="col-md-12 p-0">
                                                        <h5 class="fw-bold">VEHICLE DETAIL</h5>
                                                        <br>
                                                    </div>
                                                    <div class="row px-1">
                                                        <div class="col-md-12">
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-sm-4 col-form-label col-form-label-sm">Type</label>
                                                                        <div class="col-sm-8">
                                                                            <select class="form-control form-control-sm"
                                                                                id="CarType" name="car_type" required="required"
                                                                                data-val="true"
                                                                                data-val-required="The Car Type field is required.">

                                                                                <option value="">Select Vehicle Type
                                                                                </option>
                                                                                <option <?php echo ($row['Car_Type'] === 'Saloon') ? 'selected' : ''; ?>>Saloon</option>
                                                                                <option <?php echo ($row['Car_Type'] === 'Estate') ? 'selected' : ''; ?>>Estate</option>
                                                                                <option <?php echo ($row['Car_Type'] === 'MPV') ? 'selected' : ''; ?>>MPV</option>
                                                                                <option <?php echo ($row['Car_Type'] === 'Executive') ? 'selected' : ''; ?>>Executive</option>
                                                                                <option <?php echo ($row['Car_Type'] === '8 Seater') ? 'selected' : ''; ?>>8 Seater
                                                                                </option>
                                                                                <option <?php echo ($row['Car_Type'] === '9 Seater') ? 'selected' : ''; ?>>9 Seater
                                                                                </option>
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">Vehicle Reg</label>
                                                                        <div class="col-sm-8">
                                                                            <div class="input-group">
                                                                                <input class="form-control form-control-sm"
                                                                                    data-val="true"
                                                                                    data-val-required="The Registration field is required."
                                                                                    id="Registration" name="registration"
                                                                                    placeholder="VRM" type="text"
                                                                                    value="<?php echo $row['Registration']?>">
                                                                                <span class="input-group-text" id="uploadIconVehicleReg">
                                                                                    <i class="fa-solid fa-arrow-up"></i>
                                                                                </span>
                                                                            </div>
                                                                            <input type="file" name="v_image" id="CrImg" class="form-control-file" style="display: none;" value="<?php echo $row['Vehicle_Image']?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <script>
                                                                    document.getElementById('uploadIconVehicleReg').addEventListener('click', function() {
                                                                        document.getElementById('CrImg').click();
                                                                    });

                                                                    document.getElementById('CrImg').addEventListener('change', function() {
                                                                        if (this.files.length > 0) {
                                                                            // Display Toastr notification
                                                                            toastr.options = {
                                                                                "closeButton": true,
                                                                                "debug": false,
                                                                                "newestOnTop": false,
                                                                                "progressBar": false,
                                                                                "positionClass": "toast-bottom-right",
                                                                                "preventDuplicates": true,
                                                                                "onclick": null,
                                                                                "showDuration": "300",
                                                                                "hideDuration": "1000",
                                                                                "timeOut": "5000", 
                                                                                "extendedTimeOut": "1000",
                                                                                "showEasing": "swing",
                                                                                "hideEasing": "linear",
                                                                                "showMethod": "fadeIn",
                                                                                "hideMethod": "fadeOut",
                                                                                "toastClass": "toastr-green"
                                                                            };
                                                                            toastr.success('File selected: ' + this.files[0].name);
                                                                        }
                                                                    });
                                                                </script>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-sm-4 col-form-label col-form-label-sm">Make</label>
                                                                        <div class="col-sm-8">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The Make field is required."
                                                                                id="Make" name="make_by" placeholder="Make"
                                                                                type="text"
                                                                                value="<?php echo $row['Make_By'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-sm-4 col-form-label col-form-label-sm">Model</label>
                                                                        <div class="col-sm-8">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The Car Model field is required."
                                                                                id="CarModel" name="car_model"
                                                                                placeholder="Vehicle Model" type="text"
                                                                                value="<?php echo $row['Car_Model'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-sm-4 col-form-label col-form-label-sm">Year</label>
                                                                        <div class="col-sm-8">
                                                                            <input class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The Year field is required."
                                                                                id="Year" name="make_year" placeholder="YYYY"
                                                                                type="text"
                                                                                value="<?php echo $row['Make_Year'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-sm-4 col-form-label col-form-label-sm">Color</label>
                                                                        <div class="col-sm-8">
                                                                            <input id="DateOfBirth" type="text"
                                                                                class="form-control form-control-sm"
                                                                                data-val="true"
                                                                                data-val-required="The Color field is required."
                                                                                id="Color" name="color"
                                                                                placeholder="Vehicle Color" type="text"
                                                                                value="<?php echo $row['Color'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-sm-4 col-form-label col-form-label-sm">Ownership</label>
                                                                        <div class="col-sm-8">
                                                                            <div class="input-with-icon">
                                                                                <select class="form-control form-control-sm"
                                                                                    id="Description" name="vechicle_owership"
                                                                                    required="required" data-val="true"
                                                                                    data-val-required="The Vehicle Ownership field is required.">

                                                                                    <option value="Personal" <?php echo ($row['vechicle_owership'] === 'Personal') ? 'selected' : ''; ?>>Personal</option>
                                                                                    <option value="Company" <?php echo ($row['vechicle_owership'] === 'Company') ? 'selected' : ''; ?>>Company</option>
                                                                                    <option value="Courtesy" <?php echo ($row['vechicle_owership'] === 'Courtesy') ? 'selected' : ''; ?>>Courtesy</option>

                                                                                    <option value="Rental" <?php echo ($row['vechicle_owership'] === 'Rental') ? 'selected' : ''; ?>>Rental</option>
                                                                                    <option value="Temporary" <?php echo ($row['vechicle_owership'] === 'Temporary') ? 'selected' : ''; ?>>Temporary</option>
                                                                                </select>
                                                                                <span class="icon"><i
                                                                                        class="fa-solid fa-angle-down"></i></span>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">INS. Expiry</label>
                                                                        <div class="col-sm-8">
                                                                            <div class="input-group input-with-icon">
                                                                                <input class="form-control form-control-sm Datepicker"
                                                                                    data-val="true"
                                                                                    data-val-required="The Insurance Expiry field is required."
                                                                                    id="InsuranceExpiry" name="insurance_expiry"
                                                                                    placeholder="DD/MM/YYYY" type="text"
                                                                                    value="<?php echo $row['Insurance_Expiry'] ?>">
                                                                                <span class="input-group-text" id="uploadIconInsuranceExpiry">
                                                                                    <i class="fa-solid fa-arrow-up"></i>
                                                                                </span>
                                                                            </div>
                                                                            <input type="file" name="veh_ins_image" id="veh_ins_image" class="form-control-file" style="display: none;" value="<?php echo $row['veh_ins_image'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <script>
                                                                    document.getElementById('uploadIconInsuranceExpiry').addEventListener('click', function() {
                                                                        document.getElementById('veh_ins_image').click();
                                                                    });

                                                                    document.getElementById('veh_ins_image').addEventListener('change', function() {
                                                                        if (this.files.length > 0) {
                                                                            // Display Toastr notification
                                                                            toastr.options = {
                                                                                "closeButton": true,
                                                                                "debug": false,
                                                                                "newestOnTop": false,
                                                                                "progressBar": false,
                                                                                "positionClass": "toast-bottom-right",
                                                                                "preventDuplicates": true,
                                                                                "onclick": null,
                                                                                "showDuration": "300",
                                                                                "hideDuration": "1000",
                                                                                "timeOut": "5000", 
                                                                                "extendedTimeOut": "1000",
                                                                                "showEasing": "swing",
                                                                                "hideEasing": "linear",
                                                                                "showMethod": "fadeIn",
                                                                                "hideMethod": "fadeOut",
                                                                                "toastClass": "toastr-green"
                                                                            };
                                                                            toastr.success('File selected: ' + this.files[0].name);
                                                                        }
                                                                    });
                                                                </script>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">PCO No</label>
                                                                        <div class="col-sm-8">
                                                                            <div class="input-group">
                                                                                <input class="form-control form-control-sm"
                                                                                    data-val="true"
                                                                                    data-val-required="The License Number field is required."
                                                                                    id="CarLicenseNo" name="v_license_no"
                                                                                    placeholder="Vehicle License No" type="text"
                                                                                    value="<?php echo $row['Vehicle_License_No'] ?>">
                                                                                <span class="input-group-text" id="uploadIconCarLicenseNo">
                                                                                    <i class="fa-solid fa-arrow-up"></i>
                                                                                </span>
                                                                            </div>
                                                                            <input type="file" name="veh_pco_image" id="veh_pco_image" class="form-control-file" style="display: none;" value="<?php echo $row['veh_pco_image'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <script>
                                                                    document.getElementById('uploadIconCarLicenseNo').addEventListener('click', function() {
                                                                        document.getElementById('veh_pco_image').click();
                                                                    });

                                                                    document.getElementById('veh_pco_image').addEventListener('change', function() {
                                                                        if (this.files.length > 0) {
                                                                            // Display Toastr notification
                                                                            toastr.options = {
                                                                                "closeButton": true,
                                                                                "debug": false,
                                                                                "newestOnTop": false,
                                                                                "progressBar": false,
                                                                                "positionClass": "toast-bottom-right",
                                                                                "preventDuplicates": true,
                                                                                "onclick": null,
                                                                                "showDuration": "300",
                                                                                "hideDuration": "1000",
                                                                                "timeOut": "5000", 
                                                                                "extendedTimeOut": "1000",
                                                                                "showEasing": "swing",
                                                                                "hideEasing": "linear",
                                                                                "showMethod": "fadeIn",
                                                                                "hideMethod": "fadeOut",
                                                                                "toastClass": "toastr-green"
                                                                            };
                                                                            toastr.success('File selected: ' + this.files[0].name);
                                                                        }
                                                                    });
                                                                </script>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-sm-4 col-form-label col-form-label-sm">PCO
                                                                            Expiry</label>
                                                                        <div class="col-sm-8">
                                                                            <div class="input-with-icon">
                                                                                <input
                                                                                    class="form-control form-control-sm Datepicker"
                                                                                    data-val="true"
                                                                                    data-val-required="The License/PCO (Vehicle)Expire field is required."
                                                                                    id="VehicleLicenseExp"
                                                                                    name="v_license_pco_expiry"
                                                                                    placeholder="DD/MM/YYYY" type="text"
                                                                                    value="<?php echo $row['Vehicle_PCO_Expiry'] ?>">
                                                                                <span class="icon"><i
                                                                                        class="fa-solid fa-calendar-days"></i></span>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">MOT Expiry</label>
                                                                        <div class="col-sm-8">
                                                                            <div class="input-group input-with-icon">
                                                                                <input
                                                                                    class="form-control form-control-sm Datepicker"
                                                                                    data-val="true"
                                                                                    data-val-required="The MOT Expiry field is required."
                                                                                    id="MotExpire" name="mot_expiry"
                                                                                    placeholder="DD/MM/YYYY" type="text"
                                                                                    value="<?php echo $row['MOT_Epiry'] ?>">
                                                                                <span class="input-group-text" id="uploadIconMotExpiry">
                                                                                    <i class="fa-solid fa-arrow-up"></i>
                                                                                </span>
                                                                            </div>
                                                                            <input type="file" name="mot_image" id="mot_image" class="form-control-file" style="display: none;" value="<?php echo $row['mot_image'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <script>
                                                                    document.getElementById('uploadIconMotExpiry').addEventListener('click', function() {
                                                                        document.getElementById('mot_image').click();
                                                                    });

                                                                    document.getElementById('mot_image').addEventListener('change', function() {
                                                                        if (this.files.length > 0) {
                                                                            // Display Toastr notification
                                                                            toastr.options = {
                                                                                "closeButton": true,
                                                                                "debug": false,
                                                                                "newestOnTop": false,
                                                                                "progressBar": false,
                                                                                "positionClass": "toast-bottom-right",
                                                                                "preventDuplicates": true,
                                                                                "onclick": null,
                                                                                "showDuration": "300",
                                                                                "hideDuration": "1000",
                                                                                "timeOut": "5000", 
                                                                                "extendedTimeOut": "1000",
                                                                                "showEasing": "swing",
                                                                                "hideEasing": "linear",
                                                                                "showMethod": "fadeIn",
                                                                                "hideMethod": "fadeOut",
                                                                                "toastClass": "toastr-green"
                                                                            };
                                                                            toastr.success('File selected: ' + this.files[0].name);
                                                                        }
                                                                    });
                                                                </script>
                                                                <div class="col-md-6">
                                                                    <div class="row">
                                                                        <label for="colFormLabelSm" class="col-sm-4 col-form-label col-form-label-sm">Road Tax Expiry</label>
                                                                        <div class="col-sm-8">
                                                                            <div class="input-group input-with-icon">
                                                                                <input
                                                                                    class="form-control form-control-sm Datepicker"
                                                                                    data-val="true"
                                                                                    data-val-required="The Road Tax Expiry field is required."
                                                                                    id="RoadTaxExpiry" name="road_tax_expiry"
                                                                                    placeholder="DD/MM/YYYY" type="text"
                                                                                    value="<?php echo $row['Road_Tax_Expiry'] ?>">
                                                                                <span class="input-group-text" id="uploadIconRoadTaxExpiry">
                                                                                    <i class="fa-solid fa-arrow-up"></i>
                                                                                </span>
                                                                            </div>
                                                                            <input type="file" name="road_image" id="road_image" class="form-control-file" style="display: none;" value="<?php echo $row['road_image'] ?>">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <script>
                                                                    document.getElementById('uploadIconRoadTaxExpiry').addEventListener('click', function() {
                                                                        document.getElementById('road_image').click();
                                                                    });

                                                                    document.getElementById('road_image').addEventListener('change', function() {
                                                                        if (this.files.length > 0) {
                                                                            // Display Toastr notification
                                                                            toastr.options = {
                                                                                "closeButton": true,
                                                                                "debug": false,
                                                                                "newestOnTop": false,
                                                                                "progressBar": false,
                                                                                "positionClass": "toast-bottom-right",
                                                                                "preventDuplicates": true,
                                                                                "onclick": null,
                                                                                "showDuration": "300",
                                                                                "hideDuration": "1000",
                                                                                "timeOut": "5000", 
                                                                                "extendedTimeOut": "1000",
                                                                                "showEasing": "swing",
                                                                                "hideEasing": "linear",
                                                                                "showMethod": "fadeIn",
                                                                                "hideMethod": "fadeOut",
                                                                                "toastClass": "toastr-green"
                                                                            };
                                                                            toastr.success('File selected: ' + this.files[0].name);
                                                                        }
                                                                    });
                                                                </script>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12 p-0 mt-4">
                                                        <h5 class="fw-bold">ATTRIBUTES</h5>
                                                        <br>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="row ">
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Card
                                                                            Reader</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="carder_reader" name="carder_reader"
                                                                            type="checkbox" value="true" <?php echo ($row['carder_reader'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Food
                                                                            Delivery</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="food_delivery" name="food_delivery"
                                                                            type="checkbox" value="true" <?php echo ($row['food_delivery'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Help
                                                                            Cust</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="help_cust" name="help_cust" type="checkbox"
                                                                            value="true" <?php echo ($row['help_cust'] == 1) ? 'checked' : ''; ?> disabled> 
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Low
                                                                            Car</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="low_car" name="low_car" type="checkbox"
                                                                            value="true" <?php echo ($row['low_car'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Pet
                                                                            Carrier</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="pet_carrier" name="pet_carrier" type="checkbox"
                                                                            value="true" <?php echo ($row['pet_carrier'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Screen</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="screen" name="screen" type="checkbox"
                                                                            value="true" <?php echo ($row['screen'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Mask</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="mask" name="mask" type="checkbox" value="true"
                                                                            <?php echo ($row['mask'] == 1) ? 'checked' : ''; ?> disabled> 
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Non
                                                                            Smoking</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="non_smoking" name="non_smoking" type="checkbox"
                                                                            value="true" <?php echo ($row['non_smoking'] == 1) ? 'checked' : ''; ?> disabled> 
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">

                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">ULEZ</label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="ulez" name="ulez" type="checkbox" value="true"
                                                                            <?php echo ($row['ulez'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Congestion
                                                                            </label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="congestion" name="congestion" type="checkbox"
                                                                            value="true" <?php echo ($row['congestion'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Meet & Greet
                                                                            </label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="meet" name="meet" type="checkbox"
                                                                            value="true" <?php echo ($row['meet_greet'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <div class="row d-fex">
                                                                    <div class="col-sm-8">
                                                                        <label for="colFormLabelSm"
                                                                            class="col-form-label col-form-label-sm">Wheel Chair
                                                                            </label>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <input class="check-box" data-val="true"
                                                                            data-val-required="The DirectCash field is required."
                                                                            id="chair" name="chair" type="checkbox"
                                                                            value="true" <?php echo ($row['wheel_chair'] == 1) ? 'checked' : ''; ?> disabled>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="my-2 mx-1 row justify-content-end"
                                                        style="justify-content:end;align-items:end;">
                                                        <button id="Driver_Save" type="submit"
                                                            style="text-align :center;width:100px;margin-top:120px"
                                                            class="mb-2 btn text-uppercase  justify-content-end background">Update</button>
                                                    </div>
                                                </div>
                                            </div>    
                                        </div>

                                    </div>
                                </di>
                            </form>
                        </div>
                        <div class="col-md-12 py-2" style="background-color: white;  border-bottom-left-radius: 5px; border-bottom-right-radius: 5px">
                       
                             <h4 class="fw-bold">Document</h4>
                             <hr>
                        
                            <div class="col-md-12 p-0 mt-1">
                                        <div class="row">
                                            <!-- Driver Photo -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Driver Photo</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/person.png';
                                                $imagePath = !empty($row['Driver_image']) ? str_replace('../', '', htmlspecialchars($row['Driver_image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Driver Photo" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- Driver License -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Driver License</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/docu.jpg';
                                                $imagePath = !empty($row['License_Image']) ? str_replace('../', '', htmlspecialchars($row['License_Image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Driver License" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- Driver PCO -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Driver PCO</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/docu.jpg';
                                                $imagePath = !empty($row['pco_image']) ? str_replace('../', '', htmlspecialchars($row['pco_image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Driver PCO" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- Driver Ins -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Driver Ins</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/driver_ins.png';
                                                $imagePath = !empty($row['ina_image']) ? str_replace('../', '', htmlspecialchars($row['ina_image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Driver Ins" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- Vehicle Photo -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Vehicle Photo</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/car_image.jpg';
                                                $imagePath = !empty($row['Vehicle_Image']) ? str_replace('../', '', htmlspecialchars($row['Vehicle_Image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Vehicle Photo" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- Vehicle PCO -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Vehicle PCO</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/docu.jpg';
                                                $imagePath = !empty($row['veh_pco_image']) ? str_replace('../', '', htmlspecialchars($row['veh_pco_image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Vehicle PCO" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- MOT -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">MOT</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/docu.jpg';
                                                $imagePath = !empty($row['mot_image']) ? str_replace('../', '', htmlspecialchars($row['mot_image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="MOT" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- Road Tax -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Road Tax</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/docu.jpg';
                                                $imagePath = !empty($row['road_image']) ? str_replace('../', '', htmlspecialchars($row['road_image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Road Tax" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                
                                            <!-- Veh. Insurance -->
                                            <div class="col-md-1 image-container">
                                                <h6 class="background py-1" style="margin-bottom:0px;text-align:center;">Veh. Insurance</h6>
                                                <?php
                                                $defaultImagePath = 'assets/upload/driver_ins.png';
                                                $imagePath = !empty($row['veh_ins_image']) ? str_replace('../', '', htmlspecialchars($row['veh_ins_image'])) : $defaultImagePath;
                                                if (!file_exists($imagePath)) {
                                                    $imagePath = $defaultImagePath;
                                                }
                                                ?>
                                                <img src="<?php echo $imagePath; ?>" alt="Veh. Insurance" class="border" onclick="openImageWindow('<?php echo $imagePath; ?>')">
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="zoomedImage" class="zoomed-image">
        <span class="close" onclick="closeImageWindow()">&times;</span>
        <img id="zoomedImg" src="" alt="Zoomed Image">
    </div>
    <?php
include "db/db.php";

// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y')";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-3" style="">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom">
                    <label for="" style="font-weight: 700;margin:0px;">
                         <i class="fa-solid fa-clock"></i>
                        <span id="current-date-time" class="time-display"></span>
                    </label>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp&nbsp;Login As:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
  <h6 class="text" style="margin-top: 1.5px !important;font-weight: 700;">
    &nbspDrivers&nbsp(&nbspOnline : <span id="available-count"><?php echo $onlineCount; ?></span> ,
    &nbspAvailable : <span id="waiting-count"><?php echo $availableCount; ?></span>
        ,&nbspOnboard : <span id="onboard-count"><?php echo $onboardCount; ?></span>
        )
</h6>

                </div>
            </div>
        </div>
    </div>
</div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <script>
        $(document).ready(function () {
            $(".Datepicker").datepicker({
                dateFormat: 'dd/mm/yy'
            });
        });
        $(document).ready(function () {
            $('#togglePassword').click(function () {
                const passwordInput = $('#Password');
                const type = passwordInput.attr('type') === 'password' ? 'text' : 'password';
                passwordInput.attr('type', type);
                $(this).toggleClass('fa-eye fa-eye-slash');
            });
        });
    //             document.getElementById('AMCEB_Check').addEventListener('change', function() {
    //     var isChecked = this.checked;
    //     document.getElementById('AMCEB').disabled = !isChecked;
    //     document.getElementById('min_comm').disabled = !isChecked;
    // });
    // window.addEventListener('DOMContentLoaded', function() {
    //     var checkbox = document.getElementById('AMCEB_Check');
    //     var isChecked = checkbox.checked;
    //     document.getElementById('AMCEB').disabled = !isChecked;
    //     document.getElementById('min_comm').disabled = !isChecked;
    // });
    // document.getElementById('AMCEA_Check').addEventListener('change', function() {
    //     var isChecked = this.checked;
    //     document.getElementById('AMCEA').disabled = !isChecked;
    //     document.getElementById('max_comm').disabled = !isChecked;
    // });

    // // Initialize the state on page load based on the checkbox value
    // window.addEventListener('DOMContentLoaded', function() {
    //     var checkbox = document.getElementById('AMCEA_Check');
    //     var isChecked = checkbox.checked;
    //     document.getElementById('AMCEA').disabled = !isChecked;
    //     document.getElementById('max_comm').disabled = !isChecked;
    // });
                function openImageWindow(imageSrc) {
            var zoomedImage = document.getElementById('zoomedImage');
            var zoomedImg = document.getElementById('zoomedImg');
            zoomedImg.src = imageSrc;
            zoomedImage.classList.add('show');
        }

        function closeImageWindow() {
            var zoomedImage = document.getElementById('zoomedImage');
            zoomedImage.classList.remove('show');
        }
       function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}

document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
    </script>
</body>

</html>